---------------------------------------------------------------------------------------------------
-- Variables --------------------------------------------------------------------------------------

maxChapter = 36

allyRoute_Conf = {
	hidden = false,
	lock = false,
	size = 1,
	currChapter = 1,
	currChapterMaxPage = 3,
	currPage = 1,
}

---------------------------------------------------------------------------------------------------
-- Commands ---------------------------------------------------------------------------------------

SlashCmdList["SLASH_ALLYROUTRE"] = function(flag) end
SLASH_ALLYROUTRE1,SLASH_ALLYROUTRE2 = "/ar", "/allyroute"

function SlashCmdList.ALLYROUTRE()
	if allyRoute_Conf.hidden == false then
		AllyRoute_Unlock()
	else
		AllyRoute_Show()
	end
end

function AllyRoute_Show()
	AllyRoute_MainFrame:Show()
	allyRoute_Conf.hidden = false
end

function AllyRoute_Hide()
	AllyRoute_MainFrame:Hide()
	allyRoute_Conf.hidden = true
	DEFAULT_CHAT_FRAME:AddMessage("AllyRoute is now hidden. Type "..ClrYlw("/ar").." or "..ClrYlw("/allyroute").." to show it.")
end

function AllyRoute_Lock()
	allyRoute_Conf.lock = true
	AllyRoute_MainFrame:EnableMouse(false)
	AllyRoute_MainFrame_ChapterFrame_Lock:Hide()
	AllyRoute_MainFrame_ChapterFrame_ScaleUp:Hide()
	AllyRoute_MainFrame_ChapterFrame_ScaleDown:Hide()
	DEFAULT_CHAT_FRAME:AddMessage("AllyRoute is now locked. Type "..ClrYlw("/ar").." or "..ClrYlw("/allyroute").." to unlock it.")
end

function AllyRoute_Unlock()
	allyRoute_Conf.lock = false
	AllyRoute_MainFrame:EnableMouse(true)
	AllyRoute_MainFrame_ChapterFrame_Lock:Show()
	AllyRoute_MainFrame_ChapterFrame_ScaleUp:Show()
	AllyRoute_MainFrame_ChapterFrame_ScaleDown:Show()
end

---------------------------------------------------------------------------------------------------
-- Window And Buttons -----------------------------------------------------------------------------

function AllyRoute_MainFrame_OnMouseDown()
	if allyRoute_Conf.lock == false then
		AllyRoute_MainFrame:StartMoving()
	end
end

function AllyRoute_MainFrame_OnMouseUp()
	AllyRoute_MainFrame:StopMovingOrSizing()
end

function AllyRoute_ChangeChapter(step)
	allyRoute_Conf.currChapter = allyRoute_Conf.currChapter + step
	if allyRoute_Conf.currChapter < 1 then
		allyRoute_Conf.currChapter = 1
	elseif allyRoute_Conf.currChapter > maxChapter then
		allyRoute_Conf.currChapter = maxChapter
	end
	ChapterUpdate()
end

function AllyRoute_ChangePage(step)
	allyRoute_Conf.currPage = allyRoute_Conf.currPage + step
	if allyRoute_Conf.currPage < 1 then
		if allyRoute_Conf.currChapter > 1 then
			AllyRoute_ChangeChapter(-1)
			allyRoute_Conf.currPage = allyRoute_Conf.currChapterMaxPage
		else
			allyRoute_Conf.currPage = 1
		end
		
	elseif allyRoute_Conf.currPage > allyRoute_Conf.currChapterMaxPage then
		if allyRoute_Conf.currChapter < maxChapter then
			AllyRoute_ChangeChapter(1)
			allyRoute_Conf.currPage = 1
		else
			allyRoute_Conf.currPage = allyRoute_Conf.currChapterMaxPage
		end
		
	end
	InstructionUpdate()
end

function AllyRoute_PagingReset()
	allyRoute_Conf.currPage = 1
	InstructionUpdate()
end

function AllyRoute_ScaleUp()
	if allyRoute_Conf.size < 2 then
		allyRoute_Conf.size = allyRoute_Conf.size + 0.1
		AllyRoute_MainFrame:SetScale(allyRoute_Conf.size)
	end
end

function AllyRoute_ScaleDown()
	if allyRoute_Conf.size > 1 then
		allyRoute_Conf.size = allyRoute_Conf.size - 0.1
		AllyRoute_MainFrame:SetScale(allyRoute_Conf.size)
	end
end

---------------------------------------------------------------------------------------------------
-- ADDON_LOADED -----------------------------------------------------------------------------------

function AllyRoute_OnLoad()
	AllyRoute_MainFrame:RegisterEvent("PLAYER_ENTERING_WORLD")
end

function AllyRoute_OnEvent(event)
	if(event=="PLAYER_ENTERING_WORLD") then
		AllyRoute_Refresh()
	end
end

function AllyRoute_Refresh()
	AllyRoute_MainFrame:SetClampedToScreen(true)
	if allyRoute_Conf.lock == true then
		AllyRoute_MainFrame:EnableMouse(false)
		AllyRoute_MainFrame_ChapterFrame_Lock:Hide()
		AllyRoute_MainFrame_ChapterFrame_ScaleUp:Hide()
		AllyRoute_MainFrame_ChapterFrame_ScaleDown:Hide()
	end
	AllyRoute_MainFrame:SetScale(allyRoute_Conf.size)
	ChapterUpdate()
	InstructionUpdate()
	if allyRoute_Conf.hidden == true then
		AllyRoute_Hide()
	end
	AllyRoute_MainFrame_Refresh:Hide()
end

---------------------------------------------------------------------------------------------------
-- Chapter and Instructions Text ------------------------------------------------------------------

function CT(ChapterText)
	AllyRoute_MainFrame_ChapterFrame_ChapterString:SetText(ChapterText)
end

function ChapterUpdate()

	if allyRoute_Conf.currChapter == 1 then
		if UnitRace("player") == "Human" then
			CT("01-06 Elwynn Forest")
			allyRoute_Conf.currChapterMaxPage = 22
			
		elseif UnitRace("player") == "Night Elf" then
			CT("01-06 Teldrassil")
			allyRoute_Conf.currChapterMaxPage = 21
			
		else--Dwarf/Gnome
			CT("01-06 Dun Morogh")
			allyRoute_Conf.currChapterMaxPage = 20
		end
		
	elseif allyRoute_Conf.currChapter == 2 then
		CT("06-11 Dun Morogh")
		allyRoute_Conf.currChapterMaxPage = 43
		
	elseif allyRoute_Conf.currChapter == 3 then
		CT("11-13 Loch Modan")
		allyRoute_Conf.currChapterMaxPage = 24
	
	elseif allyRoute_Conf.currChapter == 4 then
		CT("13-16 Westfall")
		allyRoute_Conf.currChapterMaxPage = 18
	
	elseif allyRoute_Conf.currChapter == 5 then
		CT("16-20 Loch Modan")
		allyRoute_Conf.currChapterMaxPage = 36
	
	elseif allyRoute_Conf.currChapter == 6 then
		CT("20-21 Wetlands")
		allyRoute_Conf.currChapterMaxPage = 18
	
	elseif allyRoute_Conf.currChapter == 7 then
		CT("21-23 Duskwood")
		allyRoute_Conf.currChapterMaxPage = 42
	
	elseif allyRoute_Conf.currChapter == 8 then
		CT("23-24 Redridge")
		allyRoute_Conf.currChapterMaxPage = 13
	
	elseif allyRoute_Conf.currChapter == 9 then
		CT("24-26 Ashenvale")
		allyRoute_Conf.currChapterMaxPage = 22
	
	elseif allyRoute_Conf.currChapter == 10 then
		CT("26-28 Wetlands")
		allyRoute_Conf.currChapterMaxPage = 33
	
	elseif allyRoute_Conf.currChapter == 11 then
		CT("28-30 Duskwood")
		allyRoute_Conf.currChapterMaxPage = 38
	
	elseif allyRoute_Conf.currChapter == 12 then
		CT("30-31 Hillsbrad Foothills")
		allyRoute_Conf.currChapterMaxPage = 28
	
	elseif allyRoute_Conf.currChapter == 13 then
		CT("31-32 Thousand Needles")
		allyRoute_Conf.currChapterMaxPage = 18
	
	elseif allyRoute_Conf.currChapter == 14 then
		CT("32-33 Stranglethorn")
		allyRoute_Conf.currChapterMaxPage = 22
	
	elseif allyRoute_Conf.currChapter == 15 then
		CT("33-34 Hillsbrad and Alterac")
		allyRoute_Conf.currChapterMaxPage = 15
	
	elseif allyRoute_Conf.currChapter == 16 then
		CT("34-36 Desolace")
		allyRoute_Conf.currChapterMaxPage = 33
	
	elseif allyRoute_Conf.currChapter == 17 then
		CT("36-37 Dustwallow and Stranglethorn")
		allyRoute_Conf.currChapterMaxPage = 38
	
	elseif allyRoute_Conf.currChapter == 18 then
		CT("37-38 Alterac Mountains")
		allyRoute_Conf.currChapterMaxPage = 8
	
	elseif allyRoute_Conf.currChapter == 19 then
		CT("38-39 Arathi Highlands")
		allyRoute_Conf.currChapterMaxPage = 25
	
	elseif allyRoute_Conf.currChapter == 20 then
		CT("39-40 Badlands")
		allyRoute_Conf.currChapterMaxPage = 21
	
	elseif allyRoute_Conf.currChapter == 21 then
		CT("40-42 Stranglethorn")
		allyRoute_Conf.currChapterMaxPage = 28
	
	elseif allyRoute_Conf.currChapter == 22 then
		CT("42-43 Arathi, Stranglethorn")
		allyRoute_Conf.currChapterMaxPage = 24
	
	elseif allyRoute_Conf.currChapter == 23 then
		CT("43-45 Tanaris")
		allyRoute_Conf.currChapterMaxPage = 25
	
	elseif allyRoute_Conf.currChapter == 24 then
		CT("45-46 Feralas, Hinterlands")
		allyRoute_Conf.currChapterMaxPage = 47
	
	elseif allyRoute_Conf.currChapter == 25 then
		CT("46-48 Searing Gorge")
		allyRoute_Conf.currChapterMaxPage = 37
	
	elseif allyRoute_Conf.currChapter == 26 then
		CT("48-49 Tanaris, Feralas")
		allyRoute_Conf.currChapterMaxPage = 28
	
	elseif allyRoute_Conf.currChapter == 27 then
		CT("49-50 Felwood")
		allyRoute_Conf.currChapterMaxPage = 9
	
	elseif allyRoute_Conf.currChapter == 28 then
		CT("50-51 Azshara, Western Plaguelands")
		allyRoute_Conf.currChapterMaxPage = 32
	
	elseif allyRoute_Conf.currChapter == 29 then
		CT("51-52 Blasted Lands, Burning Steppes")
		allyRoute_Conf.currChapterMaxPage = 40
	
	elseif allyRoute_Conf.currChapter == 30 then
		CT("52-54 Un'goro")
		allyRoute_Conf.currChapterMaxPage = 45
	
	elseif allyRoute_Conf.currChapter == 31 then
		CT("54-55 Feralas, Felwood")
		allyRoute_Conf.currChapterMaxPage = 38
	
	elseif allyRoute_Conf.currChapter == 32 then
		CT("55-56 Winterspring, Burning Steppes")
		allyRoute_Conf.currChapterMaxPage = 29
	
	elseif allyRoute_Conf.currChapter == 33 then
		CT("56-57 Plaguelands")
		allyRoute_Conf.currChapterMaxPage = 51
	
	elseif allyRoute_Conf.currChapter == 34 then
		CT("57-58 Winterspring")
		allyRoute_Conf.currChapterMaxPage = 12
	
	elseif allyRoute_Conf.currChapter == 35 then
		CT("58-59 Plaguelands")
		allyRoute_Conf.currChapterMaxPage = 36
	
	elseif allyRoute_Conf.currChapter == 36 then
		CT("59-60 Silithus, Winterspring")
		allyRoute_Conf.currChapterMaxPage = 13
		
	end
end

function IT(InstructionText)
	AllyRoute_MainFrame_InstructionString:SetText(InstructionText)
end

function ClrAcc(myText)
	return "|cff4da6ff\""..myText.."\"|r"
end

function ClrDo(myText)
	return "|cffff9e00\""..myText.."\"|r"
end

function ClrTurn(myText)
	return "|cffffff00\""..myText.."\"|r"
end

function ClrGrn(myText)
	return "|cff00ff00"..myText.."|r"
end

function ClrGrn2(myText)
	return "|cffafffaf"..myText.."|r"
end

function ClrYlw(myText)
	return "|cffffff00"..myText.."|r"
end

function ClrRed(myText)
	return "|cffff4d4d"..myText.."|r"
end

function ClrGry(myText)
	return "|cffcccccc"..myText.."|r"
end

function InstructionUpdate()
	AllyRoute_MainFrame_PageString:SetText(tostring(allyRoute_Conf.currPage).."/"..tostring(allyRoute_Conf.currChapterMaxPage))

	--01-06 Dun Morogh
	if allyRoute_Conf.currChapter == 1 then
		if UnitRace("player") == "Human" then
			if allyRoute_Conf.currPage == 1 then
				IT("Welcome to AllyRoute. This guide:\n- Is based on "..ClrGrn("Varrak").."'s Dwarf Hunter speedrun.\n- Does not include any dungeon activities.\n- Expects you to grind extra mobs on your way.\n\nLet's get started. Good Luck!")
			elseif allyRoute_Conf.currPage == 2 then
				IT("- Accept "..ClrAcc("A Threat Within").." from\n"..ClrGrn("Deputy Willem").." "..ClrGrn2("(Human)")..".\n\n- Turn-in "..ClrTurn("A Threat Within").." to\n"..ClrGrn("Marshal McBride").." "..ClrGrn2("(Human in the Church)")..".\n- Accept "..ClrAcc("Kobold Camp Cleanup")..".")
			elseif allyRoute_Conf.currPage == 3 then
				IT("- Accept "..ClrAcc("Eagan Peltskinner").." from\n"..ClrGrn("Deputy Willem").." "..ClrGrn2("(Human outside the Church)")..".\n\n- Turn-in "..ClrTurn("Eagan Peltskinner").." to\n"..ClrGrn("Eagan Peltskinner").." "..ClrGrn2("(Human near the Church)")..".\n- Accept "..ClrAcc("Wolves Across the Border")..".")
			elseif allyRoute_Conf.currPage == 4 then
				IT("- Do "..ClrDo("Wolves Across the Border").."\nand "..ClrDo("Kobold Camp Cleanup")..".")
			elseif allyRoute_Conf.currPage == 5 then
				IT("- Turn-in "..ClrTurn("Wolves Across the Border").." to\n"..ClrGrn("Eagan Peltskinner").." "..ClrGrn2("(same Human)")..".\n- Turn-in "..ClrTurn("Kobold Camp Cleanup").." to\n"..ClrGrn("Marshal McBride").." "..ClrGrn2("(Human in the Church)")..".\n- Accept "..ClrAcc("Investigate Echo Ridge").."\nand "..ClrAcc("Your-Class-Specific-Quest")..".")
			elseif allyRoute_Conf.currPage == 6 then
				IT("- Turn-in "..ClrTurn("Your-Class-Specific-Quest").."\nto your class trainer.\n\n- Accept "..ClrAcc("Brotherhood of Thieves").." from\n"..ClrGrn("Deputy Willem").." "..ClrGrn2("(Human outside the Church)")..".")
			elseif allyRoute_Conf.currPage == 7 then
				IT("- Do "..ClrDo("Investigate Echo Ridge")..".\n\n- Turn-in "..ClrTurn("Investigate Echo Ridge").." to\n"..ClrGrn("Marshal McBride").." "..ClrGrn2("(Human in the Church)")..".\n- Accept "..ClrAcc("Skirmish at Echo Ridge")..".")
			elseif allyRoute_Conf.currPage == 8 then
				IT("- Do "..ClrDo("Skirmish at Echo Ridge")..".\n\n- Turn-in "..ClrTurn("Skirmish at Echo Ridge").." to\n"..ClrGrn("Marshal McBride").." "..ClrGrn2("(same Human)")..".\n- Accept "..ClrAcc("Report to Goldshire")..".")
			elseif allyRoute_Conf.currPage == 9 then
				IT("- Do "..ClrDo("Brotherhood of Thieves")..".\n\n- Turn-in "..ClrTurn("Brotherhood of Thieves").." to\n"..ClrGrn("Deputy Willem").." "..ClrGrn2("(Human outside the Church)")..".\n- Accept "..ClrAcc("Bounty on Garrick Padfoot").."\nand "..ClrAcc("Milly Osworth")..".")
			elseif allyRoute_Conf.currPage == 10 then
				IT("- Turn-in "..ClrTurn("Milly Osworth").." to "..ClrGrn("Milly Osworth").."\n"..ClrGrn2("(Female Human behind the Church)")..".\n- Accept "..ClrAcc("Milly's Harvest")..".")
			elseif allyRoute_Conf.currPage == 11 then
				IT("- Do "..ClrDo("Milly's Harvest").."\nand "..ClrDo("Bounty on Garrick Padfoot")..".")
			elseif allyRoute_Conf.currPage == 12 then
				IT("- Turn-in "..ClrTurn("Milly's Harvest").." to "..ClrGrn("Milly Osworth").."\n"..ClrGrn2("(same Female Human)")..".\n- Accept "..ClrAcc("Grape Manifest")..".\n\n- Turn-in "..ClrTurn("Bounty on Garrick Padfoot").." to\n"..ClrGrn("Deputy Willem").." "..ClrGrn2("(same Human)")..".")
			elseif allyRoute_Conf.currPage == 13 then
				IT("- Turn-in "..ClrTurn("Grape Manifest").." to\n"..ClrGrn("Brother Neals").." "..ClrGrn2("(Human in the Church)")..".\n\n- Leave the starting zone.\n- Accept "..ClrAcc("Rest and Relaxation").." from\n"..ClrGrn("Falkhaan Isenstrider").." "..ClrGrn2("(Human)")..".")
			elseif allyRoute_Conf.currPage == 14 then
				IT("- Follow the road to reach Goldshire.\n\n- Turn-in "..ClrTurn("Report to Goldshire").." to\n"..ClrGrn("Marshal Dughan").." "..ClrGrn2("(Human near the Inn)")..".\n"..ClrRed("DON'T accept any quest."))
			elseif allyRoute_Conf.currPage == 15 then
				IT("- Turn-in "..ClrTurn("Rest and Relaxation").." to\n"..ClrGrn("Innkeeper Farley").." "..ClrGrn2("(Human in the Inn)")..".\n\n- Make Goldshire's Inn your Home.")
			elseif allyRoute_Conf.currPage == 16 then
				IT("- Go to "..ClrYlw("[34,84]").." to reach The Stonefield Farm.\n"..ClrGry("(Always kill extra mobs while walking.\nThat's how leveling is in Classic)"))
			elseif allyRoute_Conf.currPage == 17 then
				IT("- Accept "..ClrAcc("Lost Necklace").." from\n"..ClrGrn("\"Auntie\" Bernice Stonefield").." "..ClrGrn2("(Female Human)")..".\n\n- Go East to reach another Farm.\n- Accept "..ClrAcc("Young Lovers").." from "..ClrGrn("Maybell Maclure").."\n"..ClrGrn2("(Female Human in a House)")..".")
			elseif allyRoute_Conf.currPage == 18 then
				IT("- Turn-in "..ClrTurn("Lost Necklace").." to\n"..ClrGrn("Billy Maclure").." "..ClrGrn2("(Kid in the Farm)")..".\n- Accept "..ClrAcc("Pie for Billy")..".\n\n- Do "..ClrDo("Pie for Billy")..".")
			elseif allyRoute_Conf.currPage == 19 then
				IT("- Go back to The Stonefield Farm.\n\n- Turn-in "..ClrTurn("Pie for Billy").." to\n"..ClrGrn("\"Auntie\" Bernice Stonefield").." "..ClrGrn2("(Female Human)")..".\n"..ClrRed("DON'T accept any quest."))
			elseif allyRoute_Conf.currPage == 20 then
				IT("- Turn-in "..ClrTurn("Young Lovers").." to\n"..ClrGrn("Tommy Joe Stonefield").." "..ClrGrn2("(Human near the river)")..".\n- Accept "..ClrAcc("Speak with Gramma")..".\n- Turn-in "..ClrTurn("Speak with Gramma").." to\n"..ClrGrn("Gramma Stonefield").." "..ClrGrn2("(Female Human in House)")..".\n- Accept "..ClrAcc("Note to William")..".")
			elseif allyRoute_Conf.currPage == 21 then
				IT("- Hearthstone back to Goldshire.\n\n- Turn-in "..ClrTurn("Note to William").." to\n"..ClrGrn("William Pestle").." "..ClrGrn2("(Human in the Inn)")..".\n"..ClrRed("DON'T accept any quest."))
			elseif allyRoute_Conf.currPage == 22 then
				IT("- Follow the road North to reach Stormwind.\n- Go to the Dwarven District.\n- Take the Tram to reach Ironforge.\n- Leave Ironforge and move toward the center\nof the map to find Boars around your level.\n"..ClrGry("(Lvl 6 / 20% Exp)"))
			end
			
		elseif UnitRace("player") == "Night Elf" then
			if allyRoute_Conf.currPage == 1 then
				IT("Welcome to AllyRoute. This guide:\n- Is based on "..ClrGrn("Varrak").."'s Dwarf Hunter speedrun.\n- Does not include any dungeon activities.\n- Expects you to grind extra mobs on your way.\n\nLet's get started. Good Luck!")
			elseif allyRoute_Conf.currPage == 2 then
				IT("- Accept "..ClrAcc("The Balance of Nature").."\nfrom "..ClrGrn("Conservator Ilthalaine").." "..ClrGrn2("(Night Elf)")..".\n\n- Do "..ClrDo("The Balance of Nature")..".")
			elseif allyRoute_Conf.currPage == 3 then
				IT("- Turn-in "..ClrTurn("The Balance of Nature").." to\n"..ClrGrn("Conservator Ilthalaine").." "..ClrGrn2("(same Night Elf)")..".\n- Accept "..ClrAcc("The Balance of Nature").."\nand "..ClrAcc("Your-Class-Specific-Quest")..".")
			elseif allyRoute_Conf.currPage == 4 then
				IT("- Accept "..ClrAcc("The Woodland Protector").." from\n"..ClrGrn("Melithar Staghelm").." "..ClrGrn2("(Night Elf near the building)")..".\n- Accept "..ClrAcc("A Good Friend").." from\n"..ClrGrn("Dirania Silvershine").." "..ClrGrn2("(Female Night Elf nearby)")..".\n- Turn-in "..ClrTurn("Your-Class-Specific-Quest").."\nto your class trainer.")
			elseif allyRoute_Conf.currPage == 5 then
				IT("- Do "..ClrDo("The Balance of Nature")..".\n\n- Accept "..ClrAcc("Webwood Venom").." from\n"..ClrGrn("Gilshalan Windwalker").." "..ClrGrn2("(Night Elf near the stairs\nthat takes you to the top of the Tower)")..".")
			elseif allyRoute_Conf.currPage == 6 then
				IT("- Turn-in "..ClrTurn("The Balance of Nature").." to\n"..ClrGrn("Conservator Ilthalaine").." "..ClrGrn2("(Night Elf)")..".\n\n- Turn-in "..ClrTurn("The Woodland Protector").." to\n"..ClrGrn("Tarindrella").." "..ClrGrn2("(Female Centaur)")..".\n- Accept "..ClrAcc("The Woodland Protector")..".")
			elseif allyRoute_Conf.currPage == 7 then
				IT("- Go North to find a Spider Cave.\n\n- Turn-in "..ClrTurn("A Good Friend").." to "..ClrGrn("Iverron").."\n"..ClrGrn2("(Night Elf sitting near the Cave)")..".\n- Accept "..ClrAcc("A Friend in Need")..".")
			elseif allyRoute_Conf.currPage == 8 then
				IT("- Do "..ClrDo("Webwood Venom")..".\n\n- Go back to the starting area.\n"..ClrGry("(Always kill extra mobs while walking.\nThat's how leveling is in Classic)"))
			elseif allyRoute_Conf.currPage == 9 then
				IT("- Turn-in "..ClrTurn("Webwood Venom").." to\n"..ClrGrn("Gilshalan Windwalker").." "..ClrGrn2("(Night Elf near the stairs)")..".\n- Accept "..ClrAcc("Webwood Egg")..".\n- Turn-in "..ClrTurn("A Friend in Need").." to\n"..ClrGrn("Dirania Silvershine").." "..ClrGrn2("(Female Night Elf nearby)")..".\n- Accept "..ClrAcc("Iverron's Antidote")..".")
			elseif allyRoute_Conf.currPage == 10 then
				IT("- Do "..ClrDo("Iverron's Antidote").."\nand "..ClrDo("The Woodland Protector")..".")
			elseif allyRoute_Conf.currPage == 11 then
				IT("- Turn-in "..ClrTurn("The Woodland Protector").." to\n"..ClrGrn("Tarindrella").." "..ClrGrn2("(same Female Centaur)")..".\n\n- Turn-in "..ClrTurn("Iverron's Antidote").." to\n"..ClrGrn("Dirania Silvershine").." "..ClrGrn2("(same Female Night Elf)")..".\n- Accept "..ClrAcc("Iverron's Antidote")..".")
			elseif allyRoute_Conf.currPage == 12 then
				IT("- Go back North near the Spider Cave.\n- Turn-in "..ClrTurn("Iverron's Antidote").." to "..ClrGrn("Iverron").."\n"..ClrGrn2("(Night Elf near the Cave)")..".\n\n- Do "..ClrDo("Webwood Egg")..".")
			elseif allyRoute_Conf.currPage == 13 then
				IT("- Hearthstone back to the starting area.\n\n- Turn-in "..ClrTurn("Webwood Egg").." to\n"..ClrGrn("Gilshalan Windwalker").." "..ClrGrn2("(Night Elf near the stairs)")..".\n- Accept "..ClrAcc("Tenaron's Summons")..".")
			elseif allyRoute_Conf.currPage == 14 then
				IT("- Turn-in "..ClrTurn("Tenaron's Summons").." to\n"..ClrGrn("Tenaron Stormgrip").." "..ClrGrn2("(Night Elf in the Tower)")..".\n- Accept "..ClrAcc("Crown of the Earth")..".")
			elseif allyRoute_Conf.currPage == 15 then
				IT("- Do "..ClrDo("Crown of the Earth")..".\n\n- Turn-in "..ClrTurn("Crown of the Earth").." to\n"..ClrGrn("Tenaron Stormgrip").." "..ClrGrn2("(same Night Elf)")..".\n- Accept "..ClrAcc("Crown of the Earth")..".")
			elseif allyRoute_Conf.currPage == 16 then
				IT("- Go South to find a Night Elf near a Gate.\n- Accept "..ClrAcc("Dolanaar Delivery").." from\n"..ClrGrn("Porthannius").." "..ClrGrn2("(Night Elf)")..".\n- Follow the road to find a Demon.\n- Accept "..ClrAcc("Zenn's Bidding").." from\n"..ClrGrn("Zenn Foulhoof").." "..ClrGrn2("(Demon)")..".")
			elseif allyRoute_Conf.currPage == 17 then
				IT("- Do "..ClrDo("Zenn's Bidding")..".\n\n- Turn-in "..ClrTurn("Zenn's Bidding").." to\n"..ClrGrn("Zenn Foulhoof").." "..ClrGrn2("(same Demon)")..".\n\n- Follow the road to reach Dolanaar.")
			elseif allyRoute_Conf.currPage == 18 then
				IT("- Turn-in "..ClrTurn("Dolanaar Delivery").." to\n"..ClrGrn("Innkeeper Keldamyr").." "..ClrGrn2("(Night Elf in the Inn)")..".\n\n- Turn-in "..ClrTurn("Crown of the Earth").." to\n"..ClrGrn("Corithras Moonrage").." "..ClrGrn2("(Night Elf near a Fountain)")..".\n"..ClrRed("DON'T accept any quest."))
			elseif allyRoute_Conf.currPage == 19 then
				IT("- Follow the road West to reach Darnassus.\n- Go through the portal to leave Darnassus.\n\n- Take the Boat to reach Darkshore.\n- Take the Boat from the other side of the dock\nto reach Menethil Harbor, Wetlands.")
			elseif allyRoute_Conf.currPage == 20 then
				IT("- Leave Menethil Harbor.\n- Follow the road East to reach a Tunnel.\n"..ClrGry("(You will probably die a few times)").."\n\n- Go through the Tunnels to reach Loch Modan.")
			elseif allyRoute_Conf.currPage == 21 then
				IT("- Follow the road South then take the Tunnels\non your right to reach Dun Morogh.\n\n- Move toward the center of the map to find\nBoars around your level. "..ClrGry("(Lvl 6 / 20% Exp)"))
			end
			
		else--Dwarf/Gnome
			if allyRoute_Conf.currPage == 1 then
				IT("Welcome to AllyRoute. This guide:\n- Is based on "..ClrGrn("Varrak").."'s Dwarf Hunter speedrun.\n- Does not include any dungeon activities.\n- Expects you to grind extra mobs on your way.\n\nLet's get started. Good Luck!")
			elseif allyRoute_Conf.currPage == 2 then
				IT("- Accept "..ClrAcc("Dwarven Outfitter").."\nand "..ClrAcc("Coldridge Valley Mail delivery").."\nfrom "..ClrGrn("Sten Stoutarm").." "..ClrGrn2("(Dwarf)")..".\n\n- Do "..ClrDo("Dwarven Outfitter")..".")
			elseif allyRoute_Conf.currPage == 3 then
				IT("- Turn-in "..ClrTurn("Dwarven Outfitter").." to\n"..ClrGrn("Sten Stoutarm").." "..ClrGrn2("(same Dwarf)")..".\n- Accept "..ClrAcc("Your-Class-Specific-Quest")..".\n\n- Accept "..ClrAcc("A New Threat").." from\n"..ClrGrn("Balir Frosthammer").." "..ClrGrn2("(Dwarf)")..".")
			elseif allyRoute_Conf.currPage == 4 then
				IT("- Do "..ClrDo("A New Threat")..".\n\n- Turn-in "..ClrTurn("A New Threat").." to\n"..ClrGrn("Balir Frosthammer").." "..ClrGrn2("(same Dwarf)")..".")
			elseif allyRoute_Conf.currPage == 5 then
				IT("- Kill mobs until you reach Level 4.")
			elseif allyRoute_Conf.currPage == 6 then
				IT("- Follow the road West to reach Anvilmar.\n\n- Accept "..ClrAcc("A Refugee's Quandary").." from\n"..ClrGrn("Felix Whindlebolt").." "..ClrGrn2("(Gnome)")..".")
			elseif allyRoute_Conf.currPage == 7 then
				IT("- Turn-in "..ClrTurn("Your-Class-Specific-Quest").."\nto your class trainer.\n\n- Do your Class Quest if you have one.")
			elseif allyRoute_Conf.currPage == 8 then
				IT("- Follow the road West to find a Camp.\n\n- Turn-in "..ClrTurn("Coldridge Valley Mail delivery").."\nto "..ClrGrn("Talin Keeneye").." "..ClrGrn2("(Dwarf)")..".\n- Accept "..ClrAcc("Coldridge Valley Mail delivery").."\nand "..ClrAcc("The Boar Hunter")..".")
			elseif allyRoute_Conf.currPage == 9 then
				IT("- Do "..ClrDo("The Boar Hunter")..".\n\n- Turn-in "..ClrTurn("The Boar Hunter").." to\n"..ClrGrn("Talin Keeneye").." "..ClrGrn2("(same Dwarf)")..".")
			elseif allyRoute_Conf.currPage == 10 then
				IT("- Kill mobs until you reach Level 5.\n\n- Follow the road South to find another Camp.\n")
			elseif allyRoute_Conf.currPage == 11 then
				IT("- Turn-in "..ClrTurn("Coldridge Valley Mail delivery").."\nto "..ClrGrn("Grelin Whitebeard").." "..ClrGrn2("(Dwarf)")..".\n- Accept "..ClrAcc("The Troll Cave")..".\n\n- Accept "..ClrAcc("Scalding Mornbrew Delivery").."\nfrom "..ClrGrn("Nori Pridedrift").." "..ClrGrn2("(Dwarf)")..".")
			elseif allyRoute_Conf.currPage == 12 then
				IT("- Hearthstone back to the starting area.\n- Go back to Anvilmar.\n\n- Turn-in "..ClrTurn("Scalding Mornbrew Delivery").." to\n"..ClrGrn("Durnan Furcutter").." "..ClrGrn2("(Dwarf in the last room)")..".\n- Accept "..ClrAcc("Bring Back The Mug")..".")
			elseif allyRoute_Conf.currPage == 13 then
				IT("- Go back to the Dwarves Camp.\n"..ClrGry("(Always kill extra mobs while walking.\nThat's how leveling is in Classic)").."\n\n- Turn-in "..ClrTurn("Bring Back The Mug").." to\n"..ClrGrn("Nori Pridedrift").." "..ClrGrn2("(same Dwarf)")..".")
			elseif allyRoute_Conf.currPage == 14 then
				IT("- Do "..ClrDo("A Refugee's Quandary").."\nand "..ClrDo("The Troll Cave")..".")
			elseif allyRoute_Conf.currPage == 15 then
				IT("- Go back to the Dwarves Camp.\n\n- Turn-in "..ClrTurn("The Troll Cave").." to\n"..ClrGrn("Grelin Whitebeard").." "..ClrGrn2("(Dwarf)")..".\n- Accept "..ClrAcc("The Stolen Journal")..".")
			elseif allyRoute_Conf.currPage == 16 then
				IT("- Do "..ClrDo("The Stolen Journal")..".")
			elseif allyRoute_Conf.currPage == 17 then
				IT("- Go back to the Dwarves Camp.\n\n- Turn-in "..ClrTurn("The Stolen Journal").." to\n"..ClrGrn("Grelin Whitebeard").." "..ClrGrn2("(same Dwarf)")..".\n- Accept "..ClrAcc("Senir's Observations")..".")
			elseif allyRoute_Conf.currPage == 18 then
				IT("- Go back to Anvilmar.\n\n- Turn-in "..ClrTurn("A Refugee's Quandary").." to\n"..ClrGrn("Felix Whindlebolt").." "..ClrGrn2("(Gnome)")..".")
			elseif allyRoute_Conf.currPage == 19 then
				IT("- Follow the road East to reach a Gate.\n\n- Turn-in "..ClrTurn("Senir's Observations").." to\n"..ClrGrn("Mountaineer Thalos").." "..ClrGrn2("(Dwarf)")..".\n- Accept "..ClrAcc("Senir's Observations")..".")
			elseif allyRoute_Conf.currPage == 20 then
				IT("- Accept "..ClrAcc("Supplies to Tannok").." from\n"..ClrGrn("Hands Springsprocket").." "..ClrGrn2("(Gnome)")..".\n\n- Go through the Tunnel to find Boars around\nyour level. "..ClrGry("(Lvl 6 / 40% Exp)"))
			end --End 1 Dwarf
		end

	--06-11 Dun Morogh
	elseif allyRoute_Conf.currChapter == 2 then
		if allyRoute_Conf.currPage == 1 then
			IT("- Kill Boars until you reach Level 6 / 85% Exp.\n\n- Save "..ClrYlw("x6 [Crag Boar Rib]").."\nand "..ClrYlw("x4 [Chunk of Boar Meat]").."\nfor later quests.")
		elseif allyRoute_Conf.currPage == 2 then
			IT("- Follow the road to reach Kharanos.\n\n- Turn-in "..ClrTurn("Senir's Observations").." to\n"..ClrGrn("Senir Whitebeard").." "..ClrGrn2("(Dwarf in a Camp)")..".\n"..ClrRed("(Only Dwarves/Gnomes have this quest)"))
		elseif allyRoute_Conf.currPage == 3 then
			IT("- Accept "..ClrAcc("Beer Basted Boar Ribs").." from\n"..ClrGrn("Ragnar Thunderbrew").." "..ClrGrn2("(Dwarf outside the Inn)")..".\n\n- Accept "..ClrAcc("Tools for Steelgrill").." from\n"..ClrGrn("Tharek Blackstone").." "..ClrGrn2("(Dwarf outside the Blacksmith building)")..".")
		elseif allyRoute_Conf.currPage == 4 then
			IT("- Make Kharanos' Inn your home.\n\n- Buy "..ClrYlw("x1 [Rhapsody Malt]").." from\n"..ClrGrn("Innkeeper Belm").." "..ClrGrn2("(Dwarf)").." for a quest.")
		elseif allyRoute_Conf.currPage == 5 then
			IT("- Turn-in "..ClrTurn("Supplies to Tannok").." to\n"..ClrGrn("Tannok Frosthammer").." "..ClrGrn2("(Dwarf)")..".\n"..ClrRed("(Only Dwarves/Gnomes have this quest)"))
		elseif allyRoute_Conf.currPage == 6 then
			IT("- Turn-in "..ClrTurn("Beer Basted Boar Ribs").." to\n"..ClrGrn("Ragnar Thunderbrew").." "..ClrGrn2("(Dwarf outside the Inn)")..".\n"..ClrRed("(Requires x6 [Crag Boar Rib])"))
		elseif allyRoute_Conf.currPage == 7 then
			IT("- Go North/East to reach Steelgrill's Depot.\n- Accept "..ClrAcc("Stocking Jetsteam").." from\n"..ClrGrn("Pilot Bellowfiz").." "..ClrGrn2("(Dwarf)")..".\n\n- Accept "..ClrAcc("The Grizzled Den").." from\n"..ClrGrn("Pilot Stonegear").." "..ClrGrn2("(Dwarf)")..".")
		elseif allyRoute_Conf.currPage == 8 then
			IT("- Accept "..ClrAcc("Ammo for Rumbleshot").." from\n"..ClrGrn("Loslor Rudge").." "..ClrGrn2("(Dwarf outside a House)")..".\n\n- Turn-in "..ClrTurn("Tools for Steelgrill").." to\n"..ClrGrn("Beldin Steelgrill").." "..ClrGrn2("(Dwarf outside a House)")..".")
		elseif allyRoute_Conf.currPage == 9 then
			IT("- Do "..ClrDo("Ammo for Rumbleshot")..".\n\n- Follow the road South/West to reach a Camp.\n- Turn-in "..ClrTurn("Ammo for Rumbleshot").." to\n"..ClrGrn("Hegnar Rumbleshot").." "..ClrGrn2("(Dwarf)")..".")
		elseif allyRoute_Conf.currPage == 10 then
			IT("- Do "..ClrDo("Stocking Jetsteam").."\nand "..ClrDo("The Grizzled Den")..".")
		elseif allyRoute_Conf.currPage == 11 then
			IT("- Kill mobs until you reach Level 7 / 80% Exp.\n\n"..ClrGry("(There are multiple grinding sections like this.\nThat's how").." "..ClrGrn("Varrak").." "..ClrGry("the speedrunner did it.\nHe also explained that at low Lvls, grinding is\nstraight up better than questing)"))
		elseif allyRoute_Conf.currPage == 12 then
			IT("- Go back to Kharanos.\n\n- Accept "..ClrAcc("Frostmane Hold").." from\n"..ClrGrn("Senir Whitebeard").." "..ClrGrn2("(Dwarf in the Camp)")..".\n"..ClrRed("(Only Dwarves/Gnomes have this quest)"))
		elseif allyRoute_Conf.currPage == 13 then
			IT("- Go back to Steelgrill's Depot.\n\n- Turn-in "..ClrTurn("Stocking Jetsteam").." to\n"..ClrGrn("Pilot Bellowfiz").." "..ClrGrn2("(Dwarf)")..".\n- Accept "..ClrAcc("Evershine")..".")
		elseif allyRoute_Conf.currPage == 14 then
			IT("- Turn-in "..ClrTurn("The Grizzled Den").." to\n"..ClrGrn("Pilot Stonegear").." "..ClrGrn2("(Dwarf)")..".\n\n"..ClrGry("(You should reach Level 8.\nAlways kill extra mobs while walking)"))
		elseif allyRoute_Conf.currPage == 15 then
			IT("- Go to the Gnome House near Kharanos.\n\n- Accept "..ClrAcc("Operation Recombobulation").." from\n"..ClrGrn("Razzle Sprysprocket").." "..ClrGrn2("(Gnome)")..".")
		elseif allyRoute_Conf.currPage == 16 then
			IT("- Go West to reach Chill Breeze Valley.\n- Hug the left wall until you reach a Cave.\n- Climb the cliffs infront of the Cave.\n\n- Accept "..ClrAcc("Tundra MacGrann's Stolen Stash").."\nfrom "..ClrGrn("Tundra MacGrann").." "..ClrGrn2("(Dwarf)")..".")
		elseif allyRoute_Conf.currPage == 17 then
			IT("- Do "..ClrDo("Tundra MacGrann's Stolen Stash")..".\n"..ClrGry("(Loot").." *MacGrann's Meat Locker* "..ClrGry("in the Cave.\nCareful from the Elite Yeti in the area)"))
		elseif allyRoute_Conf.currPage == 18 then
			IT("- Turn-in "..ClrTurn("Tundra MacGrann's Stolen Stash").."\nto "..ClrGrn("Tundra MacGrann").." "..ClrGrn2("(same Dwarf)")..".\n\n- Go North to reach Brewnall Village.")
		elseif allyRoute_Conf.currPage == 19 then
			IT("- Turn-in "..ClrTurn("Evershine").." to\n"..ClrGrn("Rejold Barleybrew").." "..ClrGrn2("(Dwarf)")..".\n- Accept "..ClrAcc("A Favor for Evershine").."\nand "..ClrAcc("The Perfect Stout").."\nand "..ClrAcc("Shimmer Stout")..".")
		elseif allyRoute_Conf.currPage == 20 then
			IT("- Accept "..ClrAcc("Bitter Rivals").." from\n"..ClrGrn("Marleth Barleybrew").." "..ClrGrn2("(Female Dwarf)")..".\n\n- Do "..ClrDo("A Favor for Evershine")..".")
		elseif allyRoute_Conf.currPage == 21 then
			IT("- Turn-in "..ClrTurn("A Favor for Evershine").." to\n"..ClrGrn("Rejold Barleybrew").." "..ClrGrn2("(same Dwarf)")..".\n- Accept "..ClrAcc("Return to Bellowfiz")..".\n"..ClrGry("(Lvl 8 / 75% Exp)"))
		elseif allyRoute_Conf.currPage == 22 then
			IT("- Go back to Kharanos.\n- Buy "..ClrYlw("x1 [Thunder Ale]").." from "..ClrGrn("Innkeeper Belm")..".\n\n- Go inside the Inn's kitchen.\n- Go downstairs. ")
		elseif allyRoute_Conf.currPage == 23 then
			IT("- Click on *Guarded Thunder Ale Barrel*.\n- Accept "..ClrAcc("Guarded Thunderbrew Barrel")..".\n\n- Turn-in "..ClrTurn("Distracting Jarven").." to\n"..ClrGrn("Jarven Thunderbrew").." "..ClrGrn2("(Dwarf)")..".")
		elseif allyRoute_Conf.currPage == 24 then
			IT("- Wait for the Dwarf to go away.\n\n- Click on *Unguarded Thunder Ale Barrel*.\n- Complete "..ClrTurn("Bitter Rivals")..".\n- Accept "..ClrAcc("Return to Marleth")..".")
		elseif allyRoute_Conf.currPage == 25 then
			IT("- Go back to Steelgrill's Depot.\n\n- Turn-in "..ClrTurn("Return to Bellowfiz").." to\n"..ClrGrn("Pilot Bellowfiz").." "..ClrGrn2("(Dwarf)")..".")
		elseif allyRoute_Conf.currPage == 26 then
			IT("- Do "..ClrDo("The Perfect Stout")..".")
		elseif allyRoute_Conf.currPage == 27 then
			IT("- Go back to Brewnall Village.\n- Turn-in "..ClrTurn("The Perfect Stout").." to\n"..ClrGrn("Rejold Barleybrew").." "..ClrGrn2("(Dwarf)")..".\n\n- Turn-in "..ClrTurn("Return to Marleth").." to\n"..ClrGrn("Marleth Barleybrew").." "..ClrGrn2("(Female Dwarf)")..".")
		elseif allyRoute_Conf.currPage == 28 then
			IT("- Do "..ClrDo("Operation Recombobulation")..".\n- Do "..ClrDo("Frostmane Hold")..".\n"..ClrRed("(Only Dwarves/Gnomes have this quest)").."\n\n"..ClrGry("(Humans and Night Elves kill mobs until you\nreach Lvl 9 / 85% Exp)"))
		elseif allyRoute_Conf.currPage == 29 then
			IT("- Hearthstone back to Kharanos, Dun Morogh.\n- Turn-in "..ClrTurn("Frostmane Hold").." to\n"..ClrGrn("Senir Whitebeard").." "..ClrGrn2("(Dwarf in the Camp)")..".\n- Accept "..ClrAcc("The Reports")..".\n"..ClrRed("(Only Dwarves/Gnomes have this quest)"))
		elseif allyRoute_Conf.currPage == 30 then
			IT("- Turn-in "..ClrTurn("Operation Recombobulation").." to\n"..ClrGrn("Razzle Sprysprocket").." "..ClrGrn2("(Gnome in the House)")..".\n\n"..ClrGry("(You should reach Lvl 10)"))
		elseif allyRoute_Conf.currPage == 31 then
			IT("- Do your Level-10-Class-Quest if you have one.\n"..ClrGry("(Hunters have pet taming quests for example)"))
		elseif allyRoute_Conf.currPage == 32 then
			IT("- Follow the road North.\n- Go up the mountain to reach Ironforge.\n\n- Make Ironforge's Inn your home.\n- Pick up the Flight Point from "..ClrGrn("Gryth Thurden")..".")
		elseif allyRoute_Conf.currPage == 33 then
			IT("- Go to the High Seat near the King.\n\n- Turn-in "..ClrTurn("The Reports").." to\n"..ClrGrn("Senator Barin Redstone").." "..ClrGrn2("(Dwarf)")..".\n"..ClrRed("(Only Dwarves/Gnomes have this quest)"))
		elseif allyRoute_Conf.currPage == 34 then
			IT("- Learn Ironforge's weapons if you need.\n\n- Leave Ironforge.\n- Follow the road East to reach Gol'Bolar Quarry.")
		elseif allyRoute_Conf.currPage == 35 then
			IT("- Accept "..ClrAcc("The Public Servant").." from\n"..ClrGrn("Senator Mehr Stonehallow").." "..ClrGrn2("(Dwarf)")..".\n\n- Accept "..ClrAcc("Those Blasted Troggs!").." from\n"..ClrGrn("Foreman Stonebrow").." "..ClrGrn2("(Dwarf)")..".")
		elseif allyRoute_Conf.currPage == 36 then
			IT("- Do "..ClrDo("The Public Servant").."\nand "..ClrDo("Those Blasted Troggs!")..".")
		elseif allyRoute_Conf.currPage == 37 then
			IT("- Kill mobs until you reach Level 11.")
		elseif allyRoute_Conf.currPage == 38 then
			IT("- Turn-in "..ClrTurn("The Public Servant").." to\n"..ClrGrn("Senator Mehr Stonehallow").." "..ClrGrn2("(same Dwarf)")..".\n\n- Turn-in "..ClrTurn("Those Blasted Troggs!").." to\n"..ClrGrn("Foreman Stonebrow").." "..ClrGrn2("(same Dwarf)")..".")
		elseif allyRoute_Conf.currPage == 39 then
			IT("- Follow the road East/North and go through\nthe Tunnel to reach North Gate Outpost.\n\n- Accept "..ClrAcc("The Lost Pilot").." from\n"..ClrGrn("Pilot Hammerfoot").." "..ClrGrn2("(Dwarf)")..".")
		elseif allyRoute_Conf.currPage == 40 then
			IT("- Go to "..ClrYlw("[80,36]").." near a Tree to find a Corpse.\n- Click on *A Dwarven Corpse* on the ground.\n- Complete "..ClrTurn("The Lost Pilot")..".\n- Accept "..ClrAcc("A Pilot's Revenge")..".")
		elseif allyRoute_Conf.currPage == 41 then
			IT("- Do "..ClrDo("A Pilot's Revenge")..".\n\n- Turn-in "..ClrTurn("A Pilot's Revenge").." to\n"..ClrGrn("Pilot Hammerfoot").." "..ClrGrn2("(same Dwarf)")..".")
		elseif allyRoute_Conf.currPage == 42 then
			IT("- Follow the road East and go through\nthe Tunnel to reach South Gate Outpost.\n\n- Turn-in "..ClrTurn("Shimmer Stout").." to\n"..ClrGrn("Mountaineer Barleybrew").." "..ClrGrn2("(Dwarf)")..".\n- Accept "..ClrAcc("Stout to Kadrell")..".")
		elseif allyRoute_Conf.currPage == 43 then
			IT("- Go through the Tunnel to reach Loch Modan.\n"..ClrGry("(Lvl 11 / 55% Exp)"))
		end --End 2

	--11-13 Loch Modan
	elseif allyRoute_Conf.currChapter == 3 then
		if allyRoute_Conf.currPage == 1 then
			IT("- Accept "..ClrAcc("In Defense of the King's Lands").." from "..ClrGrn("Mountaineer Cobbleflint").." "..ClrGrn2("(Dwarf near Tower)")..".\n\n- Accept "..ClrAcc("The Trogg Threat").." from\n"..ClrGrn("Captain Rugelfuss").." "..ClrGrn2("(Dwarf inside the Tower)")..".")
		elseif allyRoute_Conf.currPage == 2 then
			IT("- Follow the road North to reach Thelsamar.\n- Pick up Flight Point from "..ClrGrn("Thorgrum Borrelson")..".\n\n- Accept "..ClrAcc("Thelsamar Blood Sausages").." from\n"..ClrGrn("Vidra Hearthstove").." "..ClrGrn2("(Female Dwarf in the Inn)")..".\n"..ClrRed("DON'T set the Inn to be your home."))
		elseif allyRoute_Conf.currPage == 3 then
			IT("- Turn-in "..ClrTurn("Stout to Kadrell").." to\n"..ClrGrn("Mountaineer Kadrell").." "..ClrGrn2("(Dwarf patrolling the area)")..".\n- Accept "..ClrAcc("Rat Catching").."\nand "..ClrAcc("Mountaineer Stormpike's Task")..".")
		elseif allyRoute_Conf.currPage == 4 then
			IT("- Accept "..ClrAcc("Honor Students").." from\n"..ClrGrn("Brock Stoneseeker").." "..ClrGrn2("(Dwarf in last building East)")..".\n\n- Turn-in "..ClrTurn("Honor Students").." to\n"..ClrGrn("Thorgrum Borrelson").." "..ClrGrn2("(Dwarf Flight Master)")..".\n- Accept "..ClrAcc("Ride to Ironforge")..".")
		elseif allyRoute_Conf.currPage == 5 then
			IT("- Do "..ClrDo("Thelsamar Blood Sausages")..".")
		elseif allyRoute_Conf.currPage == 6 then
			IT("- Follow the road North to reach Algaz Station.\n\n- Turn-in "..ClrTurn("Mountaineer Stormpike's Task").." to\n"..ClrGrn("Mountaineer Stormpike").." "..ClrGrn2("(Dwarf in the Tower)")..".\n- Accept "..ClrAcc("Stormpike's Order").."\nand "..ClrAcc("Filthy Paws")..".")
		elseif allyRoute_Conf.currPage == 7 then
			IT("- Do "..ClrDo("Filthy Paws").."\nand "..ClrDo("Rat Catching")..".")
		elseif allyRoute_Conf.currPage == 8 then
			IT("- Go back to Algaz Station.\n\n- Turn-in "..ClrTurn("Filthy Paws").." to\n"..ClrGrn("Mountaineer Stormpike").." "..ClrGrn2("(same Dwarf)")..".\n"..ClrGry("(Lvl 12 / 20% Exp)"))
		elseif allyRoute_Conf.currPage == 9 then
			IT("- Go back to Thelsamar.\n- Turn-in "..ClrTurn("Thelsamar Blood Sausages").." to\n"..ClrGrn("Vidra Hearthstove").." "..ClrGrn2("(Female Dwarf in the Inn)")..".\n\n- Turn-in "..ClrTurn("Rat Catching").." to "..ClrGrn("Mountaineer Kadrell").." "..ClrGrn2("(Dwarf patrolling the area)")..".")
		elseif allyRoute_Conf.currPage == 10 then
			IT("- Do "..ClrDo("In Defense of the King's Lands").."\nand "..ClrDo("The Trogg Threat")..".")
		elseif allyRoute_Conf.currPage == 11 then
			IT("- Go back to the first Tower.\n\n- Turn-in "..ClrTurn("In Defense of the King's Lands").." to "..ClrGrn("Mountaineer Cobbleflint").." "..ClrGrn2("(Dwarf near Tower)")..".")
		elseif allyRoute_Conf.currPage == 12 then
			IT("- Accept "..ClrAcc("In Defense of the King's Lands").." from "..ClrGrn("Mountaineer Gravelgaw").." "..ClrGrn2("(Dwarf outside Tower)")..".\n\n- Turn-in "..ClrTurn("The Trogg Threat").." to\n"..ClrGrn("Captain Rugelfuss").." "..ClrGrn2("(Dwarf in the Tower)")..".")
		elseif allyRoute_Conf.currPage == 13 then
			IT("- Kill mobs until you reach Level 13.")
		elseif allyRoute_Conf.currPage == 14 then
			IT("- Do "..ClrDo("In Defense of the King's Lands")..".\n"..ClrGry("(Stonesplinter Skullthumper\nand Stonesplinter Seer)"))
		elseif allyRoute_Conf.currPage == 15 then
			IT("- Go back to the first Tower.\n- Turn-in "..ClrTurn("In Defense of the King's Lands").." to "..ClrGrn("Mountaineer Gravelgaw").." "..ClrGrn2("(Dwarf outside Tower)")..".\n\n- Accept "..ClrAcc("In Defense of the King's Lands").." from "..ClrGrn("Mountaineer Wallbang").." "..ClrGrn2("(Dwarf in Tower)")..".")
		elseif allyRoute_Conf.currPage == 16 then
			IT("- Hearthstone back to Ironforge.\n\n- Turn-in "..ClrTurn("Ride to Ironforge").." to\n"..ClrGrn("Golnir Bouldertoe").." "..ClrGrn2("(Dwarf near Mining trainer)")..".\n- Accept "..ClrAcc("Gryth Thurden")..".")
		elseif allyRoute_Conf.currPage == 17 then
			IT("- Turn-in "..ClrTurn("Gryth Thurden").." to\n"..ClrGrn("Gryth Thurden").." "..ClrGrn2("(Dwarf Flight Master)")..".\n- Accept "..ClrAcc("Return to Brock")..".")
		elseif allyRoute_Conf.currPage == 18 then
			IT("- Go to Tinker Town.\n- Accept "..ClrAcc("Find Bingles").." from "..ClrGrn("Gnoarn").." "..ClrGrn2("(Gnome)")..".\n\n- Go to the Deeprun Tram station.\n- Accept "..ClrAcc("Deeprun Rat Roundup").."\nfrom "..ClrGrn("Monty").." "..ClrGrn2("(Gnome)")..".")
		elseif allyRoute_Conf.currPage == 19 then
			IT("- Do "..ClrDo("Deeprun Rat Roundup")..".\n\n- Turn-in "..ClrTurn("Deeprun Rat Roundup").." to\n"..ClrGrn("Monty").." "..ClrGrn2("(same Gnome)")..".\n- Accept "..ClrAcc("Me Brother, Nipsy")..".")
		elseif allyRoute_Conf.currPage == 20 then
			IT("- Take the Tram to reach Stormwind.\n\n- Turn-in "..ClrTurn("Me Brother, Nipsy").." to\n"..ClrGrn("Nipsy").." "..ClrGrn2("(Gnome in the station)")..".")
		elseif allyRoute_Conf.currPage == 21 then
			IT("- Turn-in "..ClrTurn("Stormpike's Order").." to\n"..ClrGrn("Furen Longbeard").." "..ClrGrn2("(Dwarf near Blacksmith trainer)")..".\n\n- Learn Stormwind's weapons if you need.")
		elseif allyRoute_Conf.currPage == 22 then
			IT("- Pick up Flight Point from "..ClrGrn("Dungar Longdrink")..".\n- Leave Stormwind.\n\n- Go West to reach Westbrook Garrison.\n- Accept "..ClrAcc("Wanted: \"Hogger\"").." from\nthe Wanted Poster near the Human.\n")
		elseif allyRoute_Conf.currPage == 23 then
			IT("- Do "..ClrDo("Wanted: \"Hogger\"")..". "..ClrRed("(Lvl 11 Elite Gnoll)").."\n\n- Turn-in "..ClrTurn("Wanted: \"Hogger\"").." to\n"..ClrGrn("Marshal Dughan").." "..ClrGrn2("(Human in Goldshire)")..".")
		elseif allyRoute_Conf.currPage == 24 then
			IT("- Follow the road West to reach Westfall.\n"..ClrGry("(Lvl 13 / 65% Exp)"))
		end --End 3
		
	--13-16 Westfall
	elseif allyRoute_Conf.currChapter == 4 then
		if allyRoute_Conf.currPage == 1 then
			IT("- Accept "..ClrAcc("Westfall Stew").."\nand "..ClrAcc("Poor Old Blanchy").."\nfrom "..ClrGrn("Verna Furlbrow").." "..ClrGrn2("(Female Human)")..".\n\n- Accept "..ClrAcc("The Forgotten Heirloom").." from\n"..ClrGrn("Farmer Furlbrow").." "..ClrGrn2("(Human)")..".")
		elseif allyRoute_Conf.currPage == 2 then
			IT("- Go to Salden's Farm "..ClrYlw("[56,31]")..".\n\n- Accept "..ClrAcc("The Killing Fields").." from\n"..ClrGrn("Farmer Saldean").." "..ClrGrn2("(Human outside the House)")..".")
		elseif allyRoute_Conf.currPage == 3 then
			IT("- Turn-in "..ClrTurn("Westfall Stew").." to "..ClrGrn("Salma Saldean").."\n"..ClrGrn2("(Female Human inside the House)")..".\n- Accept "..ClrAcc("Westfall Stew").."\nand "..ClrAcc("Goretusk Liver Pie")..".")
		elseif allyRoute_Conf.currPage == 4 then
			IT("- Follow the road South to reach Sentinel Hill.\n- Accept "..ClrAcc("The People's Militia").." from\n"..ClrGrn("Gryan Stoutmantle").." "..ClrGrn2("(Human near the Tower)")..".\n\n- Accept "..ClrAcc("Patrolling Westfall").." from\n"..ClrGrn("Captain Danuvin").." "..ClrGrn2("(Human)")..".")
		elseif allyRoute_Conf.currPage == 5 then
			IT("- Accept "..ClrAcc("Red Leather Bandanas").." from\n"..ClrGrn("Scout Galiaan").." "..ClrGrn2("(Human near the Inn)")..".\n\n- Pick up the Flight Point from "..ClrGrn("Thor")..".")
		elseif allyRoute_Conf.currPage == 6 then
			IT("- Do all your Westfall quests in any order you\nwant. All the objectives are one next to another.\n\n- Save "..ClrYlw("x5 [Flask of Oil]").." for a later quest.")
		elseif allyRoute_Conf.currPage == 7 then
			IT("- Turn-in "..ClrTurn("The Forgotten Heirloom").." to\n"..ClrGrn("Farmer Furlbrow").." "..ClrGrn2("(Human in Westfall's entrance)")..".\n\n- Turn-in "..ClrTurn("Poor Old Blanchy").." to\n"..ClrGrn("Verna Furlbrow").." "..ClrGrn2("(Female Human)")..".")
		elseif allyRoute_Conf.currPage == 8 then
			IT("- Turn-in "..ClrTurn("The Killing Fields").." to\n"..ClrGrn("Farmer Saldean").." "..ClrGrn2("(Human in Salden's Farm)")..".\n\n- Turn-in "..ClrTurn("Goretusk Liver Pie").."\nand "..ClrTurn("Westfall Stew").." to\n"..ClrGrn("Salma Saldean").." "..ClrGrn2("(Female Human)")..".")
		elseif allyRoute_Conf.currPage == 9 then
			IT("- Turn-in "..ClrTurn("The People's Militia").." to\n"..ClrGrn("Gryan Stoutmantle").." "..ClrGrn2("(Human near the Tower)")..".\n- Accept "..ClrAcc("The People's Militia").."\nand "..ClrAcc("The Defias Brotherhood")..".")
		elseif allyRoute_Conf.currPage == 10 then
			IT("- Turn-in "..ClrTurn("Patrolling Westfall").." to\n"..ClrGrn("Captain Danuvin").." "..ClrGrn2("(Human near the Tower)")..".\n\n- Turn-in "..ClrTurn("Red Leather Bandanas").." to\n"..ClrGrn("Scout Galiaan").." "..ClrGrn2("(Human near the Inn)")..".\n"..ClrGry("(Lvl 15 / 25% Exp)"))
		elseif allyRoute_Conf.currPage == 11 then
			IT("- Do "..ClrDo("The People's Militia")..".\n"..ClrGry("(Defias Pillager\nand Defias Looter)"))
		elseif allyRoute_Conf.currPage == 12 then
			IT("- Turn-in "..ClrTurn("The People's Militia").." to\n"..ClrGrn("Gryan Stoutmantle").." "..ClrGrn2("(Human near the Tower)")..".\n- Accept "..ClrAcc("The People's Militia")..".")
		elseif allyRoute_Conf.currPage == 13 then
			IT("- Do "..ClrDo("The People's Militia")..".\n"..ClrGry("(Defias Highwayman,\nDefias Pathstalker\nand Defias Knuckleduster)"))
		elseif allyRoute_Conf.currPage == 14 then
			IT("- Go to Westfall Lighthouse.\n"..ClrGry("(South/West corner of the map)"))
		elseif allyRoute_Conf.currPage == 15 then
			IT("- Accept "..ClrAcc("Keeper of the Flame").."\nand "..ClrAcc("The Coastal Menace").."\nfrom "..ClrGrn("Captain Grayson").." "..ClrGrn2("(Pirate Ghost)")..".\n"..ClrRed("DON'T accept any other quest.").."\n- Turn-in "..ClrTurn("Keeper of the Flame")..".\n"..ClrRed("(Requires x5 [Flask of Oil])"))
		elseif allyRoute_Conf.currPage == 16 then
			IT("- Do "..ClrDo("The Coastal Menace")..". "..ClrRed("(Lvl 20 Murloc)").."\n\n- Turn-in "..ClrTurn("The Coastal Menace").." to\n"..ClrGrn("Captain Grayson").." "..ClrGrn2("(same Pirate Ghost)")..".")
		elseif allyRoute_Conf.currPage == 17 then
			IT("- Turn-in "..ClrTurn("The People's Militia").." to\n"..ClrGrn("Gryan Stoutmantle").." "..ClrGrn2("(Human near the Tower)")..".")
		elseif allyRoute_Conf.currPage == 18 then
			IT("- Hearthstone back to Ironforge.\n\n- Fly to Thelsamar, Loch Modan.\n"..ClrGry("(Lvl 16 / 50% Exp)"))
		end --End 4
	
	--16-20 Loch Modan
	elseif allyRoute_Conf.currChapter == 5 then
		if allyRoute_Conf.currPage == 1 then
			IT("- Turn-in "..ClrTurn("Return to Brock").." to\n"..ClrGrn("Brock Stoneseeker").." "..ClrGrn2("(Dwarf in last building East)")..".\n\n- Accept "..ClrAcc("Ironband's Excavation").." from\n"..ClrGrn("Jern Hornhelm").." "..ClrGrn2("(Dwarf in the same room)")..".")
		elseif allyRoute_Conf.currPage == 2 then
			IT("- Go South around the water to reach\nIronband's Excavation Site.")
		elseif allyRoute_Conf.currPage == 3 then
			IT("- Turn-in "..ClrTurn("Ironband's Excavation").." to\n"..ClrGrn("Magmar Fellhew").." "..ClrGrn2("(Dwarf)")..".\n- Accept "..ClrAcc("Gathering Idols")..".\n\n- Accept "..ClrAcc("Excavation Progress Report").." from\n"..ClrGrn("Prospector Ironband").." "..ClrGrn2("(Dwarf)")..".")
		elseif allyRoute_Conf.currPage == 4 then
			IT("- Keep walking around the water to find\na Gnome near a crashed airplane.\n\n- Turn-in "..ClrTurn("Find Bingles").." to\n"..ClrGrn("Bingles Blastenheimer").." "..ClrGrn2("(Gnome)")..".\n- Accept "..ClrAcc("Bingles' Missing Supplies")..".")
		elseif allyRoute_Conf.currPage == 5 then
			IT("- Do "..ClrDo("Bingles' Missing Supplies").."\nand "..ClrDo("In Defense of the King's Lands")..".\n"..ClrGry("(Stonesplinter Shaman and Bonesnapper)").."\n\n- Turn-in "..ClrTurn("Bingles' Missing Supplies").." to\n"..ClrGrn("Bingles Blastenheimer").." "..ClrGrn2("(same Gnome)")..".")
		elseif allyRoute_Conf.currPage == 6 then
			IT("- Kill mobs until you reach level 17.")
		elseif allyRoute_Conf.currPage == 7 then
			IT("- Go East to reach the Farstrider Lodge.\n- Go inside the building "..ClrYlw("[82,63]")..".\n"..ClrGry("(I'll call this place the Elf Building)"))
		elseif allyRoute_Conf.currPage == 8 then
			IT("- Accept "..ClrAcc("A Hunter's Boast").." from\n"..ClrGrn("Daryl the Youngling").." "..ClrGrn2("(Human)")..".\n\n"..ClrGry("(Timed Quest. Make sure there are enough").."\n"..ClrRed("Mountain Buzzard (Birds)").." "..ClrGry("in the area first)"))
		elseif allyRoute_Conf.currPage == 9 then
			IT("- Do "..ClrDo("A Hunter's Boast")..".")
		elseif allyRoute_Conf.currPage == 10 then
			IT("- Turn-in "..ClrTurn("A Hunter's Boast").." to\n"..ClrGrn("Daryl the Youngling").." "..ClrGrn2("(same Human)")..".\n- Accept "..ClrAcc("A Hunter's Challenge")..".\n\n"..ClrGry("(Timed Quest. Make sure there are enough").."\n"..ClrRed("Elder Mountain Boars").." "..ClrGry("in the area first)"))
		elseif allyRoute_Conf.currPage == 11 then
			IT("- Do "..ClrDo("A Hunter's Challenge")..".")
		elseif allyRoute_Conf.currPage == 12 then
			IT("- Turn-in "..ClrTurn("A Hunter's Challenge").." to\n"..ClrGrn("Daryl the Youngling").." "..ClrGrn2("(same Human)")..".\n\n- Accept "..ClrAcc("Crocolisk Hunting").." from\n"..ClrGrn("Marek Ironheart").." "..ClrGrn2("(Dwarf)")..".")
		elseif allyRoute_Conf.currPage == 13 then
			IT("- Do "..ClrDo("Crocolisk Hunting")..".")
		elseif allyRoute_Conf.currPage == 14 then
			IT("- Turn-in "..ClrTurn("Crocolisk Hunting").." to\n"..ClrGrn("Marek Ironheart").." "..ClrGrn2("(same Dwarf)")..".\n\n- Accept "..ClrAcc("Vyrin's Revenge").." from\n"..ClrGrn("Vyrin Swiftwind").." "..ClrGrn2("(Female Blood Elf)")..".")
		elseif allyRoute_Conf.currPage == 15 then
			IT("- Do "..ClrDo("Vyrin's Revenge")..". "..ClrRed("(Lvl 20 Elite Bear)"))
		elseif allyRoute_Conf.currPage == 16 then
			IT("- Go back to Thelsamar.\n\n- Turn-in "..ClrTurn("Excavation Progress Report").." to\n"..ClrGrn("Jern Hornhelm").." "..ClrGrn2("(Dwarf in the last building East)")..".\n- Accept "..ClrAcc("Report to Ironforge")..".")
		elseif allyRoute_Conf.currPage == 17 then
			IT("- Go back to the first Tower.\n- Turn-in "..ClrTurn("In Defense of the King's Lands").."\nto "..ClrGrn("Mountaineer Wallbang").." "..ClrGrn2("(Dwarf in Tower)")..".\n\n- Accept "..ClrAcc("In Defense of the King's Lands").."\nfrom "..ClrGrn("Captain Rugelfuss").." "..ClrGrn2("(Dwarf in Tower)")..".")
		elseif allyRoute_Conf.currPage == 18 then
			IT("- Do "..ClrDo("In Defense of the King's Lands")..".\n"..ClrGry("(Grawmug, Gnasher and Brawler)"))
		elseif allyRoute_Conf.currPage == 19 then
			IT("- Kill mobs until you reach Level 18.")
		elseif allyRoute_Conf.currPage == 20 then
			IT("- Hearthstone back to Ironforge.\n- Go to the Hall of Explorers.\n\n- Turn-in "..ClrTurn("Report to Ironforge").." to\n"..ClrGrn("Prospector Stormpike").." "..ClrGrn2("(Dwarf)")..".\n- Accept "..ClrAcc("Powder to Ironband")..".")
		elseif allyRoute_Conf.currPage == 21 then
			IT("- Fly to Thelsamar, Loch Modan.\n- Go back to the first Tower.\n\n- Turn-in "..ClrTurn("In Defense of the King's Lands").." to\n"..ClrGrn("Captain Rugelfuss").." "..ClrGrn2("(Dwarf in Tower)")..".")
		elseif allyRoute_Conf.currPage == 22 then
			IT("- Go back to Thelsamar.\n- Make Thelsamar's Inn your home.\n- Turn-in "..ClrTurn("Powder to Ironband").." to\n"..ClrGrn("Jern Hornhelm").." "..ClrGrn2("(Dwarf in the last building East)")..".\n- Accept "..ClrAcc("Resupplying the Excavation")..".")
		elseif allyRoute_Conf.currPage == 23 then
			IT("- Go South around the water to find Dwarves\nstanding near a wagon "..ClrYlw("[52,69]")..".\n\n- Turn-in "..ClrTurn("Resupplying the Excavation").." to\n"..ClrGrn("Huldar").." "..ClrGrn2("(Dwarf)")..".\n- Accept "..ClrAcc("After the Ambush")..".")
		elseif allyRoute_Conf.currPage == 24 then
			IT("- Turn-in "..ClrTurn("After the Ambush").." to "..ClrGrn("Miran").." "..ClrGrn2("(Dwarf)")..".\n\n- Accept "..ClrAcc("Protecting the Shipment")..".\n"..ClrRed("(Escort Quest)"))
		elseif allyRoute_Conf.currPage == 25 then
			IT("- Escort the Dwarf.\n\n- Turn-in "..ClrTurn("Protecting the Shipment").." to\n"..ClrGrn("Prospector Ironband").." "..ClrGrn2("(Dwarf)")..".\n"..ClrGry("(lvl 18 / 25%)"))
		elseif allyRoute_Conf.currPage == 26 then
			IT("- Do "..ClrDo("Gathering Idols")..".\n\n- Turn-in "..ClrTurn("Gathering Idols").." to "..ClrGrn("Magmar Fellhew").."\n"..ClrGrn2("(Dwarf in Ironband's Excavation Site)")..".")
		elseif allyRoute_Conf.currPage == 27 then
			IT("- Kill mobs until you reach Level 19 / 95% Exp.\n"..ClrGry("(You can do Thelsamar's group quests:").." "..ClrAcc("Mercenaries").." "..ClrGry("and").." "..ClrAcc("WANTED: Chok'sul")..""..ClrGry(".\nThose are group quests that we won't do)").."\n- Visit "..ClrYlw("AllyRoute.com").." for a list of all quests that\nwe will do in this guide.")
		elseif allyRoute_Conf.currPage == 28 then
			IT("- Go back to the Elf Building East of the map.\n- Turn-in "..ClrTurn("Vyrin's Revenge").." to\n"..ClrGrn("Daryl the Youngling").." "..ClrGrn2("(Human)")..".\n- Accept "..ClrAcc("Vyrin's Revenge")..".\n- Turn-in "..ClrTurn("Vyrin's Revenge").." to\n"..ClrGrn("Vyrin Swiftwind").." "..ClrGrn2("(Female Blood Elf)")..".")
		elseif allyRoute_Conf.currPage == 29 then
			IT("- Hearthstone back to Thelsamar, Loch Modan.\n\n- Accept "..ClrAcc("Report to Mountaineer Rockgar").." from "..ClrGrn("Mountaineer Kadrell").." "..ClrGrn2("(Dwarf patrolling the area)")..".\n"..ClrRed("DON'T accept any other quest."))
		elseif allyRoute_Conf.currPage == 30 then
			IT("- Go North around the water to reach\nStonewrought Dam.\n\n- Accept "..ClrAcc("A Dark Threat Looms").." from\n"..ClrGrn("Chief Engineer Hinderweir VII").." "..ClrGrn2("(Dwarf)")..".")
		elseif allyRoute_Conf.currPage == 31 then
			IT("- On the Eastern side of the Dam there's a\n*Suspicious Barrel* near two Dark Iron Sappers.\n\n- Click on the *Suspicious Barrel*.\n- Complete "..ClrTurn("A Dark Threat Looms")..".\n- Accept "..ClrAcc("A Dark Threat Looms")..".")
		elseif allyRoute_Conf.currPage == 32 then
			IT("- Turn-in "..ClrTurn("A Dark Threat Looms").." to\n"..ClrGrn("Chief Engineer Hinderweir VII").." "..ClrGrn2("(same Dwarf)")..".\n- Accept "..ClrAcc("A Dark Threat Looms")..".")
		elseif allyRoute_Conf.currPage == 33 then
			IT("- Leave the Dam from the Western side.\n- Follow the road North to reach a Tunnel.\n\n- Turn-in "..ClrTurn("Report to Mountaineer Rockgar").."\nto "..ClrGrn("Mountaineer Rockgar").." "..ClrGrn2("(Dwarf)")..".\n- Accept "..ClrAcc("The Algaz Gauntlet")..".")
		elseif allyRoute_Conf.currPage == 34 then
			IT("- Do "..ClrDo("The Algaz Gauntlet")..".\n"..ClrGry("(Go through the Tunnel to find Orcs)"))
		elseif allyRoute_Conf.currPage == 35 then
			IT("- Kill mobs until you reach Level 20 / 40% Exp.")
		elseif allyRoute_Conf.currPage == 36 then
			IT("- Go through the Tunnels to reach Wetlands.\n"..ClrGry("(Lvl 20 / 40% Exp)"))
		end --End 5
		
	--20-21 Wetlands
	elseif allyRoute_Conf.currChapter == 6 then
		if allyRoute_Conf.currPage == 1 then
			IT("- Follow the road North/West to find a Dwarf.\n\n- Accept "..ClrAcc("Daily Delivery").." from\n"..ClrGrn("Einar Stonegrip").." "..ClrGrn2("(Dwarf)")..".")
		elseif allyRoute_Conf.currPage == 2 then
			IT("- Follow the road North to reach Dun Modr.\n\n- Turn-in "..ClrTurn("A Dark Threat Looms").." to\n"..ClrGrn("Ashlan Stonesmirk").." "..ClrGrn2("(Dwarf)")..".\n- Accept "..ClrAcc("A Dark Threat Looms")..".")
		elseif allyRoute_Conf.currPage == 3 then
			IT("- Follow the road West to reach Menethil Harbor.\n\n- Turn-in "..ClrTurn("The Algaz Gauntlet").." to\n"..ClrGrn("Valstag Ironjaw").." "..ClrGrn2("(Dwarf in the Keep's door)")..".")
		elseif allyRoute_Conf.currPage == 4 then
			IT("- Accept "..ClrAcc("Digging Through the Ooze").." from\n"..ClrGrn("Sida").." "..ClrGrn2("(Female Dwarf outside a House)")..".\n\n- Accept "..ClrAcc("The Greenwarden").." from\n"..ClrGrn("First Mate Fitzsimmons").." "..ClrGrn2("(Human outside Inn)")..".")
		elseif allyRoute_Conf.currPage == 5 then
			IT("- Make Menethil Harbor's Inn your home.\n\n- Pick up the Flight Point from "..ClrGrn("Shellei Brondir")..".\n- Fly to Thelsamar, Loch Modan.")
		elseif allyRoute_Conf.currPage == 6 then
			IT("- Go back to Stonewrought Dam.\n\n- Turn-in "..ClrTurn("A Dark Threat Looms").." to\n"..ClrGrn("Chief Engineer Hinderweir VII").." "..ClrGrn2("(Dwarf)")..".\n- Accept "..ClrAcc("A Dark Threat Looms")..".")
		elseif allyRoute_Conf.currPage == 7 then
			IT("- Do "..ClrDo("A Dark Threat Looms")..". "..ClrRed("(Lvl 19 Elite Orge)"))
		elseif allyRoute_Conf.currPage == 8 then
			IT("- Go back to Stonewrought Dam.\n\n- Turn-in "..ClrTurn("A Dark Threat Looms").." to\n"..ClrGrn("Chief Engineer Hinderweir VII").." "..ClrGrn2("(same Dwarf)")..".\n- Accept "..ClrAcc("A Dark Threat Looms")..".")
		elseif allyRoute_Conf.currPage == 9 then
			IT("- Dive underwater near the Dam's wall.\n- Click on *Explosive Charge*.\n- Complete "..ClrTurn("A Dark Threat Looms")..".\n- Accept "..ClrAcc("A Dark Threat Looms")..".")
		elseif allyRoute_Conf.currPage == 10 then
			IT("- Turn-in "..ClrTurn("A Dark Threat Looms").." to\n"..ClrGrn("Chief Engineer Hinderweir VII").." "..ClrGrn2("(same Dwarf)")..".\n\n- Hearthstone to Menethil Harbor, Wetlands.\n"..ClrGry("(Lvl 20 / 75% Exp)"))
		elseif allyRoute_Conf.currPage == 11 then
			IT("- Accept "..ClrAcc("Claws from the Deep").." from\n"..ClrGrn("Karl Boran").." "..ClrGrn2("(Human on the dock)")..".\n\n- Turn-in "..ClrTurn("Daily Delivery").." to\n"..ClrGrn("James Halloran").." "..ClrGrn2("(Human near the Stable)")..".\n- Accept "..ClrAcc("Young Crocolisk Skins")..".")
		elseif allyRoute_Conf.currPage == 12 then
			IT("- Do "..ClrDo("Young Crocolisk Skins").."\nand "..ClrDo("Claws from the Deep")..".\n\n- Save "..ClrYlw("x8 [Murloc Fin]").." for a later quest.")
		elseif allyRoute_Conf.currPage == 13 then
			IT("- Go to "..ClrYlw("[56,40]").." to find a Green Elemental.\n\n- Turn-in "..ClrTurn("The Greenwarden").." to\n"..ClrGrn("Rethiel the Greenwarden")..".\n- Accept "..ClrAcc("Tramping Paws")..".")
		elseif allyRoute_Conf.currPage == 14 then
			IT("- Do "..ClrDo("Tramping Paws")..".\n\n- Turn-in "..ClrTurn("Tramping Paws").." to\n"..ClrGrn("Rethiel the Greenwarden").." "..ClrGrn2("(same NPC)")..".\n- Accept "..ClrAcc("Fire Taboo")..".")
		elseif allyRoute_Conf.currPage == 15 then
			IT("- Do "..ClrDo("Fire Taboo")..".\n\n- Turn-in "..ClrTurn("Fire Taboo").." to\n"..ClrGrn("Rethiel the Greenwarden").." "..ClrGrn2("(same NPC)")..".\n- Accept "..ClrAcc("Blisters on The Land")..".\n"..ClrGry("(Lvl 21 / 45% Exp)"))
		elseif allyRoute_Conf.currPage == 16 then
			IT("- Hearthstone to Menethil Harbor, Wetlands.\n\n- Turn-in "..ClrTurn("Young Crocolisk Skins").." to\n"..ClrGrn("James Halloran").." "..ClrGrn2("(Human near the Stable)")..".\n- Accept "..ClrAcc("Apprentice's Duties")..".")
		elseif allyRoute_Conf.currPage == 17 then
			IT("- Turn-in "..ClrTurn("Claws from the Deep").." to\n"..ClrGrn("Karl Boran").." "..ClrGrn2("(Human on the dock)")..".\n- Accept "..ClrAcc("Reclaiming Goods")..".\n\n- Fly to Stormwind.")
		elseif allyRoute_Conf.currPage == 18 then
			IT("- Buy "..ClrYlw("x1 [Bronze Tube]").." from the Auction House\nfor a later quest.\n\n- Leave Stormwind.\n- Go South to reach Duskwood.\n"..ClrGry("(Lvl 21 / 55% Exp)"))
		end --End 6
	
	--21-23 Duskwood
	elseif allyRoute_Conf.currChapter == 7 then
		if allyRoute_Conf.currPage == 1 then
			IT("- Kill Wolves and Spiders around Duskwood\nuntil you reach Level 21 / 80% Exp.\n\n- Save "..ClrYlw("x10 [Lean Wolf Flank]").."\nand "..ClrYlw("x6 [Gooey Spider Leg]").."\nfor later quests.")
		elseif allyRoute_Conf.currPage == 2 then
			IT("- Follow the road East/South to reach Darkshire.\n\n- Accept "..ClrAcc("The Totem of Infliction").." from\n"..ClrGrn("Madame Eva").." "..ClrGrn2("(Female Human inside a House)")..".")
		elseif allyRoute_Conf.currPage == 3 then
			IT("- Accept "..ClrAcc("Raven Hill").."\nand "..ClrAcc("Deliveries to Sven").."\nand "..ClrAcc("The Hermit").."\nfrom "..ClrGrn("Elaine Carevin").."\n"..ClrGrn2("(Female Human inside another House)")..".")
		elseif allyRoute_Conf.currPage == 4 then
			IT("- Accept "..ClrAcc("The Night Watch").." from\n"..ClrGrn("Commander Althea Ebonlocke").."\n"..ClrGrn2("(Female Human outside the Town Hall)")..".\n\n- Accept "..ClrAcc("Seasoned Wolf Kabobs").." from\n"..ClrGrn("Chef Grual").." "..ClrGrn2("(Human in the Inn's Kitchen)")..".")
		elseif allyRoute_Conf.currPage == 5 then
			IT("- Pick up the Flight Point from "..ClrGrn("Felicia Maline")..".\n- Accept "..ClrAcc("Look To The Stars").." from\n"..ClrGrn("Viktori Prism'Antras").." "..ClrGrn2("(Human inside a House)")..".\n- Turn-in "..ClrTurn("Look To The Stars")..".\n"..ClrRed("(Requires [Bronze Tube])").."\n- Accept "..ClrAcc("Look To The Stars")..".")
		elseif allyRoute_Conf.currPage == 6 then
			IT("- Follow the road South/West to reach a Camp.\n\n- Accept "..ClrAcc("Eight-Legged Menaces").." from\n"..ClrGrn("Watcher Dodds").." "..ClrGrn2("(Human)")..".")
		elseif allyRoute_Conf.currPage == 7 then
			IT("- Follow the road West to reach Raven Hill.\n\n- Turn-in "..ClrTurn("Raven Hill").." to "..ClrGrn("Jitters").." "..ClrGrn2("(Human)")..".\n- Accept "..ClrAcc("Jitters' Growling Gut")..".")
		elseif allyRoute_Conf.currPage == 8 then
			IT("- Go to the North/West corner of the map.\n- Turn-in "..ClrTurn("Deliveries to Sven").." to\n"..ClrGrn("Sven Yorgen").." "..ClrGrn2("(Human in a Camp)")..".\n- Accept "..ClrAcc("Sven's Revenge")..".\n- Accept "..ClrAcc("Wolves at Our Heels").." from\n"..ClrGrn("Lars").." "..ClrGrn2("(Human)")..".")
		elseif allyRoute_Conf.currPage == 9 then
			IT("- Do "..ClrDo("Eight-Legged Menaces").."\nand "..ClrDo("Wolves at Our Heels")..".")
		elseif allyRoute_Conf.currPage == 10 then
			IT("- Go to "..ClrYlw("[28,31]").." to find a Human in a Shack.\n\n- Turn-in "..ClrTurn("The Hermit").." to "..ClrGrn("Abercrombie").." "..ClrGrn2("(Human)")..".\n- Accept "..ClrAcc("Supplies from Darkshire")..".")
		elseif allyRoute_Conf.currPage == 11 then
			IT("- Kill mobs until you reach Level 22 / 35% Exp.")
		elseif allyRoute_Conf.currPage == 12 then
			IT("- Go back to Darkshire.\n\n- Turn-in "..ClrTurn("Supplies from Darkshire").." to\n"..ClrGrn("Madame Eva").." "..ClrGrn2("(Female Human inside a House)")..".\n- Accept "..ClrAcc("Ghost Hair Thread").."\nand "..ClrAcc("The Legend of Stalvan")..".")
		elseif allyRoute_Conf.currPage == 13 then
			IT("- Turn-in "..ClrTurn("The Legend of Stalvan").." to\n"..ClrGrn("Clerk Daltry").." "..ClrGrn2("(Human inside the Town Hall)")..".\n- Accept "..ClrAcc("The Legend of Stalvan")..".")
		elseif allyRoute_Conf.currPage == 14 then
			IT("- Turn-in "..ClrTurn("Jitters' Growling Gut").." to\n"..ClrGrn("Chef Grual").." "..ClrGrn2("(Human inside the Inn's Kitchen)")..".\n- Accept "..ClrAcc("Dusky Crab Cakes")..".\n- Turn-in "..ClrTurn("Dusky Crab Cakes")..".\n"..ClrRed("(Requires x6 [Gooey Spider Leg])")..".\n- Accept "..ClrAcc("Return to Jitters")..".")
		elseif allyRoute_Conf.currPage == 15 then
			IT("- Go to "..ClrYlw("[82,59]").." to find a House.\n- Turn-in "..ClrTurn("Ghost Hair Thread").."\nand "..ClrTurn("Look To The Stars").."\nto "..ClrGrn("Blind Mary").." "..ClrGrn2("(Ghost inside the House)")..".\n- Accept "..ClrAcc("Return the Comb").."\nand "..ClrAcc("Look To The Stars")..".")
		elseif allyRoute_Conf.currPage == 16 then
			IT("- Do "..ClrDo("The Night Watch").."\nand "..ClrDo("Look To The Stars")..". "..ClrRed("(Lvl 26 Ghoul)"))
		elseif allyRoute_Conf.currPage == 17 then
			IT("- Kill mobs until you reach Level 22 / 65% Exp.")
		elseif allyRoute_Conf.currPage == 18 then
			IT("- Go back to Darkshire.\n\n- Turn-in "..ClrTurn("The Night Watch").." to\n"..ClrGrn("Commander Althea Ebonlocke").."\n"..ClrGrn2("(Female Human outside the Town Hall)")..".\n- Accept "..ClrAcc("The Night Watch")..".")
		elseif allyRoute_Conf.currPage == 19 then
			IT("- Turn-in "..ClrTurn("Return the Comb").." to\n"..ClrGrn("Madame Eva").." "..ClrGrn2("(Female Human inside a House)")..".\n- Accept "..ClrAcc("Deliver the Thread")..".")
		elseif allyRoute_Conf.currPage == 20 then
			IT("- Turn-in "..ClrTurn("Look To The Stars").." to\n"..ClrGrn("Viktori Prism'Antras").." "..ClrGrn2("(Human inside the House\nnear the Flight Master)")..".\n- Accept "..ClrAcc("Look To The Stars")..".")
		elseif allyRoute_Conf.currPage == 21 then
			IT("- Follow the road South/West to reach a Camp.\n\n- Turn-in "..ClrTurn("Eight-Legged Menaces").." to\n"..ClrGrn("Watcher Dodds").." "..ClrGrn2("(Human)")..".")
		elseif allyRoute_Conf.currPage == 22 then
			IT("- Follow the road West to reach Raven Hill.\n\n- Turn-in "..ClrTurn("Return to Jitters").." to "..ClrGrn("Jitters").." "..ClrGrn2("(Human)")..".")
		elseif allyRoute_Conf.currPage == 23 then
			IT("- Go back to The Hermit "..ClrYlw("[28,31]")..".\n\n- Turn-in "..ClrTurn("Deliver the Thread").." to\n"..ClrGrn("Abercrombie").." "..ClrGrn2("(Human in the Shack)")..".\n- Accept "..ClrAcc("Zombie Juice")..".")
		elseif allyRoute_Conf.currPage == 24 then
			IT("- Go back to the North/West corner of the map.\n\n- Turn-in "..ClrTurn("Wolves at Our Heels").." to\n"..ClrGrn("Lars").." "..ClrGrn2("(Human in Sven's Camp)")..".\n"..ClrGry("(Lvl 22 / 95% Exp)"))
		elseif allyRoute_Conf.currPage == 25 then
			IT("- Swim West to reach Westfall.\n- Go to Moonbrook. "..ClrGry("(Deadmines Town)").."\n- Go inside the Town Hall.\n- Click on *Old Footlocker* on the ground.\n- Complete "..ClrTurn("The Legend of Stalvan")..".\n- Accept "..ClrAcc("The Legend of Stalvan")..".")
		elseif allyRoute_Conf.currPage == 26 then
			IT("- Fly to Darkshire, Duskwood.\n\n- Turn-in "..ClrTurn("The Legend of Stalvan").." to\n"..ClrGrn("Clerk Daltry").." "..ClrGrn2("(Human inside the Town Hall)")..".\n- Accept "..ClrAcc("The Legend of Stalvan")..".")
		elseif allyRoute_Conf.currPage == 27 then
			IT("- Turn-in "..ClrTurn("Zombie Juice").." to\n"..ClrGrn("Tavernkeep Smitts").." "..ClrGrn2("(Human inside the Inn)")..".\n- Accept "..ClrAcc("Gather Rot Blossoms")..".")
		elseif allyRoute_Conf.currPage == 28 then
			IT("- Follow the road South/West to reach a Farm\ncalled Yorgen Farmstead.\n- Click on *Mound of Loose Dirt* near the end\nof the farm between the two houses.\n- Complete "..ClrTurn("Sven's Revenge")..".\n- Accept "..ClrAcc("Sven's Camp")..".")
		elseif allyRoute_Conf.currPage == 29 then
			IT("- Do "..ClrDo("The Night Watch").."\nand "..ClrDo("Gather Rot Blossoms").."\nand "..ClrDo("The Totem of Infliction")..".")
		elseif allyRoute_Conf.currPage == 30 then
			IT("- Go back to Sven's Camp.\n\n- Turn-in "..ClrTurn("Sven's Camp").." to\n"..ClrGrn("Sven Yorgen").." "..ClrGrn2("(Human)")..".\n- Accept "..ClrAcc("The Shadowy Figure")..".")
		elseif allyRoute_Conf.currPage == 31 then
			IT("- Swim North and go to Goldshire.\n- Turn-in "..ClrTurn("The Legend of Stalvan").." to\n"..ClrGrn("Innkeeper Farley").." "..ClrGrn2("(Human inside the Inn)")..".\n- Accept "..ClrAcc("The Legend of Stalvan")..".\n- Go upstairs to the last room on the right.\n- Loot the *Storage Chest*.")
		elseif allyRoute_Conf.currPage == 32 then
			IT("- Go North to reach Stormwind.\n\n- Turn-in "..ClrTurn("The Legend of Stalvan").." to\n"..ClrGrn("Caretaker Folsom").." "..ClrGrn2("(Human in the Canals between the Mage Quarter and The Park)")..".\n- Accept "..ClrAcc("The Legend of Stalvan")..".")
		elseif allyRoute_Conf.currPage == 33 then
			IT("- Click on *Sealed Crate* near the Human.\n- Complete "..ClrTurn("The Legend of Stalvan")..".\n- Accept "..ClrAcc("The Legend of Stalvan")..".")
		elseif allyRoute_Conf.currPage == 34 then
			IT("- Buy "..ClrYlw("x1 [Stormwind Seasoning Herbs]").."\nfrom "..ClrGrn("Felicia Gump").."\n"..ClrGrn2("(Female Human Herbalism Supplies)")..".\n\n- Fly to Darkshire, Duskwood.")
		elseif allyRoute_Conf.currPage == 35 then
			IT("- Turn-in "..ClrTurn("The Totem of Infliction").."\nand "..ClrTurn("The Shadowy Figure").."\nto "..ClrGrn("Madame Eva").." "..ClrGrn2("(Female Human inside a House)")..".\n- Accept "..ClrAcc("The Shadowy Search Continues")..".")
		elseif allyRoute_Conf.currPage == 36 then
			IT("- Turn-in "..ClrTurn("The Night Watch").." to\n"..ClrGrn("Commander Althea Ebonlocke").."\n"..ClrGrn2("(Female Human outside the Town Hall)")..".\n- Accept "..ClrAcc("The Night Watch")..".")
		elseif allyRoute_Conf.currPage == 37 then
			IT("- Turn-in "..ClrTurn("The Shadowy Search Continues").." to\n"..ClrGrn("Clerk Daltry").." "..ClrGrn2("(Human inside the Town Hall)")..".\n- Accept "..ClrAcc("Inquire at the Inn")..".")
		elseif allyRoute_Conf.currPage == 38 then
			IT("- Turn-in "..ClrTurn("Gather Rot Blossoms").."\nand "..ClrTurn("Inquire at the Inn").."\nto "..ClrGrn("Tavernkeep Smitts").." "..ClrGrn2("(Human inside the Inn)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 39 then
			IT("- Turn-in "..ClrTurn("Seasoned Wolf Kabobs").." to\n"..ClrGrn("Chef Grual").." "..ClrGrn2("(Human inside the Inn's Kitchen)")..".\n"..ClrRed("(Requires x10 [Lean Wolf Flank])").."\n"..ClrGry("(Lvl 23 / 85% Exp)"))
		elseif allyRoute_Conf.currPage == 40 then
			IT("- Go North to reach Elwynn Forest.\n- Go East to reach Eastvale Logging Camp.\n\n- Turn-in "..ClrTurn("The Legend of Stalvan").." to\n"..ClrGrn("Marshal Haggard").." "..ClrGrn2("(Human outside a House)")..".\n- Accept "..ClrAcc("The Legend of Stalvan")..".")
		elseif allyRoute_Conf.currPage == 41 then
			IT("- Go inside the House. Go upstairs.\n- Loot *Marshal Haggard's Chest*.\n\n- Turn-in "..ClrTurn("The Legend of Stalvan").." to\n"..ClrGrn("Marshal Haggard").." "..ClrGrn2("(same Human)")..".\n- Accept "..ClrAcc("The Legend of Stalvan")..".")
		elseif allyRoute_Conf.currPage == 42 then
			IT("- Follow the road East to reach Redridge.\n"..ClrGry("(Lvl 23 / 90% Exp)"))
		end --End 7
	
	--23-24 Redridge
	elseif allyRoute_Conf.currChapter == 8 then
		if allyRoute_Conf.currPage == 1 then
			IT("- Accept "..ClrAcc("Encroaching Gnolls").." from\n"..ClrGrn("Guard Parker").." "..ClrGrn2("(Human)")..". "..ClrGry("(Low Level Quest)").."\n\n- Follow the road to reach a Bridge\n- Pick up Flight Point from "..ClrGrn("Ariena Stormfeather")..".")
		elseif allyRoute_Conf.currPage == 2 then
			IT("- Turn-in "..ClrTurn("Encroaching Gnolls").." to\n"..ClrGrn("Deputy Feldon").." "..ClrGrn2("(Human near the Flight Master)")..".\n"..ClrRed("DON'T accept any quest.").."\n\n- Accept "..ClrAcc("Blackrock Bounty").." from\n"..ClrGrn("Guard Howe").." "..ClrGrn2("(Human near the Bridge)")..".")
		elseif allyRoute_Conf.currPage == 3 then
			IT("- Accept "..ClrAcc("Blackrock Menace").." from\n"..ClrGrn("Marshal Marris").." "..ClrGrn2("(Human on other side of Bridge)")..".\n\n- Accept "..ClrAcc("Solomon's Law").." from\n"..ClrGrn("Bailiff Conacher").." "..ClrGrn2("(Human inside the Town Hall)")..".")
		elseif allyRoute_Conf.currPage == 4 then
			IT("- Accept "..ClrAcc("Selling Fish").."\nand "..ClrAcc("Murloc Poachers").."\nfrom "..ClrGrn("Dockmaster Baren").." "..ClrGrn2("(Human on the dock)")..".\n- Turn-in "..ClrTurn("Murloc Poachers")..".\n"..ClrRed("(Requires x8 [Murloc Fin])"))
		elseif allyRoute_Conf.currPage == 5 then
			IT("- Accept "..ClrAcc("Wanted: Lieutenant Fangore").." from\nthe Wanter Poster outside the Inn.\n\n- Turn-in "..ClrTurn("The Defias Brotherhood").." to\n"..ClrGrn("Wiley the Black").." "..ClrGrn2("(Human inside the Inn)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 6 then
			IT("- Do "..ClrDo("Selling Fish")..".\n\n- Do "..ClrDo("Solomon's Law").."\nand "..ClrDo("Wanted: Lieutenant Fangore")..".")
		elseif allyRoute_Conf.currPage == 7 then
			IT("- Go back to Lakeshire.\n\n- Turn-in "..ClrTurn("Selling Fish").." to\n"..ClrGrn("Dockmaster Baren").." "..ClrGrn2("(Human on the dock)")..".")
		elseif allyRoute_Conf.currPage == 8 then
			IT("- Turn-in "..ClrTurn("Wanted: Lieutenant Fangore").." to\n"..ClrGrn("Magistrate Solomon").." "..ClrGrn2("(Human in Town Hall)")..".\n"..ClrRed("DON'T accept any quest.").."\n\n- Turn-in "..ClrTurn("Solomon's Law").." to "..ClrGrn("Bailiff Conacher").."\n"..ClrGrn2("(Human)")..". "..ClrGry("(Lvl 24 / 40% Exp)"))
		elseif allyRoute_Conf.currPage == 9 then
			IT("- Accept "..ClrAcc("An Unwelcome Guest").." from\n"..ClrGrn("Martie Jainrose").." "..ClrGrn2("(Female Human near a House)")..".\n- Do "..ClrDo("An Unwelcome Guest")..".\n\n- Turn-in "..ClrTurn("An Unwelcome Guest").." to\nthe same Female Human.")
		elseif allyRoute_Conf.currPage == 10 then
			IT("- Do "..ClrDo("Blackrock Bounty").."\nand "..ClrDo("Blackrock Menace")..".\n\n- Find "..ClrGrn("Corporal Keeshan").." "..ClrGrn2("(Human)").." in the Cave.\n- Accept "..ClrAcc("Missing In Action")..". "..ClrRed("(Escort Quest)"))
		elseif allyRoute_Conf.currPage == 11 then
			IT("- Escort the Human to Lakeshire.\n\n- Turn-in "..ClrTurn("Missing In Action").."\nand "..ClrTurn("Blackrock Menace").."\nto "..ClrGrn("Marshal Marris").." "..ClrGrn2("(Human near the Bridge)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 12 then
			IT("- Turn-in "..ClrTurn("Blackrock Bounty").." to "..ClrGrn("Guard Howe").."\n"..ClrGrn2("(Human on the other side of the Bridge)")..".\n\n- Hearthstone to Menethil Harbor, Wetlands.")
		elseif allyRoute_Conf.currPage == 13 then
			IT("- Take the Boat on the right side to Darkshore.\n\n- Jump from the Boat after the loading screen\nand Swim/Walk South to reach Ashenvale.\n"..ClrGry("(Lvl 24 / 90% Exp)"))
		end --End 8
	
	--24-26 Ashenvale
	elseif allyRoute_Conf.currChapter == 9 then
		if allyRoute_Conf.currPage == 1 then
			IT("- Follow the road to reach Maestra's Post.\n\n- Accept "..ClrAcc("Bathran's Hair").." from\n"..ClrGrn("Orendil Broadleaf").." "..ClrGrn2("(Night Elf)")..".")
		elseif allyRoute_Conf.currPage == 2 then
			IT("- Do "..ClrDo("Bathran's Hair")..".\n\n- Turn-in "..ClrTurn("Bathran's Hair").." to\n"..ClrGrn("Orendil Broadleaf").." "..ClrGrn2("(same Night Elf)")..".\n- Accept "..ClrAcc("Orendil's Cure")..".")
		elseif allyRoute_Conf.currPage == 3 then
			IT("- Follow the road to reach Astranaar.\n- Pick up the Flight Point from "..ClrGrn("Daelyshia")..".\n\n- Accept "..ClrAcc("The Zoram Strand").." from\n"..ClrGrn("Shindrell Swiftfire").." "..ClrGrn2("(Female Night Elf nearby)")..".\n"..ClrRed("DON'T accept any other quest."))
		elseif allyRoute_Conf.currPage == 4 then
			IT("- Accept "..ClrAcc("Raene's Cleansing").."\nand "..ClrAcc("Culling the Threat").." from\n"..ClrGrn("Raene Wolfrunner").." "..ClrGrn2("(Female Night Elf in the Inn)")..".")
		elseif allyRoute_Conf.currPage == 5 then
			IT("- Go to "..ClrYlw("[20,42]").." to find a small Lake.\n\n- Turn-in "..ClrTurn("Raene's Cleansing").." to\n"..ClrGrn("Teronis' Corpse").." "..ClrGrn2("(Dead Night Elf in the Lake)")..".\n- Accept "..ClrAcc("Raene's Cleansing")..".")
		elseif allyRoute_Conf.currPage == 6 then
			IT("- Do "..ClrDo("Raene's Cleansing")..".")
		elseif allyRoute_Conf.currPage == 7 then
			IT("- Go to "..ClrYlw("[15,31]").." to find a Night Elf.\n\n- Accept "..ClrAcc("Ancient Statuette").." from\n"..ClrGrn("Talen").." "..ClrGrn2("(Night Elf sitting in a Camp)")..".")
		elseif allyRoute_Conf.currPage == 8 then
			IT("- Do "..ClrDo("Ancient Statuette")..".\n\n- Turn-in "..ClrTurn("Ancient Statuette").." to\n"..ClrGrn("Talen").." "..ClrGrn2("(same Night Elf)")..".\n- Accept "..ClrAcc("Ruuzel")..".")
		elseif allyRoute_Conf.currPage == 9 then
			IT("- Do "..ClrDo("Ruuzel").."\nand "..ClrDo("The Zoram Strand")..".\n\n- Turn-in "..ClrTurn("Ruuzel").." to "..ClrGrn("Talen").." "..ClrGrn2("(same Night Elf)")..".")
		elseif allyRoute_Conf.currPage == 10 then
			IT("- Go back to Astranaar.\n\n- Turn-in "..ClrTurn("The Zoram Strand").." to\n"..ClrGrn("Shindrell Swiftfire").." "..ClrGrn2("(Female Night Elf)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 11 then
			IT("- Turn-in "..ClrTurn("Raene's Cleansing").." to\n"..ClrGrn("Raene Wolfrunner").." "..ClrGrn2("(Female Night Elf in the Inn)")..".\n- Accept "..ClrAcc("An Aggressive Defense")..".\n"..ClrRed("DON'T accept any other quest.").."\n- Destroy "..ClrYlw("[Teronis' Journal]").." from your bag.")
		elseif allyRoute_Conf.currPage == 12 then
			IT("- Turn-in "..ClrTurn("Orendil's Cure").." to\n"..ClrGrn("Pelturas Whitemoon").." "..ClrGrn2("(Night Elf inside a House)")..".\n- Accept "..ClrAcc("Elune's Tear")..".")
		elseif allyRoute_Conf.currPage == 13 then
			IT("- Do "..ClrDo("Culling the Threat").."\nand "..ClrDo("Elune's Tear")..".")
		elseif allyRoute_Conf.currPage == 14 then
			IT("- Kill mobs until you reach Level 25 / 45% Exp.")
		elseif allyRoute_Conf.currPage == 15 then
			IT("- Go back to Astranaar.\n\n- Turn-in "..ClrTurn("Culling the Threat").." to\n"..ClrGrn("Raene Wolfrunner").." "..ClrGrn2("(Female Night Elf in the Inn)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 16 then
			IT("- Turn-in "..ClrTurn("Elune's Tear").." to\n"..ClrGrn("Pelturas Whitemoon").." "..ClrGrn2("(Night Elf inside a House)")..".\n- Accept "..ClrAcc("The Ruins of Stardust")..".")
		elseif allyRoute_Conf.currPage == 17 then
			IT("- Do "..ClrDo("The Ruins of Stardust")..".\n\n- Go back to Astranaar.\n- Turn-in "..ClrTurn("The Ruins of Stardust").." to\n"..ClrGrn("Pelturas Whitemoon").." "..ClrGrn2("(same Night Elf)")..".\n- Accept "..ClrAcc("Fallen Sky Lake")..".")
		elseif allyRoute_Conf.currPage == 18 then
			IT("- Do "..ClrDo("An Aggressive Defense")..".\n- Do "..ClrDo("Fallen Sky Lake")..". "..ClrRed("(Lvl 30 Elemental)").."\n\n- Go back to Astranaar.\n- Turn-in "..ClrTurn("Fallen Sky Lake").." to\n"..ClrGrn("Pelturas Whitemoon").." "..ClrGrn2("(same Night Elf)")..".")
		elseif allyRoute_Conf.currPage == 19 then
			IT("- Turn-in "..ClrTurn("An Aggressive Defense").." to\n"..ClrGrn("Raene Wolfrunner").." "..ClrGrn2("(Female Night Elf in the Inn)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 20 then
			IT("- Go to Silverwind Refuge "..ClrYlw("[50,67]")..".\n\n- Accept "..ClrAcc("Elemental Bracer").." from\n"..ClrGrn("Sentinel Velene Starstrike").." "..ClrGrn2("(Female Night Elf)")..".")
		elseif allyRoute_Conf.currPage == 21 then
			IT("- Do "..ClrDo("Elemental Bracer")..".\n"..ClrGry("(Collect").." "..ClrYlw("x5 [Intact Elemental Bracer]")..""..ClrGry(".\nUse").." "..ClrYlw("[Divining Scroll]").." "..ClrGry("in your bag)").."\n\n- Turn-in "..ClrTurn("Elemental Bracer")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 22 then
			IT("- Hearthstone to Menethil Harbor, Wetlands.\n"..ClrGry("(Lvl 26 / 05% Exp)"))
		end --End 9
		
	--26-28 Wetlands
	elseif allyRoute_Conf.currChapter == 10 then
		if allyRoute_Conf.currPage == 1 then
			IT("- Buy "..ClrYlw("x1 [Flagon of Mead]").." from the Innkeeper.\n\n- Accept "..ClrAcc("The Third Fleet").." from\n"..ClrGrn("First Mate Fitzsimmons").." "..ClrGrn2("(Human outside Inn)")..".\n- Turn-in "..ClrTurn("The Third Fleet")..".\n- Accept "..ClrAcc("The Cursed Crew")..".")
		elseif allyRoute_Conf.currPage == 2 then
			IT("- Accept "..ClrAcc("Fall of Dun Modr").." from\n"..ClrGrn("Harlo Barnaby").." "..ClrGrn2("(Injured Dwarf near the Keep)")..".\n\n- Accept "..ClrAcc("Report to Captain Stoutfist").." from\n"..ClrGrn("Valstag Ironjaw").." "..ClrGrn2("(Dwarf in the Keep's door)")..".")
		elseif allyRoute_Conf.currPage == 3 then
			IT("- Turn-in "..ClrTurn("Report to Captain Stoutfist").." to\n"..ClrGrn("Captain Stoutfist").." "..ClrGrn2("(Dwarf inside the Keep)")..".\n- Accept "..ClrAcc("War Banners")..".")
		elseif allyRoute_Conf.currPage == 4 then
			IT("- Accept "..ClrAcc("In Search of The Excavation Team").."\nfrom "..ClrGrn("Tarrel Rockweaver").." "..ClrGrn2("(Dwarf on the Bridge outside Menethil Harbor)")..".")
		elseif allyRoute_Conf.currPage == 5 then
			IT("- Go to "..ClrYlw("[13,41]").." to find a Murloc Camp.\n\n- Click on *Damaged Crate*.\n- Complete "..ClrTurn("Reclaiming Goods")..".\n- Accept "..ClrAcc("The Search Continues")..".")
		elseif allyRoute_Conf.currPage == 6 then
			IT("- Go to the next Murloc Camp.\n\n- Click on the *Sealed Barrel*.\n- Complete "..ClrTurn("The Search Continues")..".\n- Accept "..ClrAcc("Search More Hovels")..".")
		elseif allyRoute_Conf.currPage == 7 then
			IT("- Go to the next Murloc Camp.\n\n- Click on the *Half-buried Barrel*.\n- Complete "..ClrTurn("Search More Hovels")..".\n- Accept "..ClrAcc("Return the Statuette")..".")
		elseif allyRoute_Conf.currPage == 8 then
			IT("- Do "..ClrDo("Apprentice's Duties").."\nand "..ClrDo("Blisters on The Land").."\nand "..ClrDo("The Cursed Crew").."\nand "..ClrDo("Digging Through the Ooze")..".")
		elseif allyRoute_Conf.currPage == 9 then
			IT("- Go North to reach Dun Modr.\n\n- Turn-in "..ClrTurn("Fall of Dun Modr").." to\n"..ClrGrn("Longbraid the Grim").." "..ClrGrn2("(Dwarf)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 10 then
			IT("- Go to the Green Elemental at "..ClrYlw("[56,40]")..".\n\n- Turn-in "..ClrTurn("Blisters on The Land").." to\n"..ClrGrn("Rethiel the Greenwarden")..".")
		elseif allyRoute_Conf.currPage == 11 then
			IT("- Kill mobs until you reach Level 26 / 50% Exp.")
		elseif allyRoute_Conf.currPage == 12 then
			IT("- Do "..ClrDo("War Banners")..".")
		elseif allyRoute_Conf.currPage == 13 then
			IT("- Go to Whelgar's Excavation Site "..ClrYlw("[35,42]")..".\n- Hug the left wall. Climb up the mountain.\n\n- Accept "..ClrAcc("Ormer's Revenge").." from\n"..ClrGrn("Ormer Ironbraid").." "..ClrGrn2("(Dwarf near the Bridge)")..".")
		elseif allyRoute_Conf.currPage == 14 then
			IT("- Turn-in "..ClrTurn("In Search of The Excavation Team").."\nto "..ClrGrn("Merrin Rockweaver").." "..ClrGrn2("(Female Dwarf in Cave)")..".\n- Accept "..ClrAcc("In Search of The Excavation Team")..".\n\n- Accept "..ClrAcc("Uncovering the Past").." from\n"..ClrGrn("Prospector Whelgar").." "..ClrGrn2("(Dwarf in Cave)")..".")
		elseif allyRoute_Conf.currPage == 15 then
			IT("- Do "..ClrDo("Ormer's Revenge")..".\n\n- Go back to Menethil Harbor.")
		elseif allyRoute_Conf.currPage == 16 then
			IT("- Turn-in "..ClrTurn("In Search of The Excavation Team").."\nto "..ClrGrn("Tarrel Rockweaver").." "..ClrGrn2("(Dwarf on the Bridge)")..".\n\n- Turn-in "..ClrTurn("War Banners").." to\n"..ClrGrn("Captain Stoutfist").." "..ClrGrn2("(Dwarf inside the Keep)")..".\n- Accept "..ClrAcc("Nek'rosh's Gambit")..".")
		elseif allyRoute_Conf.currPage == 17 then
			IT("- Turn-in "..ClrTurn("Digging Through the Ooze").." to\n"..ClrGrn("Sida").." "..ClrGrn2("(Female Dwarf outside a House)")..".\n\n- Turn-in "..ClrTurn("The Cursed Crew").." to\n"..ClrGrn("First Mate Fitzsimmons").." "..ClrGrn2("(Human outside Inn)")..".\n- Accept "..ClrAcc("Lifting the Curse")..".")
		elseif allyRoute_Conf.currPage == 18 then
			IT("- Turn-in "..ClrTurn("Return the Statuette").." to\n"..ClrGrn("Karl Boran").." "..ClrGrn2("(Human on the dock)")..".\n\n- Turn-in "..ClrTurn("Apprentice's Duties").." to\n"..ClrGrn("James Halloran").." "..ClrGrn2("(Human near the Stable)")..".\n"..ClrGry("(Lvl 26 / 90% Exp)"))
		elseif allyRoute_Conf.currPage == 19 then
			IT("- Do "..ClrDo("Lifting the Curse")..". "..ClrGry("(Loot a Key from the\nLvl 30 Pirate Captain. Dive under the Ship)").."\n\n- Click on *Intrepid's Locked Strongbox*.\n- Complete "..ClrTurn("Lifting the Curse")..".\n- Accept "..ClrAcc("The Eye of Paleth")..".")
		elseif allyRoute_Conf.currPage == 20 then
			IT("- Go back to Whelgar's Excavation Site.\n\n- Turn-in "..ClrTurn("Ormer's Revenge").." to\n"..ClrGrn("Ormer Ironbraid").." "..ClrGrn2("(Dwarf near the Bridge)")..".\n- Accept "..ClrAcc("Ormer's Revenge")..".")
		elseif allyRoute_Conf.currPage == 21 then
			IT("- Do "..ClrDo("Ormer's Revenge").."\nand "..ClrDo("Uncovering the Past")..".")
		elseif allyRoute_Conf.currPage == 22 then
			IT("- Turn-in "..ClrTurn("Ormer's Revenge").." to\n"..ClrGrn("Ormer Ironbraid").." "..ClrGrn2("(same Dwarf)")..".\n- Accept "..ClrAcc("Ormer's Revenge")..".\n\n- Turn-in "..ClrTurn("Uncovering the Past").." to\n"..ClrGrn("Prospector Whelgar").." "..ClrGrn2("(Dwarf in Cave)")..".")
		elseif allyRoute_Conf.currPage == 23 then
			IT("- Do "..ClrDo("Ormer's Revenge")..".\n\n- Turn-in "..ClrTurn("Ormer's Revenge").." to\n"..ClrGrn("Ormer Ironbraid").." "..ClrGrn2("(same Dwarf)")..".")
		elseif allyRoute_Conf.currPage == 24 then
			IT("- Go to the Orcs area "..ClrYlw("[47,47]")..".\n\n- Click on the *Dragonmaw Catapult*.\n- Complete "..ClrTurn("Nek'rosh's Gambit")..".\n- Accept "..ClrAcc("Defeat Nek'rosh")..".")
		elseif allyRoute_Conf.currPage == 25 then
			IT("- Kill mobs until you reach Level 28.\n\n- Do "..ClrDo("Defeat Nek'rosh")..". "..ClrRed("(Lvl 32 Elite Orc)").."\n"..ClrGry("(Try to find a group. Otherwise abandon it)"))
		elseif allyRoute_Conf.currPage == 26 then
			IT("- Hearthstone to Menethil Harbor, Wetlands.\n\n- Turn-in "..ClrTurn("The Eye of Paleth").." to\n"..ClrGrn("Glorin Steelbrow").." "..ClrGrn2("(Dwarf inside the Inn)")..".\n- Accept "..ClrAcc("Cleansing the Eye")..".")
		elseif allyRoute_Conf.currPage == 27 then
			IT("- Turn-in "..ClrTurn("Defeat Nek'rosh").." to\n"..ClrGrn("Captain Stoutfist").." "..ClrGrn2("(Dwarf inside the Keep)")..".\n"..ClrGry("(If you did the quest. Otherwise abandon it)").."\n\n- Fly to Ironforge.")
		elseif allyRoute_Conf.currPage == 28 then
			IT("- Go to the Military Ward.\n- Accept "..ClrAcc("The Brassbolts Brothers").." from\n"..ClrGrn("Pilot Longbeard").." "..ClrGrn2("(Dwarf in the Hall of Arms)")..".\n\n- Fly to Stormwind.")
		elseif allyRoute_Conf.currPage == 29 then
			IT("- Go to the Cathedral Square.\n- Turn-in "..ClrTurn("Cleansing the Eye").." to\n"..ClrGrn("Archbishop Benedictus").." "..ClrGrn2("(Human in the Church)")..".\n\n- Accept "..ClrAcc("The Missing Diplomat").." from\n"..ClrGrn("Thomas").." "..ClrGrn2("(Kid in the Church)")..".")
		elseif allyRoute_Conf.currPage == 30 then
			IT("- Go to Stormwind Keep.\n\n- Turn-in "..ClrTurn("The Missing Diplomat").." to\n"..ClrGrn("Bishop DeLavey").." "..ClrGrn2("(Human)")..".\n- Accept "..ClrAcc("The Missing Diplomat")..".")
		elseif allyRoute_Conf.currPage == 31 then
			IT("- Go to Valley of Heroes. "..ClrGry("(Stormwind's entrance)").."\n\n- Turn-in "..ClrTurn("The Missing Diplomat").." to\n"..ClrGrn("Jorgen").." "..ClrGrn2("(Human fishing near the Bridge)")..".\n- Accept "..ClrAcc("The Missing Diplomat")..".")
		elseif allyRoute_Conf.currPage == 32 then
			IT("- Go to the Trade District.\n\n- Turn-in "..ClrTurn("The Missing Diplomat").." to\n"..ClrGrn("Elling Trias").." "..ClrGrn2("(Human inside the Cheese store)")..".\n- Accept "..ClrAcc("The Missing Diplomat")..".")
		elseif allyRoute_Conf.currPage == 33 then
			IT("- Fly to Darkshire, Duskwood.\n"..ClrGry("(Lvl 28 / 05% Exp)"))
		end --End 10
	
	--28-30 Duskwood
	elseif allyRoute_Conf.currChapter == 11 then
		if allyRoute_Conf.currPage == 1 then
			IT("- Turn-in "..ClrTurn("The Legend of Stalvan").." to\n"..ClrGrn("Tavernkeep Smitts").." "..ClrGrn2("(Human inside the Inn)")..".\n- Accept "..ClrAcc("The Legend of Stalvan").."\nand "..ClrAcc("Juice Delivery").."\nand "..ClrAcc("Finding the Shadowy Figure")..".")
		elseif allyRoute_Conf.currPage == 2 then
			IT("- Turn-in "..ClrTurn("The Legend of Stalvan").." to\n"..ClrGrn("Commander Althea Ebonlocke").."\n"..ClrGrn2("(Female Human outside the Town Hall)")..".\n- Accept "..ClrAcc("The Legend of Stalvan")..".")
		elseif allyRoute_Conf.currPage == 3 then
			IT("- Turn-in "..ClrTurn("The Legend of Stalvan").." to\n"..ClrGrn("Clerk Daltry").." "..ClrGrn2("(Human inside the Town Hall)")..".\n- Accept "..ClrAcc("The Legend of Stalvan")..".")
		elseif allyRoute_Conf.currPage == 4 then
			IT("- Turn-in "..ClrTurn("The Legend of Stalvan").." to\n"..ClrGrn("Commander Althea Ebonlocke").."\n"..ClrGrn2("(same Female Human)")..".\n- Accept "..ClrAcc("The Legend of Stalvan")..".")
		elseif allyRoute_Conf.currPage == 5 then
			IT("- Find a Human patrolling the Northern road.\n\n- Turn-in "..ClrTurn("The Missing Diplomat").." to\n"..ClrGrn("Watcher Backus").." "..ClrGrn2("(Human)")..".\n- Accept "..ClrAcc("The Missing Diplomat")..".")
		elseif allyRoute_Conf.currPage == 6 then
			IT("- Do "..ClrDo("The Legend of Stalvan")..". "..ClrRed("(Lvl 32 Undead)"))
		elseif allyRoute_Conf.currPage == 7 then
			IT("- Go back to Darkshire.\n- Turn-in "..ClrTurn("The Legend of Stalvan").." to\n"..ClrGrn("Madame Eva").." "..ClrGrn2("(Female Human inside a House)")..".\n\n- Accept "..ClrAcc("Worgen in the Woods").." from\n"..ClrGrn("Calor").." "..ClrGrn2("(Human outside a House)")..".")
		elseif allyRoute_Conf.currPage == 8 then
			IT("- Do "..ClrDo("Worgen in the Woods")..".\n\n- Mobs can drop "..ClrYlw("[An Old History Book]")..".\n- Click on it in your bag when you find it.\n- Accept "..ClrAcc("An Old History Book")..".")
		elseif allyRoute_Conf.currPage == 9 then
			IT("- Follow the road South/West to reach a Farm\nunder Raven Hill called Addle's Stead.\n\n- Loot *Defias Strongbox* inside the House\non the left in that Farm.")
		elseif allyRoute_Conf.currPage == 10 then
			IT("- Go to Raven Hill.\n\n- Turn-in "..ClrTurn("Finding the Shadowy Figure").." to\n"..ClrGrn("Jitters").." "..ClrGrn2("(Human)")..".\n- Accept "..ClrAcc("Return to Sven")..".\n"..ClrGry("(Lvl 28 / 35% Exp)"))
		elseif allyRoute_Conf.currPage == 11 then
			IT("- Go back to Sven's Camp.\n\n- Turn-in "..ClrTurn("Return to Sven").." to\n"..ClrGrn("Sven Yorgen").." "..ClrGrn2("(Human)")..".\n- Accept "..ClrAcc("Proving Your Worth")..".")
		elseif allyRoute_Conf.currPage == 12 then
			IT("- Do "..ClrDo("Proving Your Worth")..".\n\n- Turn-in "..ClrTurn("Proving Your Worth").." to\n"..ClrGrn("Sven Yorgen").." "..ClrGrn2("(same Human)")..".\n- Accept "..ClrAcc("Seeking Wisdom")..".")
		elseif allyRoute_Conf.currPage == 13 then
			IT("- Go to The Hermit "..ClrYlw("[28,31]")..".\n\n- Turn-in "..ClrTurn("Juice Delivery").." to\n"..ClrGrn("Abercrombie").." "..ClrGrn2("(Human in the Shack)")..".\n- Accept "..ClrAcc("Ghoulish Effigy")..".")
		elseif allyRoute_Conf.currPage == 14 then
			IT("- Go to "..ClrYlw("[18,29]").." to find a Grave.\n\n- Click on *A Weathered Grave*.\n- Accept "..ClrAcc("The Weathered Grave")..".")
		elseif allyRoute_Conf.currPage == 15 then
			IT("- Do "..ClrDo("Ghoulish Effigy").."\nand "..ClrDo("The Night Watch")..".")
		elseif allyRoute_Conf.currPage == 16 then
			IT("- Go back to The Hermit.\n\n- Turn-in "..ClrTurn("Ghoulish Effigy").." to\n"..ClrGrn("Abercrombie").." "..ClrGrn2("(Human in the Shack)")..".\n- Accept "..ClrAcc("Ogre Thieves")..".")
		elseif allyRoute_Conf.currPage == 17 then
			IT("- Do "..ClrDo("Ogre Thieves").."\nand "..ClrDo("Look To The Stars")..". "..ClrRed("(Lvl 33 Ogre)"))
		elseif allyRoute_Conf.currPage == 18 then
			IT("- Kill mobs until you reach Level 28 / 95% Exp.")
		elseif allyRoute_Conf.currPage == 19 then
			IT("- Go back to The Hermit.\n\n- Turn-in "..ClrTurn("Ogre Thieves").." to\n"..ClrGrn("Abercrombie").." "..ClrGrn2("(Human in the Shack)")..".\n- Accept "..ClrAcc("Note to the Mayor")..".")
		elseif allyRoute_Conf.currPage == 20 then
			IT("- Go back to Darkshire.\n\n- Turn-in "..ClrTurn("Worgen in the Woods").." to\n"..ClrGrn("Calor").." "..ClrGrn2("(Human outside a House)")..".\n- Accept "..ClrAcc("Worgen in the Woods")..".")
		elseif allyRoute_Conf.currPage == 21 then
			IT("- Turn-in "..ClrTurn("Look To The Stars").." to\n"..ClrGrn("Viktori Prism'Antras").." "..ClrGrn2("(Human inside a House)")..".\n\n- Turn-in "..ClrTurn("The Night Watch").." to\n"..ClrGrn("Commander Althea Ebonlocke").."\n"..ClrGrn2("(Female Human outside Town Hall)")..".")
		elseif allyRoute_Conf.currPage == 22 then
			IT("- Turn-in "..ClrTurn("The Weathered Grave").." to\n"..ClrGrn("Sirra Von'Indi").." "..ClrGrn2("(Human in the Town Hall)")..".\n- Accept "..ClrAcc("Morgan Ladimore")..".")
		elseif allyRoute_Conf.currPage == 23 then
			IT("- Turn-in "..ClrTurn("Note to the Mayor").." to\n"..ClrGrn("Lord Ello Ebonlocke").." "..ClrGrn2("(Human in the Town Hall)")..".\n- Accept "..ClrAcc("Translate Abercrombie's Note")..".")
		elseif allyRoute_Conf.currPage == 24 then
			IT("- Turn-in "..ClrTurn("Translate Abercrombie's Note").." to\n"..ClrGrn("Sirra Von'Indi").." "..ClrGrn2("(Human in the Town Hall)")..".\n- Accept "..ClrAcc("Wait for Sirra to Finish")..".\n- Turn-in "..ClrTurn("Wait for Sirra to Finish")..".\n- Accept "..ClrAcc("Translation to Ello")..".")
		elseif allyRoute_Conf.currPage == 25 then
			IT("- Turn-in "..ClrTurn("Translation to Ello").." to\n"..ClrGrn("Lord Ello Ebonlocke").." "..ClrGrn2("(Human in the Town Hall)")..".\n"..ClrRed("DON'T accept any quest.").."\n\n- Destroy "..ClrYlw("[Translated Letter from The Embalmer]").." from your bag.")
		elseif allyRoute_Conf.currPage == 26 then
			IT("- Turn-in "..ClrTurn("Morgan Ladimore").." to\n"..ClrGrn("Commander Althea Ebonlocke").."\n"..ClrGrn2("(Female Human outside the Town Hall)")..".\n"..ClrRed("DON'T accept any quest.").."\n- Destroy "..ClrYlw("[The Story of Morgan Ladimore]").."\nfrom your bag.")
		elseif allyRoute_Conf.currPage == 27 then
			IT("- Turn-in "..ClrTurn("The Missing Diplomat").." to\n"..ClrGrn("Watcher Backus").." "..ClrGrn2("(Human patrolling the road)")..".\n- Accept "..ClrAcc("The Missing Diplomat")..".\n\n- Do "..ClrDo("Worgen in the Woods")..".\n"..ClrGry("(Nightbane Dark Runner)"))
		elseif allyRoute_Conf.currPage == 28 then
			IT("- Go back to Darkshire.\n\n- Turn-in "..ClrTurn("Worgen in the Woods").." to\n"..ClrGrn("Calor").." "..ClrGrn2("(Human outside a House)")..".\n- Accept "..ClrAcc("Worgen in the Woods")..".")
		elseif allyRoute_Conf.currPage == 29 then
			IT("- Do "..ClrDo("Worgen in the Woods")..".\n"..ClrGry("(Nightbane Vile Fang\nand Nightbane Tainted One)").."\n\n- Kill mobs until you reach Level 29 / 90% Exp.")
		elseif allyRoute_Conf.currPage == 30 then
			IT("- Turn-in "..ClrTurn("Worgen in the Woods").." to\n"..ClrGrn("Calor").." "..ClrGrn2("(same Human in Darkshire)")..".\n- Accept "..ClrAcc("Worgen in the Woods")..".\n\n- Turn-in "..ClrTurn("Worgen in the Woods").." to\n"..ClrGrn("Jonathan Carevin").." "..ClrGrn2("(Human in House)")..".")
		elseif allyRoute_Conf.currPage == 31 then
			IT("- Fly to Stormwind.\n- Go to the Trade District.\n\n- Turn-in "..ClrTurn("The Missing Diplomat").." to\n"..ClrGrn("Elling Trias").." "..ClrGrn2("(Human inside the Cheese store)")..".\n- Accept "..ClrAcc("The Missing Diplomat")..".")
		elseif allyRoute_Conf.currPage == 32 then
			IT("- Go to Old Town.\n\n- Turn-in "..ClrTurn("The Missing Diplomat").." to\n"..ClrGrn("Dashel Stonefist").." "..ClrGrn2("(Dwarf in the backstreet)")..".\n- Accept "..ClrAcc("The Missing Diplomat")..".\n- Defeat the Dwarf.")
		elseif allyRoute_Conf.currPage == 33 then
			IT("- Turn-in "..ClrTurn("The Missing Diplomat").." to\n"..ClrGrn("Dashel Stonefist").." "..ClrGrn2("(same Dwarf)")..".\n- Accept "..ClrAcc("The Missing Diplomat")..".")
		elseif allyRoute_Conf.currPage == 34 then
			IT("- Go to Stormwind Keep.\n\n- Turn-in "..ClrTurn("An Old History Book").." to\n"..ClrGrn("Milton Sheaf").." "..ClrGrn2("(Human in the Royal Library)")..".\n- Accept "..ClrAcc("Southshore")..".")
		elseif allyRoute_Conf.currPage == 35 then
			IT("- Go to the Cathedral Square.\n\n- Turn-in "..ClrTurn("Seeking Wisdom").." to\n"..ClrGrn("Bishop Farthing").." "..ClrGrn2("(Human inside the Church)")..".\n- Accept "..ClrAcc("The Doomed Fleet")..".")
		elseif allyRoute_Conf.currPage == 36 then
			IT("- Go to the Mage Quarter.\n\n- Accept "..ClrAcc("Malin's Request").." from\n"..ClrGrn("Archmage Malin").." "..ClrGrn2("(Human outside the Tower)")..".\n"..ClrGry("(You need to be Lvl 30 to get the quest)"))
		elseif allyRoute_Conf.currPage == 37 then
			IT("- Go to the Trade District.\n\n- Turn-in "..ClrTurn("The Missing Diplomat").." to\n"..ClrGrn("Elling Trias").." "..ClrGrn2("(Human inside the Cheese store)")..".\n- Accept "..ClrAcc("The Missing Diplomat")..".")
		elseif allyRoute_Conf.currPage == 38 then
			IT("- Hearthstone to Menethil Harbor, Wetlands.\n"..ClrGry("(Lvl 30 / 05% Exp)"))
		end --End 11
	
	--30-31 Hillsbrad Foothills
	elseif allyRoute_Conf.currChapter == 12 then
		if allyRoute_Conf.currPage == 1 then
			IT("- Turn-in "..ClrTurn("The Doomed Fleet").." to\n"..ClrGrn("Glorin Steelbrow").." "..ClrGrn2("(Dwarf inside the Inn)")..".\n- Accept "..ClrAcc("Lightforge Iron")..".\n\n"..ClrGry("(DON'T turn-in your quest to Mikhail (Human).\nWe will come back for him later)"))
		elseif allyRoute_Conf.currPage == 2 then
			IT("- Go to the destroyed Ship behind the Inn.\n\n- Click on the *Waterlogged Chest*.\n- Complete "..ClrTurn("Lightforge Iron")..".\n- Accept "..ClrAcc("The Lost Ingots")..".")
		elseif allyRoute_Conf.currPage == 3 then
			IT("- Do "..ClrDo("The Lost Ingots")..".\n\n- Turn-in "..ClrTurn("The Lost Ingots").." to\n"..ClrGrn("Glorin Steelbrow").." "..ClrGrn2("(same Dwarf)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 4 then
			IT("- Leave Menethil Harbor.\n- Go to Dun Modr.\n\n- Accept "..ClrAcc("The Thandol Span").." from\n"..ClrGrn("Rhag Garmason").." "..ClrGrn2("(Dwarf)")..".")
		elseif allyRoute_Conf.currPage == 5 then
			IT("- Go North to find a Bridge.\n- Find a door on the right side on the Bridge.\n\n- Click on *Ebenezer Rustlocke's Corpse*.\n- Complete "..ClrTurn("The Thandol Span")..".\n- Accept "..ClrAcc("The Thandol Span")..".")
		elseif allyRoute_Conf.currPage == 6 then
			IT("- Go back to Dun Modr.\n\n- Turn-in "..ClrTurn("The Thandol Span").." to\n"..ClrGrn("Rhag Garmason").." "..ClrGrn2("(same Dwarf)")..".\n- Accept "..ClrAcc("The Thandol Span")..".")
		elseif allyRoute_Conf.currPage == 7 then
			IT("- Go North and cross the Bridge.\n- Cross the wooden Bridge on the right.\n\n- Click on the *Cache of Explosives*.")
		elseif allyRoute_Conf.currPage == 8 then
			IT("- Go back to Dun Modr.\n\n- Turn-in "..ClrTurn("The Thandol Span").." to\n"..ClrGrn("Rhag Garmason").." "..ClrGrn2("(same Dwarf)")..".\n- Accept "..ClrAcc("Plea To The Alliance")..".\n"..ClrGry("(lvl 30 / 40%)"))
		elseif allyRoute_Conf.currPage == 9 then
			IT("- Cross the Bridge to reach Arathi Highlands.\n- Follow the road North to reach Refuge Pointe.\n\n- Pick up the Flight Point from "..ClrGrn("Cedrik Prose")..".")
		elseif allyRoute_Conf.currPage == 10 then
			IT("- Turn-in "..ClrTurn("Plea To The Alliance").." to\n"..ClrGrn("Captain Nials").." "..ClrGrn2("(Female Human)")..".\n- Accept "..ClrAcc("Northfold Manor")..".\n\n- Turn-in "..ClrTurn("Malin's Request").." to "..ClrGrn("Skuerto").." "..ClrGrn2("(Dwarf)")..".")
		elseif allyRoute_Conf.currPage == 11 then
			IT("- Do "..ClrDo("Northfold Manor")..".\n\n- Go back to Refuge Pointe.\n- Turn-in "..ClrTurn("Northfold Manor").." to\n"..ClrGrn("Captain Nials").." "..ClrGrn2("(same Female Human)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 12 then
			IT("- Go West to reach Hillsbrad Foothills.\n- Follow the road West then South to reach Southshore.\n\n- Pick up the Flight Point from "..ClrGrn("Darla Harris")..".")
		elseif allyRoute_Conf.currPage == 13 then
			IT("- Turn-in "..ClrTurn("Southshore").." to "..ClrGrn("Loremaster Dibbs").."\n"..ClrGrn2("(Human)")..". "..ClrRed("DON'T accept any quest.").."\n\n- Accept "..ClrAcc("Down the Coast").." from\n"..ClrGrn("Lieutenant Farren Orinelle").." "..ClrGrn2("(Human in the Inn)")..".")
		elseif allyRoute_Conf.currPage == 14 then
			IT("- Do "..ClrDo("Down the Coast")..".\n\n- Turn-in "..ClrTurn("Down the Coast").." to\n"..ClrGrn("Lieutenant Farren Orinelle").." "..ClrGrn2("(same Human)")..".\n- Accept "..ClrAcc("Farren's Proof")..".")
		elseif allyRoute_Conf.currPage == 15 then
			IT("- Do "..ClrDo("Farren's Proof")..".\n\n- Turn-in "..ClrTurn("Farren's Proof").." to\n"..ClrGrn("Lieutenant Farren Orinelle").." "..ClrGrn2("(same Human)")..".\n- Accept "..ClrAcc("Farren's Proof")..".")
		elseif allyRoute_Conf.currPage == 16 then
			IT("- Turn-in "..ClrTurn("Farren's Proof").." to\n"..ClrGrn("Marshal Redpath").." "..ClrGrn2("(Human outside Town Hall)")..".\n- Accept "..ClrAcc("Farren's Proof")..".\n"..ClrRed("DON'T accept any other quest."))
		elseif allyRoute_Conf.currPage == 17 then
			IT("- Turn-in "..ClrTurn("Farren's Proof").." to\n"..ClrGrn("Lieutenant Farren Orinelle").." "..ClrGrn2("(Human in the Inn)")..".\n- Accept "..ClrAcc("Stormwind Ho!")..".\n\n- Do "..ClrDo("Stormwind Ho!")..".")
		elseif allyRoute_Conf.currPage == 18 then
			IT("- Turn-in "..ClrTurn("Stormwind Ho!").." to\n"..ClrGrn("Lieutenant Farren Orinelle").." "..ClrGrn2("(same Human)")..".\n- Accept "..ClrAcc("Reassignment")..".\n\n- Hearthstone to Menethil Harbor, Wetlands.\n"..ClrGry("(Lvl 31 / 05% Exp)"))
		elseif allyRoute_Conf.currPage == 19 then
			IT("- Turn-in "..ClrTurn("The Missing Diplomat").." to\n"..ClrGrn("Mikhail").." "..ClrGrn2("(Human inside the Inn)")..".\n- Accept "..ClrAcc("The Missing Diplomat")..".\n\n- Defeat "..ClrRed("Tapoke \"Slim\" Jahn")..". "..ClrGry("(Stealthed Human sneaking outside the Inn)")..".")
		elseif allyRoute_Conf.currPage == 20 then
			IT("- Turn-in "..ClrTurn("The Missing Diplomat").." to\n"..ClrGrn("Mikhail").." "..ClrGrn2("(same Human inside the Inn)")..".\n\n- Accept "..ClrAcc("The Missing Diplomat").." from\n"..ClrGrn("Tapoke \"Slim\" Jahn").." "..ClrGrn2("(Human inside the Inn)")..".")
		elseif allyRoute_Conf.currPage == 21 then
			IT("- Turn-in "..ClrTurn("The Missing Diplomat").." to\n"..ClrGrn("Mikhail").." "..ClrGrn2("(same Human inside the Inn)")..".\n- Accept "..ClrAcc("The Missing Diplomat")..".")
		elseif allyRoute_Conf.currPage == 22 then
			IT("- Take the Boat on the left side to reach\nDustwallow Marsh.\n\n- Pick up the Flight Point from "..ClrGrn("Baldruc")..".")
		elseif allyRoute_Conf.currPage == 23 then
			IT("- Accept "..ClrAcc("They Call Him Smiling Jim").." from\n"..ClrGrn("Guard Byron").." "..ClrGrn2("(Human near the Inn)")..".\n\n- Accept "..ClrAcc("Highperch Venom").." from\n"..ClrGrn("Fiora Longears").." "..ClrGrn2("(Female Blood Elf in the Inn)")..".")
		elseif allyRoute_Conf.currPage == 24 then
			IT("- Turn-in "..ClrTurn("The Missing Diplomat").." to\n"..ClrGrn("Commander Samaul").." "..ClrGrn2("(Human inside the Keep)")..".\n- Accept "..ClrAcc("The Missing Diplomat")..".\n\n- Turn-in "..ClrTurn("They Call Him Smiling Jim").." to\n"..ClrGrn("Captain Garran Vimes").." "..ClrGrn2("(Human)")..".")
		elseif allyRoute_Conf.currPage == 25 then
			IT("- Leave Theramore Isle.\n- Follow the road to find a Tower on your left.\n\n- Go inside the Tower to complete\n"..ClrTurn("The Missing Diplomat").." objective.")
		elseif allyRoute_Conf.currPage == 26 then
			IT("- Follow the road to reach Shady Rest Inn.\n"..ClrGry("(Near The Barrens' entrance)").."\n\n- Click on *Suspicious Hoofprint* on the\nground infront of the destroyed Inn.\n- Accept "..ClrAcc("Suspicious Hoofprints")..".")
		elseif allyRoute_Conf.currPage == 27 then
			IT("- Click on the *Black Shield* displayed on top\nof the fireplace inside the Inn.\n- Accept "..ClrAcc("The Black Shield")..".")
		elseif allyRoute_Conf.currPage == 28 then
			IT("- Go to The Barrens.\n- Go South and take the elevator to reach\nThousand Needles. "..ClrGry("(Lvl 31 / 10% Exp)"))
		end --End 12
		
	--31-32 Thousand Needles
	elseif allyRoute_Conf.currChapter == 13 then
		if allyRoute_Conf.currPage == 1 then
			IT("- There's a corpse holding a book in it's hand\nnear the elevator .\n\n- Loot *Henrig Lonebrow's Journal*.\n- Click on it in your bag.\n- Accept "..ClrAcc("Lonebrow's Journal")..".")
		elseif allyRoute_Conf.currPage == 2 then
			IT("- Go West to reach Thalanaar.\n- Pick up the Flight Point from "..ClrGrn("Thyssiana")..".\n\n- Turn-in "..ClrTurn("Lonebrow's Journal").." to\n"..ClrGrn("Falfindel Waywarder").." "..ClrGrn2("(Night Elf)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 3 then
			IT("- Go back to Thousand Needles.\n\n- Do "..ClrDo("Highperch Venom")..".\n"..ClrGry("(This quest is deep into Horde territory.\nYou should skip it if you're on a PVP realm.\nThere isn't any more quests after it)"))
		elseif allyRoute_Conf.currPage == 4 then
			IT("- Go East to reach Shimmering Flats.\n\n- Accept "..ClrAcc("Rocket Car Parts").."\nfrom "..ClrGrn("Kravel Koalbeard").." "..ClrGrn2("(Dwarf)")..".\n"..ClrRed("DON'T accept any other quest."))
		elseif allyRoute_Conf.currPage == 5 then
			IT("- Accept "..ClrAcc("Salt Flat Venom").." from\n"..ClrGrn("Fizzle Brassbolts").." "..ClrGrn2("(Gnome)")..".\n"..ClrRed("DON'T accept any other quest")..".\n- Turn-in "..ClrTurn("The Brassbolts Brothers").." to\n"..ClrGrn("Wizzle Brassbolts").." "..ClrGrn2("(Gnome)")..".\n- Accept "..ClrAcc("Hardened Shells")..".")
		elseif allyRoute_Conf.currPage == 6 then
			IT("- Accept "..ClrAcc("Load Lightening").." from\n"..ClrGrn("Pozzik").." "..ClrGrn2("(Goblin nearby)")..".\n\n- Accept "..ClrAcc("A Bump in the Road").." from\n"..ClrGrn("Trackmaster Zherin").." "..ClrGrn2("(Tauren near the Track)")..".")
		elseif allyRoute_Conf.currPage == 7 then
			IT("- Do "..ClrDo("Rocket Car Parts").."\nand "..ClrDo("Salt Flat Venom").."\nand "..ClrDo("Hardened Shells").."\nand "..ClrDo("Load Lightening").."\nand "..ClrDo("A Bump in the Road")..".\n- Save "..ClrYlw("x10 [Turtle Meat]").." for a quest.")
		elseif allyRoute_Conf.currPage == 8 then
			IT("- Turn-in "..ClrTurn("Rocket Car Parts").." to\n"..ClrGrn("Kravel Koalbeard").." "..ClrGrn2("(same Dwarf)")..".\n- Accept "..ClrAcc("Wharfmaster Dizzywig").."\nand "..ClrAcc("Hemet Nesingwary")..".")
		elseif allyRoute_Conf.currPage == 9 then
			IT("- Turn-in "..ClrTurn("Salt Flat Venom").." to\n"..ClrGrn("Fizzle Brassbolts").." "..ClrGrn2("(same Gnome)")..".\n- Accept "..ClrAcc("Martek the Exiled")..".\n- Turn-in "..ClrTurn("Hardened Shells").." to\n"..ClrGrn("Wizzle Brassbolts").." "..ClrGrn2("(same Gnome)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 10 then
			IT("- Turn-in "..ClrTurn("Load Lightening").." to\n"..ClrGrn("Pozzik").." "..ClrGrn2("(same Goblin)")..".\n- Accept "..ClrAcc("Goblin Sponsorship")..".\n\n- Turn-in "..ClrTurn("A Bump in the Road").." to\n"..ClrGrn("Trackmaster Zherin").." "..ClrGrn2("(same Tauren)")..".\n")
		elseif allyRoute_Conf.currPage == 11 then
			IT("- Go South to reach Gadgetzan, Taranis.\n- Pick up Flight Point from "..ClrGrn("Bera Stonehammer")..".\n\n- Fly to Theramore, Dustwallow Marsh.\n"..ClrGry("(Lvl 32 / 05% Exp)"))
		elseif allyRoute_Conf.currPage == 12 then
			IT("- Turn-in "..ClrTurn("The Black Shield").."\nand "..ClrTurn("Suspicious Hoofprints").."\nto "..ClrGrn("Captain Garran Vimes").." "..ClrGrn2("(Human in the Keep)")..".\n- Accept "..ClrAcc("The Black Shield")..".")
		elseif allyRoute_Conf.currPage == 13 then
			IT("- Turn-in "..ClrTurn("Highperch Venom").." to\n"..ClrGrn("Fiora Longears").." "..ClrGrn2("(Female Blood Elf in the Inn)")..".\n"..ClrGry("(If you did the quest. Otherwise abandon it)"))
		elseif allyRoute_Conf.currPage == 14 then
			IT("- Turn-in "..ClrTurn("The Missing Diplomat").." to\n"..ClrGrn("Archmage Tervosh").." "..ClrGrn2("(Human inside the Tower)")..".\n"..ClrRed("DON'T accept any quest.").."\n"..ClrGry("(We will finish the quest chain later)"))
		elseif allyRoute_Conf.currPage == 15 then
			IT("- Turn-in "..ClrTurn("The Black Shield").." to\n"..ClrGrn("Caz Twosprocket").." "..ClrGrn2("(Gnome near the Blacksmith)")..".\n- Accept "..ClrAcc("The Black Shield")..".\n- Turn-in "..ClrTurn("The Black Shield").." to\n"..ClrGrn("Captain Garran Vimes").." "..ClrGrn2("(Human in the Keep)")..".")
		elseif allyRoute_Conf.currPage == 16 then
			IT("- Leave Theramore Isle.\n- Follow the road to reach The Barrens.\n\n- Follow the road North/East to reach Ratchet.\n- Pick up the Flight Point from "..ClrGrn("Bragok")..".")
		elseif allyRoute_Conf.currPage == 17 then
			IT("- Turn-in "..ClrTurn("Goblin Sponsorship").." to\n"..ClrGrn("Gazlowe").." "..ClrGrn2("(Goblin inside a House)")..".\n- Accept "..ClrAcc("Goblin Sponsorship")..".")
		elseif allyRoute_Conf.currPage == 18 then
			IT("- Turn-in "..ClrTurn("Wharfmaster Dizzywig").." to\n"..ClrGrn("Wharfmaster Dizzywig").." "..ClrGrn2("(Goblin on the dock)")..".\n"..ClrRed("DON'T accept any quest.").."\n\n- Take the Boat to reach Booty Bay.\n"..ClrGry("(Lvl 32 / 25% Exp)"))
		end --End 13
		
	--32-33 Stranglethorn
	elseif allyRoute_Conf.currChapter == 14 then
		if allyRoute_Conf.currPage == 1 then
			IT("- Turn-in "..ClrTurn("Goblin Sponsorship").." to\n"..ClrGrn("Wharfmaster Lozgil").." "..ClrGrn2("(Goblin on the dock)")..".\n- Accept "..ClrAcc("Goblin Sponsorship")..".\n\n- Accept "..ClrAcc("Singing Blue Shards").." from\n"..ClrGrn("Crank Fizzlebub").." "..ClrGrn2("(Goblin in the Inn)")..".")
		elseif allyRoute_Conf.currPage == 2 then
			IT("- Accept "..ClrAcc("Bloodscalp Ears").." from\n"..ClrGrn("Kebok").." "..ClrGrn2("(Goblin in the Inn upstairs)")..".\n"..ClrRed("DON'T accept any other quest."))
		elseif allyRoute_Conf.currPage == 3 then
			IT("- Accept "..ClrAcc("Supplies to Private Thorsen").."\nand "..ClrAcc("Investigate the Camp").."\nand "..ClrAcc("The Haunted Isle").."\nfrom "..ClrGrn("Krazek").." "..ClrGrn2("(Goblin)")..".")
		elseif allyRoute_Conf.currPage == 4 then
			IT("- Turn-in "..ClrTurn("The Haunted Isle").."\nand "..ClrTurn("Goblin Sponsorship").."\nto "..ClrGrn("Baron Revilgaz").." "..ClrGrn2("(Goblin on the balcony)")..".\n- Accept "..ClrAcc("The Stone of the Tides")..".\n"..ClrRed("DON'T accept any other quest."))
		elseif allyRoute_Conf.currPage == 5 then
			IT("- Accept "..ClrAcc("Supply and Demand").." from "..ClrGrn("Drizzlik").."\n"..ClrGrn2("(Goblin inside a store selling Leatherworking Supplies and Cloth Armor & Accessories)")..".")
		elseif allyRoute_Conf.currPage == 6 then
			IT("- Pick up the Flight Point from "..ClrGrn("Gyll")..".\n- Fly to Darkshire, Duskwood.\n\n- Follow the road South to reach a Camp.\n- Go South to reach Stranglethorn Vale.")
		elseif allyRoute_Conf.currPage == 7 then
			IT("- Keep going forward to reach Rebel Camp.\n\n- Turn-in "..ClrTurn("Supplies to Private Thorsen").." to\n"..ClrGrn("Private Thorsen").." "..ClrGrn2("(Human)")..".\n- Accept "..ClrAcc("Jungle Secrets")..".")
		elseif allyRoute_Conf.currPage == 8 then
			IT("- Accept "..ClrAcc("The Second Rebellion").."\nand "..ClrAcc("Bad Medicine").."\nfrom "..ClrGrn("Sergeant Yohwa").." "..ClrGrn2("(Female Human)")..".")
		elseif allyRoute_Conf.currPage == 9 then
			IT("- Turn-in "..ClrTurn("Jungle Secrets").." to\n"..ClrGrn("Lieutenant Doren").." "..ClrGrn2("(Human)")..".\n- Accept "..ClrAcc("Bookie Herod")..".\n\n- Accept "..ClrAcc("Krazek's Cookery").." from\n"..ClrGrn("Corporal Kaleb").." "..ClrGrn2("(Human)")..".")
		elseif allyRoute_Conf.currPage == 10 then
			IT("- Go to Nesingwary's Expedition "..ClrYlw("[36,10]")..".\n\n- Accept "..ClrAcc("Welcome to the Jungle").." from\n"..ClrGrn("Barnil Stonepot").." "..ClrGrn2("(Dwarf)")..".")
		elseif allyRoute_Conf.currPage == 11 then
			IT("- Turn-in "..ClrTurn("Welcome to the Jungle").."\nand "..ClrTurn("Hemet Nesingwary").."\nto "..ClrGrn("Hemet Nesingwary").." "..ClrGrn2("(Dwarf)")..".\n- Accept "..ClrAcc("Raptor Mastery")..".")
		elseif allyRoute_Conf.currPage == 12 then
			IT("- Accept "..ClrAcc("Tiger Mastery").." from\n"..ClrGrn("Ajeck Rouack").." "..ClrGrn2("(Female Human)")..".\n\n- Accept "..ClrAcc("Panther Mastery").." from\n"..ClrGrn("Sir S. J. Erlgadin").." "..ClrGrn2("(Human)")..".")
		elseif allyRoute_Conf.currPage == 13 then
			IT("- Do "..ClrDo("Tiger Mastery")..". "..ClrGry("(Young St. Tiger)").."\n\n- Go back to Nesingwary's Expedition.\n- Turn-in "..ClrTurn("Tiger Mastery").." to\n"..ClrGrn("Ajeck Rouack").." "..ClrGrn2("(same Female Human)")..".\n- Accept "..ClrAcc("Tiger Mastery")..".")
		elseif allyRoute_Conf.currPage == 14 then
			IT("- Go inside the House at "..ClrYlw("[43,09]")..".\n- Go upstairs.\n\n- Click on *Bookie Herod's Records*.\n- Complete "..ClrTurn("Bookie Herod")..".\n- Accept "..ClrAcc("The Hidden Key")..".")
		elseif allyRoute_Conf.currPage == 15 then
			IT("- Do "..ClrDo("The Second Rebellion").."\nand "..ClrDo("Bad Medicine").."\nand "..ClrDo("Panther Mastery").." "..ClrGry("(Young Panther)").."\nand "..ClrDo("Singing Blue Shards").."\nand "..ClrDo("Supply and Demand")..".")
		elseif allyRoute_Conf.currPage == 16 then
			IT("- Go back to Rebel Camp.\n\n- Turn-in "..ClrTurn("The Second Rebellion").."\nand "..ClrTurn("Bad Medicine").."\nto "..ClrGrn("Sergeant Yohwa").." "..ClrGrn2("(Female Human)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 17 then
			IT("- Go back to Nesingwary's Expedition.\n\n- Turn-in "..ClrTurn("Panther Mastery").." to\n"..ClrGrn("Sir S. J. Erlgadin").." "..ClrGrn2("(Human)")..".\n- Accept "..ClrAcc("Panther Mastery")..".\n"..ClrGry("(Lvl 32 / 90% Exp)"))
		elseif allyRoute_Conf.currPage == 18 then
			IT("- Do "..ClrDo("Tiger Mastery").." "..ClrGry("(St. Tiger)").."\nand "..ClrDo("Panther Mastery").." "..ClrGry("(Panther)").."\nand "..ClrDo("Raptor Mastery").." "..ClrGry("(St. Raptor)")..".\n\n- Go back to Nesingwary's Expedition.")
		elseif allyRoute_Conf.currPage == 19 then
			IT("- Turn-in "..ClrTurn("Tiger Mastery").." to the Female Human.\n- Accept "..ClrAcc("Tiger Mastery")..".\n- Turn-in "..ClrTurn("Panther Mastery").." to the Human.\n"..ClrRed("DON'T accept any quest.").."\n- Turn-in "..ClrTurn("Raptor Mastery").." to the Dwarf.\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 20 then
			IT("- Do "..ClrDo("Tiger Mastery")..". "..ClrGry("(Elder St. Tiger)").."\n\n- Go back to Nesingwary's Expedition.\n- Turn-in "..ClrTurn("Tiger Mastery").." to\n"..ClrGrn("Ajeck Rouack").." "..ClrGrn2("(Female Human)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 21 then
			IT("- Do "..ClrDo("Bloodscalp Ears")..".\n\n- Swim to the island West to complete\n"..ClrTurn("The Stone of the Tides").." objective.")
		elseif allyRoute_Conf.currPage == 22 then
			IT("- Hearthstone to Menethil Harbor, Wetlands.\n\n- Fly to Southshore, Hillsbrad.\n"..ClrGry("(Lvl 33 / 25% Exp)"))
		end --End 14
		
	--33-34 Hillsbrad and Alterac
	elseif allyRoute_Conf.currChapter == 15 then
		if allyRoute_Conf.currPage == 1 then
			IT("- Buy "..ClrYlw("x1 [Soothing Spices]").." from\n"..ClrGrn("Micha Yance").." "..ClrGrn2("(Human in a House)")..".\n\n- Accept "..ClrAcc("Costly Menace").." from\n"..ClrGrn("Darren Malvew").." "..ClrGrn2("(Human in the Stable)")..".")
		elseif allyRoute_Conf.currPage == 2 then
			IT("- Accept "..ClrAcc("Crushridge Bounty").." from\n"..ClrGrn("Marshal Redpath").." "..ClrGrn2("(Human outside Town Hall)")..".\n\n- Accept "..ClrAcc("Syndicate Assassins").." from\n"..ClrGrn("Magistrate Henry Maleb").." "..ClrGrn2("(Human in Town Hall)")..".")
		elseif allyRoute_Conf.currPage == 3 then
			IT("- Accept "..ClrAcc("Soothing Turtle Bisque").." from\n"..ClrGrn("Chef Jessen").." "..ClrGrn2("(Human inside the Inn's kitchen)")..".\n- Turn-in "..ClrTurn("Soothing Turtle Bisque")..".\n"..ClrRed("(Requires x10 [Turtle Meat])"))
		elseif allyRoute_Conf.currPage == 4 then
			IT("- Do "..ClrDo("Crushridge Bounty").."\nand "..ClrDo("Costly Menace")..".")
		elseif allyRoute_Conf.currPage == 5 then
			IT("- Do "..ClrDo("Syndicate Assassins")..".\n\n- Click on *Syndicate Documents* on the table\nin one of the two Syndicate Camps.\n- Accept "..ClrAcc("Foreboding Plans").."\nand "..ClrAcc("Encrypted Letter")..".")
		elseif allyRoute_Conf.currPage == 6 then
			IT("- Kill mobs until you reach Level 33 / 85% Exp.")
		elseif allyRoute_Conf.currPage == 7 then
			IT("- Go back to Southshore.\n\n- Turn-in "..ClrTurn("Crushridge Bounty").." to\n"..ClrGrn("Marshal Redpath").." "..ClrGrn2("(Human outside Town Hall)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 8 then
			IT("- Turn-in "..ClrTurn("Syndicate Assassins").."\nand "..ClrTurn("Foreboding Plans").." to\n"..ClrGrn("Magistrate Henry Maleb").." "..ClrGrn2("(Human in Town Hall)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 9 then
			IT("- Turn-in "..ClrTurn("Encrypted Letter").." to\n"..ClrGrn("Loremaster Dibbs").." "..ClrGrn2("(Human outside a House)")..".\n- Accept "..ClrAcc("Letter to Stormpike")..".\n"..ClrRed("DON'T accept any other quest."))
		elseif allyRoute_Conf.currPage == 10 then
			IT("- Turn-in "..ClrTurn("Costly Menace").." to\n"..ClrGrn("Darren Malvew").." "..ClrGrn2("(Human in the Stable)")..".\n\n- Fly to Ironforge.")
		elseif allyRoute_Conf.currPage == 11 then
			IT("- Go to the Hall of Explorers.\n- Accept "..ClrAcc("Reclaimers' Business in Desolace").."\nfrom "..ClrGrn("Roetten Stonehammer").." "..ClrGrn2("(Dwarf)")..".\n- Turn-in "..ClrTurn("Letter to Stormpike").." to\n"..ClrGrn("Prospector Stormpike").." "..ClrGrn2("(Dwarf)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 12 then
			IT("- Fly to Stormwind.\n- Go to Stormwind Keep.\n\n- Turn-in "..ClrTurn("Reassignment").." to\n"..ClrGrn("Major Samuelson").." "..ClrGrn2("(Human)")..".")
		elseif allyRoute_Conf.currPage == 13 then
			IT("- Go to the Cathedral Square.\n- Take the stairs on the right inside the Church.\n\n- Accept "..ClrAcc("Brother Anton").." from\n"..ClrGrn("Brother Crowley").." "..ClrGrn2("(Human)")..".")
		elseif allyRoute_Conf.currPage == 14 then
			IT("- Hearthstone to Menethil Harbor, Wetlands.\n- Take the Boat on the right side to Darkshore.\n\n- Pick up Flight Point from "..ClrGrn("Caylais Moonfeather")..".\n- Fly to Astranaar, Ashenvale.")
		elseif allyRoute_Conf.currPage == 15 then
			IT("- Go through the Talondeep Path tunnel "..ClrYlw("[42,71]").."\nto reach Stonetalon Mountains.\n\n- Follow the roads South/West to reach\nDesolace. "..ClrGry("(Lvl 34 / 05% Exp)"))
		end --End 15
	
	--34-36 Desolace
	elseif allyRoute_Conf.currChapter == 16 then
		if allyRoute_Conf.currPage == 1 then
			IT("- Go to Nijel's Point "..ClrYlw("[66,11]")..".\n\n- Accept "..ClrAcc("Vahlarriel's Search").." from\n"..ClrGrn("Vahlarriel Demonslayer").." "..ClrGrn2("(Night Elf)")..".")
		elseif allyRoute_Conf.currPage == 2 then
			IT("- Accept "..ClrAcc("Strange Alliance").." from\n"..ClrGrn("Captain Pentigast").." "..ClrGrn2("(Human)")..".\n"..ClrRed("DON'T accept any other quest.").."\n\n- Accept "..ClrAcc("Centaur Bounty").." from\n"..ClrGrn("Corporal Melkins").." "..ClrGrn2("(Human)")..".")
		elseif allyRoute_Conf.currPage == 3 then
			IT("- Turn-in "..ClrTurn("Reclaimers' Business in Desolace").."\nto "..ClrGrn("Kreldig Ungor").." "..ClrGrn2("(Dwarf)")..".\n- Accept "..ClrAcc("The Karnitol Shipwreck").."\nand "..ClrAcc("Reagents for Reclaimers Inc.")..".")
		elseif allyRoute_Conf.currPage == 4 then
			IT("- Pick up Flight Point from "..ClrGrn("Baritanas Skyriver")..".\n- Make Nijel's Point's Inn your home.\n \n- Turn-in "..ClrTurn("Brother Anton").." to\n"..ClrGrn("Brother Anton").." "..ClrGrn2("(Human on the Balcony)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 5 then
			IT("- Do "..ClrDo("Reagents for Reclaimers Inc.")..".\n\n- Go back to Nijel's Point.\n- Turn-in "..ClrTurn("Reagents for Reclaimers Inc.").."\nto "..ClrGrn("Kreldig Ungor").." "..ClrGrn2("(same Dwarf)")..".\n- Accept "..ClrAcc("Reagents for Reclaimers Inc.")..".")
		elseif allyRoute_Conf.currPage == 6 then
			IT("- Go to Kormek's Hut "..ClrYlw("[62,39]")..".\n\n- Accept "..ClrAcc("Bone Collector").." from\n"..ClrGrn("Bibbly F'utzbuckle").." "..ClrGrn2("(Goblin)")..".")
		elseif allyRoute_Conf.currPage == 7 then
			IT("- Go to Magram Village "..ClrYlw("[71,74]")..". "..ClrRed("(NOT Kolkar)").."\n- Do "..ClrDo("Centaur Bounty").." on Magram mobs.\n\n- Keep killing Magram mobs there until your\nReputation with "..ClrYlw("Gelkis Clan Centaur").." becomes\nFriendly.")
		elseif allyRoute_Conf.currPage == 8 then
			IT("- Do "..ClrDo("Bone Collector").."\nand "..ClrDo("Reagents for Reclaimers Inc.")..".\n"..ClrGry("(Scorpashi Venom and Aged Kodo Hide)"))
		elseif allyRoute_Conf.currPage == 9 then
			IT("- Go to "..ClrYlw("[36,30]").." to find a broken Boat.\n\n- Click on *Karnitol's Chest* near the Boat.\n- Complete "..ClrTurn("The Karnitol Shipwreck")..".\n- Accept "..ClrAcc("The Karnitol Shipwreck")..".")
		elseif allyRoute_Conf.currPage == 10 then
			IT("- Go up the mountain to find a Human "..ClrYlw("[39,27]")..".\n\n- Accept "..ClrAcc("Sceptre of Light").." from\n"..ClrGrn("Azore Aldamort").." "..ClrGrn2("(Human)")..".")
		elseif allyRoute_Conf.currPage == 11 then
			IT("- Go back to Kormek's Hut "..ClrYlw("[62,39]")..".\n\n- Turn-in "..ClrTurn("Bone Collector").." to\n"..ClrGrn("Bibbly F'utzbuckle").." "..ClrGrn2("(Goblin)")..".")
		elseif allyRoute_Conf.currPage == 12 then
			IT("- Go to "..ClrYlw("[56,18]").." to find the remains of a Camp.\n- Click on *Malem Chest*.\n- Complete "..ClrTurn("Vahlarriel's Search")..".\n- Accept "..ClrAcc("Vahlarriel's Search")..".\n\n- Go back to Nijel's Point.")
		elseif allyRoute_Conf.currPage == 13 then
			IT("- Turn-in "..ClrTurn("Vahlarriel's Search").." to\n"..ClrGrn("Vahlarriel Demonslayer").." "..ClrGrn2("(Night Elf)")..".\n- Accept "..ClrAcc("Vahlarriel's Search")..".\n\n- Turn-in "..ClrTurn("Centaur Bounty").." to\n"..ClrGrn("Corporal Melkins").." "..ClrGrn2("(Human)")..".")
		elseif allyRoute_Conf.currPage == 14 then
			IT("- Turn-in "..ClrTurn("The Karnitol Shipwreck").."\nand "..ClrTurn("Reagents for Reclaimers Inc.").."\nto "..ClrGrn("Kreldig Ungor").." "..ClrGrn2("(Dwarf)")..".\n- Accept "..ClrAcc("The Karnitol Shipwreck").."\nand "..ClrAcc("Reagents for Reclaimers Inc.")..".")
		elseif allyRoute_Conf.currPage == 15 then
			IT("- Accept "..ClrAcc("Down the Scarlet Path").." from\n"..ClrGrn("Brother Anton").." "..ClrGrn2("(Human on the Inn's Balcony)")..".")
		elseif allyRoute_Conf.currPage == 16 then
			IT("- Go inside Thunder Axe Fortress "..ClrYlw("[56,30]")..".\n\n- Do "..ClrDo("Sceptre of Light")..".\n"..ClrGry("(Kill ").." "..ClrRed("Burning Blade Seer (Orc)")..""..ClrGry("\nOn top of the Tower on the left)"))
		elseif allyRoute_Conf.currPage == 17 then
			IT("- Go inside the Keep in Thunder Axe Fortress.\n- Go to the room in the middle to find a\nFemale Night Elf.\n"..ClrGry("(If she's not there, it's because someone is Escorting her outside)"))
		elseif allyRoute_Conf.currPage == 18 then
			IT("- Turn-in "..ClrTurn("Vahlarriel's Search").." to\n"..ClrGrn("Dalinda Malem").." "..ClrGrn2("(Female Night Elf)")..".\n- Accept "..ClrAcc("Search for Tyranis")..".")
		elseif allyRoute_Conf.currPage == 19 then
			IT("- Do "..ClrDo("Search for Tyranis")..".\n"..ClrGry("(Kill").." "..ClrRed("Tyranis Malem (Night Elf)").."\n"..ClrGry("inside the other building)"))
		elseif allyRoute_Conf.currPage == 20 then
			IT("- Turn-in "..ClrTurn("Search for Tyranis").." to\n"..ClrGrn("Dalinda Malem").." "..ClrGrn2("(same Female Night Elf)")..".\n- Accept "..ClrAcc("Return to Vahlarriel")..". "..ClrRed("(Escort Quest)").."\n\n- Escort the female Night Elf.")
		elseif allyRoute_Conf.currPage == 21 then
			IT("- Go back to the Human on the mountain.\n\n- Turn-in "..ClrTurn("Sceptre of Light").." to\n"..ClrGrn("Azore Aldamort").." "..ClrGrn2("(Human)")..".\n- Accept "..ClrAcc("Book of the Ancients")..".")
		elseif allyRoute_Conf.currPage == 22 then
			IT("- Go back to the broken Boat "..ClrYlw("[36,30]")..".\n\n- Click on *Rackmore's Log* on top of a Barrel.\n- Accept "..ClrAcc("Claim Rackmore's Treasure!")..".")
		elseif allyRoute_Conf.currPage == 23 then
			IT("- Do "..ClrDo("Claim Rackmore's Treasure!")..".\n\n- Swim West/North to reach Ranazjar Isle.\n- Click on *Rackmore's Chest* near a tree.\n- Complete "..ClrTurn("Claim Rackmore's Treasure!")..".")
		elseif allyRoute_Conf.currPage == 24 then
			IT("- Do "..ClrDo("The Karnitol Shipwreck")..".\n\n- Do "..ClrDo("Book of the Ancients")..".\n"..ClrGry("(Click on the").." *Serpent Statue*"..ClrGry("\nto summon a Level 38 Naga)"))
		elseif allyRoute_Conf.currPage == 25 then
			IT("- Go back to the Human on the mountain.\n\n- Turn-in "..ClrTurn("Book of the Ancients").." to\n"..ClrGrn("Azore Aldamort").." "..ClrGrn2("(Human)")..".")
		elseif allyRoute_Conf.currPage == 26 then
			IT("- Kill mobs until you reach Level 35 / 40% Exp.")
		elseif allyRoute_Conf.currPage == 27 then
			IT("- Go to Gelkis Village "..ClrYlw("[36,79]")..".\n\n- Turn-in "..ClrTurn("Strange Alliance").." to\n"..ClrGrn("Uthek the Wise").." "..ClrGrn2("(Centaur)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 28 then
			IT("- Do "..ClrDo("Reagents for Reclaimers Inc.")..".\n"..ClrGry("(Felhound Brain\nand Nether Wing\nand Doomwarder Blood)"))
		elseif allyRoute_Conf.currPage == 29 then
			IT("- Go to "..ClrYlw("[39,78]").." to TRY to find a Goblin traveler.\n\n- Accept "..ClrAcc("Gizelton Caravan").." from\n"..ClrGrn("Rigger Gizelton").." "..ClrGrn2("(Goblin)")..". "..ClrRed("(Escort Quest)").."\n"..ClrGry("(I usually skip the quest because the Goblin\nisn't always available)"))
		elseif allyRoute_Conf.currPage == 30 then
			IT("If you did the Escort Quest:\n\n- Go to Scrabblescrew's Camp "..ClrYlw("[60,62]")..".\n- Turn-in "..ClrTurn("Gizelton Caravan").." to\n"..ClrGrn("Smeed Scrabblescrew").." "..ClrGrn2("(Goblin)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 31 then
			IT("- Do "..ClrDo("Down the Scarlet Path")..".\n\n- Hearthstone back to Nijel's Point.\n- Turn-in "..ClrTurn("Down the Scarlet Path").." to\n"..ClrGrn("Brother Anton").." "..ClrGrn2("(Human on the Inn's Balcony)")..".\n- Accept "..ClrAcc("Down the Scarlet Path")..".")
		elseif allyRoute_Conf.currPage == 32 then
			IT("- Turn-in "..ClrTurn("The Karnitol Shipwreck").."\nand "..ClrTurn("Reagents for Reclaimers Inc.").."\nto "..ClrGrn("Kreldig Ungor").." "..ClrGrn2("(Dwarf)")..".\n- Accept "..ClrAcc("The Karnitol Shipwreck").."\nand "..ClrAcc("Reagents for Reclaimers Inc.")..".")
		elseif allyRoute_Conf.currPage == 33 then
			IT("- Turn-in "..ClrTurn("Return to Vahlarriel").." to\n"..ClrGrn("Vahlarriel Demonslayer").." "..ClrGrn2("(Night Elf)")..".\n\n- Fly to Theramore, Dustwallow Marsh.\n"..ClrGry("(Lvl 36 / 05% Exp)"))
		end --End 16
	
	--36-37 Dustwallow and Stranglethorn
	elseif allyRoute_Conf.currChapter == 17 then
		if allyRoute_Conf.currPage == 1 then
			IT("- Buy "..ClrYlw("x3 [Soothing Spices]").." from "..ClrGrn("Helenia Olden").."\n"..ClrGrn2("(Female Human in a House near the Stable)")..".\n\n- Accept "..ClrAcc("The Missing Diplomat").." from\n"..ClrGrn("Archmage Tervosh").." "..ClrGrn2("(Human inside the Tower)")..".")
		elseif allyRoute_Conf.currPage == 2 then
			IT("- Make Theramore Isle's Inn your home.\n\n- Leave Theramore Isle.\n- Follow the road until you reach a House on\nthe right side across the water "..ClrYlw("[55,26]")..".")
		elseif allyRoute_Conf.currPage == 3 then
			IT("- Accept "..ClrAcc("Soothing Spices").." from\n"..ClrGrn("\"Swamp Eye\" Jarl").." "..ClrGrn2("(Human outside the House)")..".\n- Turn-in "..ClrTurn("Soothing Spices")..".\n- Accept "..ClrAcc("Jarl Needs Eyes")..".")
		elseif allyRoute_Conf.currPage == 4 then
			IT("- Click on the *Loose Dirt* next to the House.\n- Accept "..ClrAcc("The Orc Report")..".\n\n- Follow the road to reach a Tower on the left.")
		elseif allyRoute_Conf.currPage == 5 then
			IT("- Find a Camp near the Tower.\n\n- Turn-in "..ClrTurn("The Missing Diplomat").." to\n"..ClrGrn("Private Hendel").." "..ClrGrn2("(Human)")..".\n- Accept "..ClrAcc("The Missing Diplomat")..".\n- Defeat the Human.")
		elseif allyRoute_Conf.currPage == 6 then
			IT("- Do "..ClrDo("Jarl Needs Eyes")..".")
		elseif allyRoute_Conf.currPage == 7 then
			IT("- Go to "..ClrYlw("[35,38]").." to find an Ogre.\n\n- Accept "..ClrAcc("Hungry!").." from "..ClrGrn("Mudcrush Durtfeet").."\n"..ClrGrn2("(Ogre in a Camp)")..".")
		elseif allyRoute_Conf.currPage == 8 then
			IT("- Go to Shady Rest Inn. "..ClrGry("(The Barrens' entrance)").."\n\n- Click on *Theramore Guard Badge* on top\nof the black wood blanks inside the Inn.\n- Accept "..ClrAcc("Lieutenant Paval Reethe")..".")
		elseif allyRoute_Conf.currPage == 9 then
			IT("- Go to "..ClrYlw("[47,17]").." to find a Human near Raptors.\n\n- Accept "..ClrAcc("Stinky's Escape").." from\n"..ClrGrn("\"Stinky\" Ignatz").." "..ClrGrn2("(Human)")..". "..ClrRed("(Escort Quest)").."\n\n- Escort the Human.")
		elseif allyRoute_Conf.currPage == 10 then
			IT("- Go back to the House near the water.\n\n- Turn-in "..ClrTurn("Jarl Needs Eyes").." to\n"..ClrGrn("\"Swamp Eye\" Jarl").." "..ClrGrn2("(Human outside the House)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 11 then
			IT("- Go back to Theramore Isle.\n\n- Turn-in "..ClrTurn("The Orc Report").." to\n"..ClrGrn("Theramore Lieutenant").." "..ClrGrn2("(Human outside Tower)")..".\n- Accept "..ClrAcc("Captain Vimes")..".")
		elseif allyRoute_Conf.currPage == 12 then
			IT("- Turn-in "..ClrTurn("The Missing Diplomat").." to\n"..ClrGrn("Archmage Tervosh").." "..ClrGrn2("(Human inside the Tower)")..".\n- Accept "..ClrAcc("The Missing Diplomat")..".\n\n- Turn-in "..ClrTurn("The Missing Diplomat").." to\n"..ClrGrn("Lady Jaina Proudmoore")..".")
		elseif allyRoute_Conf.currPage == 13 then
			IT("- Turn-in "..ClrTurn("Stinky's Escape").." to\n"..ClrGrn("Morgan Stern").." "..ClrGrn2("(Human inside the Inn)")..".\n"..ClrGry("(Lvl 36 / 40% Exp)"))
		elseif allyRoute_Conf.currPage == 14 then
			IT("- Turn-in "..ClrTurn("Captain Vimes").."\nand "..ClrTurn("Lieutenant Paval Reethe").." to\n"..ClrGrn("Captain Garran Vimes").." "..ClrGrn2("(Human in the Keep)")..".\n- Accept "..ClrAcc("Lieutenant Paval Reethe")..".")
		elseif allyRoute_Conf.currPage == 15 then
			IT("- Turn-in "..ClrTurn("Lieutenant Paval Reethe").." to\n"..ClrGrn("Adjutant Tesoran").." "..ClrGrn2("(Human in the same room)")..".\n- Accept "..ClrAcc("Daelin's Men")..".\n\n- Turn-in "..ClrTurn("Daelin's Men").." to the same Captain.\n- Accept "..ClrAcc("The Deserters")..".")
		elseif allyRoute_Conf.currPage == 16 then
			IT("- Leave Theramore Isle.\n- Do "..ClrDo("Hungry!")..".\n\n- Turn-in "..ClrTurn("Hungry!").." to "..ClrGrn("Mudcrush Durtfeet").."\n"..ClrGrn2("(Ogre in the Camp)").." "..ClrYlw("[35,38]")..".")
		elseif allyRoute_Conf.currPage == 17 then
			IT("- Follow the road South to find a Tower.\n\n- Defeat "..ClrRed("Balos Jacken (Human inside the Tower)")..".\n- Turn-in "..ClrTurn("The Deserters").." to the same Human.\n- Accept "..ClrAcc("The Deserters")..".")
		elseif allyRoute_Conf.currPage == 18 then
			IT("- Hearthstone back to Theramore Isle.\n- Turn-in "..ClrTurn("The Deserters").." to\n"..ClrGrn("Captain Garran Vimes").." "..ClrGrn2("(Human in the Keep)")..".\n\n- Fly to Ratchet, The Barrens.\n- Take the Boat to reach Booty Bay.")
		elseif allyRoute_Conf.currPage == 19 then
			IT("- Make Booty Bay's Inn your home.\n\n- Turn-in "..ClrTurn("Singing Blue Shards").." to\n"..ClrGrn("Crank Fizzlebub").." "..ClrGrn2("(Goblin)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 20 then
			IT("- Turn-in "..ClrTurn("Bloodscalp Ears").." to "..ClrGrn("Kebok").." "..ClrGrn2("(Goblin)")..".\n- Accept "..ClrAcc("Hostile Takeover")..".\n\n- Turn-in "..ClrTurn("Investigate the Camp").."\nand "..ClrTurn("Krazek's Cookery").." to "..ClrGrn("Krazek").." "..ClrGrn2("(Goblin)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 21 then
			IT("- Turn-in "..ClrTurn("The Stone of the Tides").." to\n"..ClrGrn("Baron Revilgaz").." "..ClrGrn2("(Goblin on the Balcony)")..".\n- Accept "..ClrAcc("Water Elementals").."\nand "..ClrAcc("Goblin Sponsorship")..".\n\n- Destroy "..ClrYlw("[Library Scrip]").." from your bag.")
		elseif allyRoute_Conf.currPage == 22 then
			IT("- Turn-in "..ClrTurn("Supply and Demand").." to "..ClrGrn("Drizzlik").."\n"..ClrGrn2("(Goblin inside a store selling Leatherworking Supplies and Cloth Armor & Accessories)")..".\n- Accept "..ClrAcc("Some Assembly Required")..".")
		elseif allyRoute_Conf.currPage == 23 then
			IT("- Fly to Darkshire, Duskwood.\n- Go back to Stranglethorn Vale.\n\n- Go back to Rebel Camp.\n- Accept "..ClrAcc("Special Forces").." from\n"..ClrGrn("Sergeant Yohwa").." "..ClrGrn2("(Female Human)")..".")
		elseif allyRoute_Conf.currPage == 24 then
			IT("- Go back to Nesingwary's Expedition.\n\n- Accept "..ClrAcc("Raptor Mastery").." from the Dwarf.\n- Accept "..ClrAcc("Tiger Mastery").." from Female Human.\n- Accept "..ClrAcc("Panther Mastery").." from the Human.")
		elseif allyRoute_Conf.currPage == 25 then
			IT("- Do "..ClrDo("Special Forces")..".\n\n- Find an area in the Cave with alot of boxes.\n- Click on *Bookie Herod's Strongbox*.\n- Complete "..ClrTurn("The Hidden Key")..".\n- Accept "..ClrAcc("The Spy Revealed!")..".")
		elseif allyRoute_Conf.currPage == 26 then
			IT("- Do "..ClrDo("Panther Mastery")..". "..ClrGry("(Shadowmaw Panther)").."\n\n- Do "..ClrDo("Goblin Sponsorship")..".\n"..ClrGry("(Loot a Key from ").." "..ClrRed("Foreman Cozzle (Goblin).").." "..ClrGry("\nLoot").." *Cozzle's Footlocker* "..ClrGry("in a House)"))
		elseif allyRoute_Conf.currPage == 27 then
			IT("- Do "..ClrDo("Hostile Takeover").."\nand "..ClrDo("Some Assembly Required")..".")
		elseif allyRoute_Conf.currPage == 28 then
			IT("- Do "..ClrDo("Raptor Mastery").." "..ClrGry("(Lashtail Raptor)").."\nand "..ClrDo("Tiger Mastery").." "..ClrGry("(Sin'Dall)")..".\n\n- Go back to Nesingwary's Expedition.")
		elseif allyRoute_Conf.currPage == 29 then
			IT("- Turn-in "..ClrTurn("Raptor Mastery").." to the Dwarf.\n- Accept "..ClrAcc("Raptor Mastery")..".\n- Turn-in "..ClrTurn("Tiger Mastery").." to the Female Human.\n\n- Turn-in "..ClrTurn("Panther Mastery").." to the Human.\n- Accept "..ClrAcc("Panther Mastery")..".")
		elseif allyRoute_Conf.currPage == 30 then
			IT("- Go back to Rebel Camp.\n- Turn-in "..ClrTurn("The Spy Revealed").."\nand "..ClrTurn("Special Forces").."\nto "..ClrGrn("Lieutenant Doren").." "..ClrGrn2("(Human)")..".\n- Accept "..ClrAcc("Patrol Schedules").."\nand "..ClrAcc("Colonel Kurzen")..".")
		elseif allyRoute_Conf.currPage == 31 then
			IT("- Turn-in "..ClrTurn("Patrol Schedules").." to\n"..ClrGrn("Corporal Sethman").." "..ClrGrn2("(Human)")..".\n- Accept "..ClrAcc("Report to Doren")..".\n\n- Turn-in "..ClrTurn("Report to Doren").." to\n"..ClrGrn("Lieutenant Doren").." "..ClrGrn2("(same Human)")..".")
		elseif allyRoute_Conf.currPage == 32 then
			IT("- Do "..ClrDo("Water Elementals")..".")
		elseif allyRoute_Conf.currPage == 33 then
			IT("- Hearthstone back to Booty Bay.\n\n- Turn-in "..ClrTurn("Hostile Takeover").." to "..ClrGrn("Kebok").."\n"..ClrGrn2("(Goblin in the Inn upstairs)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 34 then
			IT("- Turn-in "..ClrTurn("Water Elementals").."\nand "..ClrTurn("Goblin Sponsorship").."\nto "..ClrGrn("Baron Revilgaz").." "..ClrGrn2("(Goblin on the Balcony)")..".\n- Accept "..ClrAcc("Magical Analysis")..".\n"..ClrRed("DON'T accept any other quest."))
		elseif allyRoute_Conf.currPage == 35 then
			IT("- Turn-in "..ClrTurn("Some Assembly Required").." to "..ClrGrn("Drizzlik").." "..ClrGrn2("(Goblin inside a store selling Leatherworking Supplies and Cloth Armor & Accessories)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 36 then
			IT("- Fly to Ironforge.\n\n- Buy "..ClrYlw("x2 [Elixir of Water Breathing]").." from the\nAuction House. "..ClrGry("(You need it for an underwater\nquest. Druids and Warlocks don't need any)"))
		elseif allyRoute_Conf.currPage == 37 then
			IT("- Go to the Hall of Explorers.\n\n- Turn-in "..ClrTurn("The Karnitol Shipwreck").."\nand "..ClrTurn("Reagents for Reclaimers Inc.").."\nto "..ClrGrn("Roetten Stonehammer").." "..ClrGrn2("(Dwarf)")..".")
		elseif allyRoute_Conf.currPage == 38 then
			IT("- Accept "..ClrAcc("Further Mysteries").." from\n"..ClrGrn("Prospector Stormpike").." "..ClrGrn2("(Dwarf)")..".\n"..ClrRed("DON'T accept any other quest.").."\n\n- Fly to Southshore, Hillsbrad.\n"..ClrGry("(Lvl 37 / 80% Exp)"))
		end --End 17
	
	--37-38 Alterac Mountains
	elseif allyRoute_Conf.currChapter == 18 then
		if allyRoute_Conf.currPage == 1 then
			IT("- Make Southshore's Inn your home.\n\n- Turn-in "..ClrTurn("Down the Scarlet Path").." to\n"..ClrGrn("Raleigh the Devout").." "..ClrGrn2("(Human inside the Inn)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 2 then
			IT("- Turn-in "..ClrTurn("Further Mysteries").." to\n"..ClrGrn("Magistrate Henry Maleb").." "..ClrGrn2("(Human in Town Hall)")..".\n- Accept "..ClrAcc("Dark Council").."\nand "..ClrAcc("Noble Deaths")..".")
		elseif allyRoute_Conf.currPage == 3 then
			IT("- Go North/West to reach Dalaran.\n\n- Turn-in "..ClrTurn("Magical Analysis").." to\n"..ClrGrn("Archmage Ansirem Runeweaver").." "..ClrGrn2("(Human)")..".\n- Accept "..ClrAcc("Ansirem's Key")..".")
		elseif allyRoute_Conf.currPage == 4 then
			IT("- Do "..ClrDo("Noble Deaths").."\nand "..ClrDo("Dark Council")..".\n\n- Loot *Worn Wooden Chest* near "..ClrRed("Nagaz (Orc)")..".\n- Click on "..ClrYlw("[Ensorcelled Parchment]").." in your bag.\n- Accept "..ClrAcc("The Ensorcelled Parchment")..".")
		elseif allyRoute_Conf.currPage == 5 then
			IT("- Kill mobs until you reach Level 38 / 15% Exp.")
		elseif allyRoute_Conf.currPage == 6 then
			IT("- Hearthstone back to Southshore.\n\n- Accept "..ClrAcc("Hints of a New Plague?").." from\n"..ClrGrn("Phin Odelic").." "..ClrGrn2("(Human outside the Inn)")..".\n"..ClrGry("(Low Level Quest)"))
		elseif allyRoute_Conf.currPage == 7 then
			IT("- Turn-in "..ClrTurn("The Ensorcelled Parchment").." to\n"..ClrGrn("Loremaster Dibbs").." "..ClrGrn2("(Human outside a House)")..".\n- Accept "..ClrAcc("Stormpike's Deciphering")..".\n"..ClrRed("DON'T accept any other quest."))
		elseif allyRoute_Conf.currPage == 8 then
			IT("- Turn-in "..ClrTurn("Noble Deaths").."\nand "..ClrTurn("Dark Council").." to\n"..ClrGrn("Magistrate Henry Maleb").." "..ClrGrn2("(Human in Town Hall)")..".\n\n- Fly to Refuge Pointe, Arathi.\n"..ClrGry("(Lvl 38 / 20% Exp)"))
		end --End 18
	
	--38-39 Arathi Highlands
	elseif allyRoute_Conf.currChapter == 19 then
		if allyRoute_Conf.currPage == 1 then
			IT("- Accept "..ClrAcc("Worth Its Weight in Gold").." from\n"..ClrGrn("Apprentice Kryten").." "..ClrGrn2("(Human)")..".\n\n- Go to "..ClrYlw("[62,34]").." to find a floating Crystal.\n- Click on *Shards of Myzrael*.\n- Accept "..ClrAcc("The Princess Trapped")..".")
		elseif allyRoute_Conf.currPage == 2 then
			IT("- Do "..ClrDo("The Princess Trapped")..".\n\n- Find another floating Crystal inside the Cave.\n- Click on *Iridescent Shards*.\n- Complete "..ClrTurn("The Princess Trapped")..".\n- Accept "..ClrAcc("Stones of Binding")..".")
		elseif allyRoute_Conf.currPage == 3 then
			IT("- Go to Circle of East Binding "..ClrYlw("[67,30]")..".\n- Loot the *Stone of East Binding*.\n\n- Do "..ClrDo("Worth Its Weight in Gold")..".")
		elseif allyRoute_Conf.currPage == 4 then
			IT("- Go to Go'Shek Farm "..ClrYlw("[60,54]")..".\n\n- Turn-in "..ClrTurn("Hints of a New Plague?").." to\n"..ClrGrn("Quae").." "..ClrGrn2("(Female Human)")..".\n- Accept "..ClrAcc("Hints of a New Plague?")..".")
		elseif allyRoute_Conf.currPage == 5 then
			IT("- Do "..ClrDo("Hints of a New Plague?")..".\n"..ClrGry("(Kill").." "..ClrRed("Forsaken Courier (Undead)").." "..ClrGry("patrolling\nthe roads with 4 Undead bodyguards)"))
		elseif allyRoute_Conf.currPage == 6 then
			IT("- Go to Circle of Outer Binding "..ClrYlw("[52,50]")..".\n- Loot the *Stone of Outer Binding*.\n"..ClrGry("(Lvl 38 / 55% Exp)"))
		elseif allyRoute_Conf.currPage == 7 then
			IT("- Go back to Refuge Pointe.\n- Turn-in "..ClrTurn("Worth Its Weight in Gold").." to\n"..ClrGrn("Apprentice Kryten").." "..ClrGrn2("(Human)")..".\n\n- Accept "..ClrAcc("Wand over Fist").." from "..ClrGrn("Skuerto").." "..ClrGrn2("(Dwarf)")..".")
		elseif allyRoute_Conf.currPage == 8 then
			IT("- Go back to Go'Shek Farm.\n\n- Turn-in "..ClrTurn("Hints of a New Plague?").." to\n"..ClrGrn("Quae").." "..ClrGrn2("(Female Human)")..".\n- Accept "..ClrAcc("Hints of a New Plague?")..".")
		elseif allyRoute_Conf.currPage == 9 then
			IT("- Turn-in "..ClrTurn("Hints of a New Plague?").." to\n"..ClrGrn("Kinelory").." "..ClrGrn2("(Female Night Elf)")..".\n- Accept "..ClrAcc("Hints of a New Plague?")..".\n"..ClrRed("(Escort Quest)"))
		elseif allyRoute_Conf.currPage == 10 then
			IT("- Escort the Female Night Elf.\n\n- Turn-in "..ClrTurn("Hints of a New Plague?").." to\n"..ClrGrn("Quae").." "..ClrGrn2("(same Female Human)")..".\n- Accept "..ClrAcc("Hints of a New Plague?")..".")
		elseif allyRoute_Conf.currPage == 11 then
			IT("- Do "..ClrDo("Wand over Fist")..".\n\n- Go back to Refuge Pointe.\n- Turn-in "..ClrTurn("Wand over Fist").." to "..ClrGrn("Skuerto").." "..ClrGrn2("(Dwarf)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 12 then
			IT("- Go to Circle of West Binding "..ClrYlw("[25,30]")..".\n- Loot the *Stone of West Binding*.")
		elseif allyRoute_Conf.currPage == 13 then
			IT("- Go to Circle of Inner Binding "..ClrYlw("[36,58]")..".\n\n- Click on *Stone of Inner Binding*.\n- Complete "..ClrTurn("Stones of Binding")..".\n"..ClrRed("DON'T accept any quest.").."\n"..ClrGry("(Lvl 38 / 85% Exp)"))
		elseif allyRoute_Conf.currPage == 14 then
			IT("- Go near Stromgarde Keep "..ClrYlw("[32,63]")..".\n- Find a road between the Keep's outside wall\nand the mountain. This road leads to a Cave.\n\n- Go through the Cave to reach Faldir's Cove.\n- Swim left to find a Ship.")
		elseif allyRoute_Conf.currPage == 15 then
			IT("- Accept "..ClrAcc("Land Ho!").." from\n"..ClrGrn("Lolo the Lookout").." "..ClrGrn2("(Ogre)")..".\n\n- Turn-in "..ClrTurn("Land Ho!").." to\n"..ClrGrn("Shakes O'Breen").." "..ClrGrn2("(Human near the Ship)")..".")
		elseif allyRoute_Conf.currPage == 16 then
			IT("- Accept "..ClrAcc("Deep Sea Salvage").." from\n"..ClrGrn("First Mate Nilzlix").." "..ClrGrn2("(Goblin)")..".\n- Accept "..ClrAcc("Drowned Sorrows").." from\n"..ClrGrn("Captain Steelgut").." "..ClrGrn2("(Dwarf)")..".\n- Accept "..ClrAcc("Sunken Treasure").." from\n"..ClrGrn("Professor Phizzlethorpe").." "..ClrGrn2("(Gnome)")..".")
		elseif allyRoute_Conf.currPage == 17 then
			IT("- Escort the Gnome to the Cave.\n\n- Turn-in "..ClrTurn("Sunken Treasure").." to\n"..ClrGrn("Doctor Draxlegauge").." "..ClrGrn2("(Gnome)")..".\n- Accept "..ClrAcc("Sunken Treasure")..".")
		elseif allyRoute_Conf.currPage == 18 then
			IT("- Use your "..ClrYlw("[Elixir of Water Breathing]")..".\n\n- Do "..ClrDo("Sunken Treasure").."\nand "..ClrDo("Drowned Sorrows").."\nand "..ClrDo("Deep Sea Salvage")..".")
		elseif allyRoute_Conf.currPage == 19 then
			IT("- Turn-in "..ClrTurn("Deep Sea Salvage").." to\n"..ClrGrn("First Mate Nilzlix").." "..ClrGrn2("(same Goblin)")..".\n\n- Turn-in "..ClrTurn("Drowned Sorrows").." to\n"..ClrGrn("Captain Steelgut").." "..ClrGrn2("(same Dwarf)")..".")
		elseif allyRoute_Conf.currPage == 20 then
			IT("- Turn-in "..ClrTurn("Sunken Treasure").." to\n"..ClrGrn("Doctor Draxlegauge").." "..ClrGrn2("(same Gnome)")..".\n- Accept "..ClrAcc("Sunken Treasure")..".\n- Turn-in "..ClrTurn("Sunken Treasure").." to\n"..ClrGrn("Shakes O'Breen").." "..ClrGrn2("(Human near the Ship)")..".\n- Accept "..ClrAcc("Sunken Treasure")..".")
		elseif allyRoute_Conf.currPage == 21 then
			IT("- Hearthstone back to Southshore, Hillsbrad.\n\n- Turn-in "..ClrTurn("Hints of a New Plague?").." to\n"..ClrGrn("Phin Odelic").." "..ClrGrn2("(Human outside the Inn)")..".\n\n- Fly to Ironforge.")
		elseif allyRoute_Conf.currPage == 22 then
			IT("- Go to the Hall of Explorers.\n\n- Turn-in "..ClrTurn("Stormpike's Deciphering").." to\n"..ClrGrn("Prospector Stormpike").." "..ClrGrn2("(Dwarf)")..".\n- Accept "..ClrAcc("Ironband Wants You!")..".\n"..ClrRed("DON'T accept any other quest."))
		elseif allyRoute_Conf.currPage == 23 then
			IT("- Fly to Thelsamar, Loch Modan.\n- Make Thelsamar's Inn your home.\n\n- Accept "..ClrAcc("Badlands Reagent Run").." from\n"..ClrGrn("Ghak Healtouch").." "..ClrGrn2("(Dwarf in a House near the Inn)")..".")
		elseif allyRoute_Conf.currPage == 24 then
			IT("- Go to Ironband's Excavation Site.\n\n- Turn-in "..ClrTurn("Ironband Wants You!").." to\n"..ClrGrn("Prospector Ironband").." "..ClrGrn2("(Dwarf)")..".\n- Accept "..ClrAcc("Find Agmond")..".")
		elseif allyRoute_Conf.currPage == 25 then
			IT("- Go South to reach Badlands.\n"..ClrGry("(Lvl 39 / 30% Exp)"))
		end --End 19
	
	--39-40 Badlands
	elseif allyRoute_Conf.currChapter == 20 then
		if allyRoute_Conf.currPage == 1 then
			IT("- Go to "..ClrYlw("[53,43]").." to find a Dwarves Camp.\n- Accept "..ClrAcc("A Dwarf and His Tools").." from\n"..ClrGrn("Prospector Ryedol").." "..ClrGrn2("(Dwarf)")..".\n\n- Accept "..ClrAcc("Mirages").." from\n"..ClrGrn("Sigrun Ironhew").." "..ClrGrn2("(Dwarf)")..".")
		elseif allyRoute_Conf.currPage == 2 then
			IT("- Go to Hammertoe's Digsite near the Camp.\n\n- There's a Tent near a big barrel.\n- Click on *Crumpled Map* under that Tent.\n- Accept "..ClrAcc("A Sign of Hope")..".")
		elseif allyRoute_Conf.currPage == 3 then
			IT("- Do "..ClrDo("A Dwarf and His Tools").."\nand "..ClrDo("Mirages")..".\n\n- Go back to the Dwarves Camp.")
		elseif allyRoute_Conf.currPage == 4 then
			IT("- Turn-in "..ClrTurn("A Dwarf and His Tools").."\nand "..ClrTurn("A Sign of Hope").." to "..ClrGrn("Prospector Ryedol").."\n"..ClrGrn2("(Dwarf)")..". "..ClrRed("DON'T accept any quest.").."\n\n- Turn-in "..ClrTurn("Mirages").." to "..ClrGrn("Sigrun Ironhew").." "..ClrGrn2("(Dwarf)")..".\n- Accept "..ClrAcc("Scrounging")..".")
		elseif allyRoute_Conf.currPage == 5 then
			IT("- Go to "..ClrYlw("[26,44]").." to find a Gnomes Camp.\n\n- Accept "..ClrAcc("Study of the Elements: Rock").." from\n"..ClrGrn("Lotwil Veriatus").." "..ClrGrn2("(Gnome)")..".\n"..ClrRed("DON'T accept any other quest."))
		elseif allyRoute_Conf.currPage == 6 then
			IT("- Do "..ClrDo("Study of the Elements: Rock")..". "..ClrGry("(Small)").."\n\n- Turn-in "..ClrTurn("Study of the Elements: Rock").." to\n"..ClrGrn("Lotwil Veriatus").." "..ClrGrn2("(same Gnome)")..".\n- Accept "..ClrAcc("Study of the Elements: Rock")..".\n"..ClrRed("DON'T accept any other quest."))
		elseif allyRoute_Conf.currPage == 7 then
			IT("- Kill mobs until you reach Level 39 / 60% Exp.")
		elseif allyRoute_Conf.currPage == 8 then
			IT("- Go to "..ClrYlw("[42,52]").." to find a Goblins Camp.\n- Accept "..ClrAcc("Barbecued Buzzard Wings").." from\nthe Goblin. "..ClrRed("DON'T accept any other quest.").."\n\n- Turn-in "..ClrTurn("Martek the Exiled").." to the Orc.\n- Accept "..ClrAcc("Indurium")..".")
		elseif allyRoute_Conf.currPage == 9 then
			IT("- Go to "..ClrYlw("[51,62]").." to find a Corpse.\n\n- Click on *Battered Dwarven Skeleton*.\n- Complete "..ClrTurn("Find Agmond")..".\n- Accept "..ClrAcc("Murdaloc")..".")
		elseif allyRoute_Conf.currPage == 10 then
			IT("- Do "..ClrDo("Murdaloc").."\nand "..ClrDo("Indurium").."\nand "..ClrDo("Badlands Reagent Run").."\nand "..ClrDo("Barbecued Buzzard Wings").."\nand "..ClrDo("Study of the Elements: Rock")..". "..ClrGry("(Large)"))
		elseif allyRoute_Conf.currPage == 11 then
			IT("- Go back to the Goblins Camp.\n- Turn-in "..ClrTurn("Barbecued Buzzard Wings").." to\nthe Goblin. "..ClrRed("DON'T accept any quest.").."\n\n- Turn-in "..ClrTurn("Indurium").." to the Orc.\n- Accept "..ClrAcc("News for Fizzle")..".")
		elseif allyRoute_Conf.currPage == 12 then
			IT("- Go back to the Gnomes Camp.\n\n- Turn-in "..ClrTurn("Study of the Elements: Rock").." to\n"..ClrGrn("Lotwil Veriatus").." "..ClrGrn2("(Gnome)")..".\n- Accept "..ClrAcc("Study of the Elements: Rock")..".\n"..ClrRed("DON'T accept any other quest."))
		elseif allyRoute_Conf.currPage == 13 then
			IT("- Kill mobs until you reach level 40.")
		elseif allyRoute_Conf.currPage == 14 then
			IT("- Go to "..ClrYlw("[62,54]").." to find a Blood Elf.\n- Accept "..ClrAcc("Tremors of the Earth").." from\n"..ClrGrn("Garek").." "..ClrGrn2("(Blood Elf)")..".")
		elseif allyRoute_Conf.currPage == 15 then
			IT("- Do "..ClrDo("Tremors of the Earth").."\nand "..ClrDo("Scrounging").."\nand "..ClrDo("Study of the Elements: Rock")..". "..ClrGry("(Bracers)"))
		elseif allyRoute_Conf.currPage == 16 then
			IT("- Go back to the Gnomes Camp.\n\n- Turn-in "..ClrTurn("Study of the Elements: Rock").."\nto "..ClrGrn("Lotwil Veriatus").." "..ClrGrn2("(Gnome)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 17 then
			IT("- Go back to the Dwarves Camp.\n\n- Turn-in "..ClrTurn("Scrounging").." to\n"..ClrGrn("Sigrun Ironhew").." "..ClrGrn2("(Dwarf)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 18 then
			IT("- Go back to the Blood Elf "..ClrYlw("[62,54]")..".\n\n- Turn-in "..ClrTurn("Tremors of the Earth").."\nto "..ClrGrn("Garek").." "..ClrGrn2("(Blood Elf)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 19 then
			IT("- Hearthstone back to Thelsamar, Loch Modan.\n\n- Turn-in "..ClrTurn("Badlands Reagent Run").." to\n"..ClrGrn("Ghak Healtouch").." "..ClrGrn2("(Dwarf in a House near the Inn)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 20 then
			IT("- Go back to Ironband's Excavation Site.\n\n- Turn-in "..ClrTurn("Murdaloc").." to\n"..ClrGrn("Prospector Ironband").." "..ClrGrn2("(Dwarf)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 21 then
			IT("- Paladins and Warlocks get your free Mounts.\n- Other classes get your Mounts when you can.\n"..ClrRed("(Costs 90 gold total)").."\n\n- Fly to Booty Bay, Stranglethorn.\n"..ClrGry("(Lvl 40 / 40% Exp)"))
		end --End 20
	
	--40-42 Stranglethorn
	elseif allyRoute_Conf.currChapter == 21 then
		if allyRoute_Conf.currPage == 1 then
			IT("- Make Booty Bay's Inn your home.\n\n- Turn-in "..ClrTurn("Ansirem's Key").." to\n"..ClrGrn("Catelyn the Blade").." "..ClrGrn2("(Female Human upstairs)")..".\n- Accept "..ClrAcc("\"Pretty Boy\" Duncan")..".")
		elseif allyRoute_Conf.currPage == 2 then
			IT("- Turn-in "..ClrTurn("Sunken Treasure").." to\n"..ClrGrn("Fleet Master Seahorn").." "..ClrGrn2("(Tauren on the Balcony)")..".\n- Accept "..ClrAcc("Sunken Treasure")..".")
		elseif allyRoute_Conf.currPage == 3 then
			IT("- Accept "..ClrAcc("Scaring Shaky").." from\n"..ClrGrn("\"Sea Wolf\" MacKinley").." "..ClrGrn2("(Human in a House\nnear the Inn)")..". "..ClrRed("DON'T accept any other quest.").."\n\n- Accept "..ClrAcc("The Bloodsail Buccaneers").." from\n"..ClrGrn("First Mate Crazz").." "..ClrGrn2("(Goblin on the dock)")..".")
		elseif allyRoute_Conf.currPage == 4 then
			IT("- Do "..ClrDo("\"Pretty Boy\" Duncan")..".\n\n- Click on *Bloodsail Correspondence* on top\nof a Barrel in that same Camp.\n- Complete "..ClrTurn("The Bloodsail Buccaneers")..".\n- Accept "..ClrAcc("The Bloodsail Buccaneers")..".")
		elseif allyRoute_Conf.currPage == 5 then
			IT("- Go back to Booty Bay.\n\n- Turn-in "..ClrTurn("The Bloodsail Buccaneers").." to\n"..ClrGrn("First Mate Crazz").." "..ClrGrn2("(Goblin on the dock)")..".\n- Accept "..ClrAcc("The Bloodsail Buccaneers")..".")
		elseif allyRoute_Conf.currPage == 6 then
			IT("- Accept "..ClrAcc("Akiris by the Bundle").." from\n"..ClrGrn("Privateer Bloads").." "..ClrGrn2("(Human near the Bank)")..".\n\n- Turn-in "..ClrTurn("\"Pretty Boy\" Duncan").." to\n"..ClrGrn("Catelyn the Blade").." "..ClrGrn2("(Female Human in the Inn)")..".\n- Accept "..ClrAcc("The Curse of the Tides")..".")
		elseif allyRoute_Conf.currPage == 7 then
			IT("- Turn-in "..ClrTurn("The Bloodsail Buccaneers").." to\n"..ClrGrn("Fleet Master Seahorn").." "..ClrGrn2("(Tauren on the Balcony)")..".\n- Accept "..ClrAcc("The Bloodsail Buccaneers")..".\n\n- Accept "..ClrAcc("Excelsior").." from "..ClrGrn("Drizzlik").."\n"..ClrGrn2("(Goblin in the Leatherworking Store)")..".")
		elseif allyRoute_Conf.currPage == 8 then
			IT("- Do "..ClrDo("Scaring Shaky").."\nand "..ClrDo("Raptor Mastery").." "..ClrGry("(Jungle Stalker)").."\nand "..ClrDo("Panther Mastery").." "..ClrRed("(Lvl 40 Elite Panther)").."\nand "..ClrDo("Colonel Kurzen").." "..ClrRed("(Lvl 39 Elite Human)")..".")
		elseif allyRoute_Conf.currPage == 9 then
			IT("- Kill mobs until you reach Level 40 / 90% Exp.")
		elseif allyRoute_Conf.currPage == 10 then
			IT("- Go back to Rebel Camp.\n\n- Turn-in "..ClrTurn("Colonel Kurzen").." to\n"..ClrGrn("Lieutenant Doren").." "..ClrGrn2("(Human)")..".")
		elseif allyRoute_Conf.currPage == 11 then
			IT("- Go back to Nesingwary's Expedition.\n\n- Turn-in "..ClrTurn("Panther Mastery").." to the Human.\n\n- Turn-in "..ClrTurn("Raptor Mastery").." to the Dwarf.\n- Accept "..ClrAcc("Raptor Mastery")..".")
		elseif allyRoute_Conf.currPage == 12 then
			IT("- Do "..ClrDo("Excelsior")..". "..ClrRed("(Lvl 38 Elite Crocolisk)").."\n\n- Do "..ClrDo("The Curse of the Tides")..".\n"..ClrGry("(Dive underwater at [25,23].\nClick on").." *Altar of the Tides*"..ClrGry(".\nKill").." "..ClrRed("Gazban (Goblin)").." "..ClrGry("that spawned)"))
		elseif allyRoute_Conf.currPage == 13 then
			IT("- Hearthstone back to Booty Bay.\n\n- Accept "..ClrAcc("Venture Company Mining").."\nand "..ClrAcc("Zanzil's Secret").."\nfrom "..ClrGrn("Crank Fizzlebub").." "..ClrGrn2("(Goblin in the Inn)")..".")
		elseif allyRoute_Conf.currPage == 14 then
			IT("- Accept "..ClrAcc("Skullsplitter Tusks").." from\n"..ClrGrn("Kebok").." "..ClrGrn2("(Goblin upstairs)")..".\n\n- Accept "..ClrAcc("Up to Snuff").." from "..ClrGrn("Deeg").." "..ClrGrn2("(Dwarf)")..".")
		elseif allyRoute_Conf.currPage == 15 then
			IT("- Turn-in "..ClrTurn("The Curse of the Tides").." to\n"..ClrGrn("Baron Revilgaz").." "..ClrGrn2("(Goblin on the Balcony)")..".\n"..ClrRed("DON'T accept any quest.").."\n\n- Turn-in "..ClrTurn("Excelsior").." to "..ClrGrn("Drizzlik").."\n"..ClrGrn2("(Goblin in the Leatherworking Store)")..".")
		elseif allyRoute_Conf.currPage == 16 then
			IT("- Accept "..ClrAcc("Keep An Eye Out").." from\n"..ClrGrn("Dizzy One-Eye").." "..ClrGrn2("(Human near the Blacksmith)")..".\n\n- Turn-in "..ClrTurn("Scaring Shaky").." to\n"..ClrGrn("\"Shaky\" Phillipe").." "..ClrGrn2("(Human on the dock)")..".\n- Accept "..ClrAcc("Return to MacKinley")..".")
		elseif allyRoute_Conf.currPage == 17 then
			IT("- Turn-in "..ClrTurn("Return to MacKinley").." to\n"..ClrGrn("\"Sea Wolf\" MacKinley").." "..ClrGrn2("(Human in a House\nnear the Inn)")..".\n- Accept "..ClrAcc("Voodoo Dues")..".\n"..ClrRed("DON'T accept any other quest."))
		elseif allyRoute_Conf.currPage == 18 then
			IT("- Do "..ClrDo("Keep An Eye Out").."\nand "..ClrDo("Up to Snuff").."\nand "..ClrDo("The Bloodsail Buccaneers")..".")
		elseif allyRoute_Conf.currPage == 19 then
			IT("- Do "..ClrDo("Venture Company Mining").."\nand "..ClrDo("Skullsplitter Tusks").."\nand "..ClrDo("Zanzil's Secret").."\nand "..ClrDo("Voodoo Dues")..".")
		elseif allyRoute_Conf.currPage == 20 then
			IT("- Hearthstone back to Booty Bay.\n\n- Turn-in "..ClrTurn("Venture Company Mining").."\nand "..ClrTurn("Zanzil's Secret").."\nto "..ClrGrn("Crank Fizzlebub").." "..ClrGrn2("(Goblin in the Inn)")..".")
		elseif allyRoute_Conf.currPage == 21 then
			IT("- Turn-in "..ClrTurn("Skullsplitter Tusks").." to "..ClrGrn("Kebok").." "..ClrGrn2("(Goblin)")..".\n- Turn-in "..ClrTurn("Up to Snuff").." to "..ClrGrn("Deeg").." "..ClrGrn2("(Dwarf)")..".\n\n- Turn-in "..ClrTurn("The Bloodsail Buccaneers").." to\n"..ClrGrn("Fleet Master Seahorn").." "..ClrGrn2("(Tauren on the Balcony)")..".\n- Accept "..ClrAcc("The Bloodsail Buccaneers")..".")
		elseif allyRoute_Conf.currPage == 22 then
			IT("- Turn-in "..ClrTurn("Voodoo Dues").." to\n"..ClrGrn("\"Sea Wolf\" MacKinley").." "..ClrGrn2("(Human in a House\nnear the Inn)")..". "..ClrRed("DON'T accept any quest.").."\n\n- Turn-in "..ClrTurn("Keep An Eye Out").." to "..ClrGrn("Dizzy One-Eye").." "..ClrGrn2("(Human near the Blacksmith)")..".")
		elseif allyRoute_Conf.currPage == 23 then
			IT("- Do "..ClrDo("Akiris by the Bundle")..".")
		elseif allyRoute_Conf.currPage == 24 then
			IT("- Kill mobs until you reach Level 42 / 25% Exp.")
		elseif allyRoute_Conf.currPage == 25 then
			IT("- Go back to Booty Bay.\n\n- Turn-in "..ClrTurn("Akiris by the Bundle").." to\n"..ClrGrn("Privateer Bloads").." "..ClrGrn2("(Human near the Bank)")..".\n- Accept "..ClrAcc("Akiris by the Bundle")..".")
		elseif allyRoute_Conf.currPage == 26 then
			IT("- Accept "..ClrAcc("Goblin Sponsorship").." from\n"..ClrGrn("Baron Revilgaz").." "..ClrGrn2("(Goblin on the Balcony)")..".\n"..ClrGry("(Low Level Quest)"))
		elseif allyRoute_Conf.currPage == 27 then
			IT("- Fly to Stormwind.\n\n- Go to Dwarven District.\n- Accept "..ClrAcc("In Search of The Temple").." from\n"..ClrGrn("Brohann Caskbelly").." "..ClrGrn2("(Dwarf inside the Bar)")..".")
		elseif allyRoute_Conf.currPage == 28 then
			IT("- Go to the Mage Quarter.\n- Accept "..ClrAcc("Vital Supplies").." from\n"..ClrGrn("High Sorcerer Andromath").." "..ClrGrn2("(Human in Tower)")..".\n\n- Fly to Refuge Pointe, Arathi.\n"..ClrGry("(Lvl 42 / 30% Exp)"))
		end --End 21
	
	--42-43 Arathi, Stranglethorn
	elseif allyRoute_Conf.currChapter == 22 then
		if allyRoute_Conf.currPage == 1 then
			IT("- Accept "..ClrAcc("Stromgarde Badges").." from\n"..ClrGrn("Captain Nials").." "..ClrGrn2("(Female Human)")..". "..ClrGry("(Low Lvl Quest)").."\n\n- Accept "..ClrAcc("Wanted! Marez Cowl").."\nand "..ClrAcc("Wanted! Otto and Falconcrest").."\nfrom the Wanted Poster.")
		elseif allyRoute_Conf.currPage == 2 then
			IT("- Do "..ClrDo("Stromgarde Badges").."\nand "..ClrDo("Wanted! Marez Cowl").."\nand "..ClrDo("Wanted! Otto and Falconcrest")..".\n\n"..ClrGry("(Find a group for").." "..ClrRed("Wanted! Otto and Falconcrest.").."\n"..ClrGry("Otherwise abandon it)"))
		elseif allyRoute_Conf.currPage == 3 then
			IT("- Go back to Refuge Pointe.\n\n- Turn-in "..ClrTurn("Stromgarde Badges").."\nand "..ClrTurn("Wanted! Marez Cowl").."\nand "..ClrTurn("Wanted! Otto and Falconcrest").."\nto "..ClrGrn("Captain Nials").." "..ClrGrn2("(same Female Human)")..".")
		elseif allyRoute_Conf.currPage == 4 then
			IT("- Go back to the Cave near Stromgarde Keep.\n- Go through the Cave to reach Faldir's Cove.\n- Swim left to the Ship.")
		elseif allyRoute_Conf.currPage == 5 then
			IT("- Turn-in "..ClrTurn("Sunken Treasure").." to\n"..ClrGrn("Shakes O'Breen").." "..ClrGrn2("(Human near the Ship)")..".\n- Accept "..ClrAcc("Death From Below")..".\n"..ClrRed("(Naga waves will spawn. Be ready)").."\n\n- Turn-in "..ClrTurn("Death From Below")..".")
		elseif allyRoute_Conf.currPage == 6 then
			IT("- Hearthstone back to Booty Bay.\n- Leave Booty Bay.\n\n- Kill mobs until you reach level 42 / 90% Exp.")
		elseif allyRoute_Conf.currPage == 7 then
			IT("- In the next quest you will go on 3 pirate Ships.\n- Look for *Cortello's Riddle* on the bottom\nfloor of one of those ships. "..ClrGry("(Random spawn)").."\n\n- The quest chain rewards a "..ClrYlw("14 Slots Bag")..".\n- So you better not leave without it.")
		elseif allyRoute_Conf.currPage == 8 then
			IT("- Go to the Island at "..ClrYlw("[30,90]")..".\n- Go on the Ship on the left.\n- Kill "..ClrRed("Fleet Master Firallon (Lvl 48 Human)")..".\n\n- Go to the other Ship.\n- Kill "..ClrRed("Captain Keelhaul (Lvl 47 Goblin)")..".")
		elseif allyRoute_Conf.currPage == 9 then
			IT("- Swim East to find the third Ship.\n- Kill "..ClrRed("Captain Stillwater (Lvl 45 Gnome)")..".\n\n When you find the Scroll in one of the Ships:\n- Click on "..ClrYlw("[Cortello's Riddle]").." in your bag.\n- Accept "..ClrAcc("Cortello's Riddle")..".")
		elseif allyRoute_Conf.currPage == 10 then
			IT("- Kill mobs until you reach level 43 / 25% Exp.")
		elseif allyRoute_Conf.currPage == 11 then
			IT("- Hearthstone back to Booty Bay.\n\n- Turn-in "..ClrTurn("The Bloodsail Buccaneers").." to\n"..ClrGrn("Fleet Master Seahorn").." "..ClrGrn2("(Tauren on the Balcony)")..".")
		elseif allyRoute_Conf.currPage == 12 then
			IT("- Do "..ClrDo("Raptor Mastery")..". "..ClrRed("(Lvl 43 Elite Raptor)").."\n\n- Go back to Nesingwary's Expedition.\n- Turn-in "..ClrTurn("Raptor Mastery").." to the Dwarf.\n- Accept "..ClrAcc("Big Game Hunter")..".")
		elseif allyRoute_Conf.currPage == 13 then
			IT("- Do "..ClrDo("Big Game Hunter")..". "..ClrRed("(Lvl 43 Elite Tiger)").."\n\n- Go back to Nesingwary's Expedition.\n- Turn-in "..ClrTurn("Big Game Hunter").." to the Dwarf.")
		elseif allyRoute_Conf.currPage == 14 then
			IT("- Go North to reach Duskwood.\n- Go to Darkshire.\n\n- Turn-in "..ClrTurn("Vital Supplies").." to\n"..ClrGrn("Watchmaster Sorigal").." "..ClrGrn2("(Human)")..".\n- Accept "..ClrAcc("Supplies for Nethergarde")..".")
		elseif allyRoute_Conf.currPage == 15 then
			IT("- Go East to reach Deadwind Pass.\n- Keep going East to reach Swamp of Sorrows.")
		elseif allyRoute_Conf.currPage == 16 then
			IT("- Follow the road until you reach a Bridge.\n- Click on *A Soggy Scroll* in water under\nthe Bridge. "..ClrGry("(Move your mouse around to find it)").."\n\n- Complete "..ClrTurn("Cortello's Riddle")..".\n- Accept "..ClrAcc("Cortello's Riddle")..".")
		elseif allyRoute_Conf.currPage == 17 then
			IT("- Go east and swim in the big Lake to complete\n"..ClrTurn("In Search of The Temple").." objective.")
		elseif allyRoute_Conf.currPage == 18 then
			IT("- Go South to reach Blasted Lands.\n- Follow the road South then East to reach\nNethergarde Keep.\n- Turn-in "..ClrTurn("Supplies for Nethergarde").." to\n"..ClrGrn("Quartermaster Lungertz").." "..ClrGrn2("(Human in the Stable)")..".")
		elseif allyRoute_Conf.currPage == 19 then
			IT("- Pick up the Flight Point from\n"..ClrGrn("Alexandra Constantine")..".\n\n- Fly to Stormwind.")
		elseif allyRoute_Conf.currPage == 20 then
			IT("- Go to the Dwarven District.\n\n- Turn-in "..ClrTurn("In Search of The Temple").." to\n"..ClrGrn("Brohann Caskbelly").." "..ClrGrn2("(Dwarf inside the Bar)")..".\n- Accept "..ClrAcc("To The Hinterlands")..".")
		elseif allyRoute_Conf.currPage == 21 then
			IT("- Fly to Booty Bay.\n- Accept "..ClrAcc("Whiskey Slim's Lost Grog").." from\n"..ClrGrn("Whiskey Slim").." "..ClrGrn2("(Gnome inside the Inn)")..".\n\n- Accept "..ClrAcc("Tran'rek").." from "..ClrGrn("Krazek").." "..ClrGrn2("(Goblin)")..".\n"..ClrRed("DON'T accept any other quest."))
		elseif allyRoute_Conf.currPage == 22 then
			IT("- Accept "..ClrAcc("Stoley's Debt").." from\n"..ClrGrn("\"Sea Wolf\" MacKinley").." "..ClrGrn2("(Human in a House\nnear the Inn)")..". "..ClrRed("DON'T accept any other quest."))
		elseif allyRoute_Conf.currPage == 23 then
			IT("- Take the Boat to reach Ratchet.\n\n- Accept "..ClrAcc("Parts for Kravel").." from\n"..ClrGrn("Wharfmaster Dizzywig").." "..ClrGrn2("(Goblin on the dock)")..".\n"..ClrRed("DON'T accept any other quest.").."\n"..ClrGry("(Low Level Quest)").." ")
		elseif allyRoute_Conf.currPage == 24 then
			IT("- Fly to Theramore, Dustwallow Marsh.\n\n- Turn-in "..ClrTurn("Akiris by the Bundle").." to\n"..ClrGrn("Privateer Groy").." "..ClrGrn2("(Human on the dock)")..".\n\n- Fly to Gadgetzan. "..ClrGry("(Lvl 43 / 75% Exp)"))
		end --End 22
	
	--43-45 Tanaris
	elseif allyRoute_Conf.currChapter == 23 then
		if allyRoute_Conf.currPage == 1 then
			IT("- Make Gadgetzan's Inn your home.\n- Accept "..ClrAcc("Wastewander Justice").." from\n"..ClrGrn("Chief Engineer Bilgewhizzle").." "..ClrGrn2("(Goblin near Inn)")..".\n"..ClrRed("DON'T accept any other quest.").."\n- Accept "..ClrAcc("Water Pouch Bounty").." from\n"..ClrGrn("Spigot Operator Luglunket").." "..ClrGrn2("(Goblin)")..".")
		elseif allyRoute_Conf.currPage == 2 then
			IT("- Accept "..ClrAcc("Wanted: Caliph Scorpidsting").."\nand "..ClrAcc("Wanted: Andre Firebeard").."\nfrom the Wanted Poster near the big Cage.\n\n- Turn-in "..ClrTurn("Tran'rek").." to "..ClrGrn("Tran'rek").." "..ClrGrn2("(Goblin)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 3 then
			IT("- Go North to reach Thousand Needles.\n\n- Turn-in "..ClrTurn("Parts for Kravel").." to\n"..ClrGrn("Kravel Koalbeard").." "..ClrGrn2("(Dwarf)")..".\n- Accept "..ClrAcc("Delivery to the Gnomes")..".\n"..ClrGry("(Low level Quest)"))
		elseif allyRoute_Conf.currPage == 4 then
			IT("- Turn-in "..ClrTurn("Delivery to the Gnomes").."\nand "..ClrTurn("News for Fizzle").."\nto "..ClrGrn("Fizzle Brassbolts").." "..ClrGrn2("(Gnome)")..".")
		elseif allyRoute_Conf.currPage == 5 then
			IT("- Turn-in "..ClrTurn("Goblin Sponsorship").." to\n"..ClrGrn("Pozzik").." "..ClrGrn2("(Goblin nearby)")..".\n- Accept "..ClrAcc("The Eighteenth Pilot").."\nand "..ClrAcc("Keeping Pace")..".")
		elseif allyRoute_Conf.currPage == 6 then
			IT("- Turn-in "..ClrTurn("The Eighteenth Pilot").." to\n"..ClrGrn("Razzeric").." "..ClrGrn2("(Goblin)")..".\n- Accept "..ClrAcc("Razzeric's Tweaking")..".\n\n- Turn-in "..ClrAcc("Zamek's Distraction").." (Blue Quest) to\n"..ClrGrn("Zamek").." "..ClrGrn2("(Goblin)")..". "..ClrGry("(Read next page)"))
		elseif allyRoute_Conf.currPage == 7 then
			IT("- Zamek will run and create a distraction.\n- A Gnome will run out of his House.\n- Click on *Rizzle's Unguarded Plans* on the ground inside that House.\n- Complete "..ClrTurn("Keeping Pace")..".\n- Accept "..ClrAcc("Rizzle's Schematics")..".")
		elseif allyRoute_Conf.currPage == 8 then
			IT("- Turn-in "..ClrTurn("Rizzle's Schematics").." to\n"..ClrGrn("Pozzik").." "..ClrGrn2("(Goblin)")..".\n- Destroy "..ClrYlw("[Sample of Indurium Ore]").." from\nyour bag.\n\n- Go back North to reach Tanaris.")
		elseif allyRoute_Conf.currPage == 9 then
			IT("- Go East to reach Steamwheedle Port.\n- Accept "..ClrAcc("Pirate Hats Ahoy!").." from\n"..ClrGrn("Haughty Modiste").." "..ClrGrn2("(Female Goblin)")..".\n\n- Accept "..ClrAcc("Screecher Spirits").." from\n"..ClrGrn("Yeh'kinya").." "..ClrGrn2("(Troll)")..".")
		elseif allyRoute_Conf.currPage == 10 then
			IT("- Accept "..ClrAcc("Southsea Shakedown").." from\n"..ClrGrn("Security Chief Bilgewhizzle").." "..ClrGrn2("(Goblin in a House)")..".\n\n- Turn-in "..ClrTurn("Stoley's Debt").." to "..ClrGrn("Stoley").." "..ClrGrn2("(Human)")..".\n- Accept "..ClrAcc("Stoley's Shipment")..".")
		elseif allyRoute_Conf.currPage == 11 then
			IT("- Do "..ClrDo("Wastewander Justice").."\nand "..ClrDo("Water Pouch Bounty")..".\n\n- Go back to Gadgetzan.")
		elseif allyRoute_Conf.currPage == 12 then
			IT("- Turn-in "..ClrTurn("Wastewander Justice").." to\n"..ClrGrn("Chief Engineer Bilgewhizzle").." "..ClrGrn2("(Goblin near Inn)")..".\n- Accept "..ClrAcc("More Wastewander Justice")..".\n"..ClrRed("DON'T accept any other quest.").."\n- Turn-in "..ClrTurn("Water Pouch Bounty").." to\n"..ClrGrn("Spigot Operator Luglunket").." "..ClrGrn2("(Goblin)")..".")
		elseif allyRoute_Conf.currPage == 13 then
			IT("- Do "..ClrDo("More Wastewander Justice").."\nand "..ClrDo("Wanted: Caliph Scorpidsting")..".")
		elseif allyRoute_Conf.currPage == 14 then
			IT("- Do "..ClrDo("Pirate Hats Ahoy!").."\nand "..ClrDo("Southsea Shakedown").."\nand "..ClrDo("Stoley's Shipment").."\nand "..ClrDo("Wanted: Andre Firebeard")..".")
		elseif allyRoute_Conf.currPage == 15 then
			IT("- Kill mobs until you reach Level 44 / 35% Exp.")
		elseif allyRoute_Conf.currPage == 16 then
			IT("- Hearthstone back to Gadgetzan.\n\n- Turn-in "..ClrTurn("More Wastewander Justice").."\nand "..ClrTurn("Wanted: Caliph Scorpidsting").." to\n"..ClrGrn("Chief Engineer Bilgewhizzle").." "..ClrGrn2("(Goblin near Inn)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 17 then
			IT("- Accept "..ClrAcc("Gadgetzan Water Survey").."\nfrom "..ClrGrn("Senior Surveyor Fizzledowser").."\n"..ClrGrn2("(Goblin on a Hill at the edge of Gadgetzan)")..".")
		elseif allyRoute_Conf.currPage == 18 then
			IT("- Go back to Steamwheedle Port.\n\n- Turn-in "..ClrTurn("Pirate Hats Ahoy!").." to\n"..ClrGrn("Haughty Modiste").." "..ClrGrn2("(Female Goblin)")..".")
		elseif allyRoute_Conf.currPage == 19 then
			IT("- Turn-in "..ClrTurn("Wanted: Andre Firebeard").."\nand "..ClrTurn("Southsea Shakedown").." to\n"..ClrGrn("Security Chief Bilgewhizzle").." "..ClrGrn2("(Goblin in a House)")..".\n\n- Turn-in "..ClrTurn("Stoley's Shipment").." to "..ClrGrn("Stoley").."\n"..ClrGrn2("(Human)")..". "..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 20 then
			IT("- Do "..ClrDo("Gadgetzan Water Survey")..".")
		elseif allyRoute_Conf.currPage == 21 then
			IT("- Kill mobs until you reach Level 44 / 90% Exp.")
		elseif allyRoute_Conf.currPage == 22 then
			IT("- Hearthstone back to Gadgetzan.\n\n- Turn-in "..ClrTurn("Gadgetzan Water Survey").." to\n"..ClrGrn("Senior Surveyor Fizzledowser").." "..ClrGrn2("(Goblin on a Hill)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 23 then
			IT("- Fly to Theramore, Dustwallow Marsh.\n- Leave Theramore Isle.\n\n- Do "..ClrDo("Razzeric's Tweaking")..".")
		elseif allyRoute_Conf.currPage == 24 then
			IT("- Go to Bloodfen Burrow "..ClrYlw("[31,61]")..".\n\n- Click on *Musty Scroll* inside the Raptor Cave.\n- Complete "..ClrTurn("Cortello's Riddle")..".\n- Accept "..ClrAcc("Cortello's Riddle")..".")
		elseif allyRoute_Conf.currPage == 25 then
			IT("- Go back to Theramore Isle.\n- Fly to Nijel's Point, Desolace.\n\n- Follow the road South to reach Feralas.\n"..ClrGry("(Lvl 45 / 05% Exp)"))
		end --End 23
	
	--45-46 Feralas, Hinterlands
	elseif allyRoute_Conf.currChapter == 24 then
		if allyRoute_Conf.currPage == 1 then
			IT("- Go South to the middle of the map.\n- Swim West to reach Feathermoon Stronghold.\n\n- Make Feathermoon's Inn your Home.")
		elseif allyRoute_Conf.currPage == 2 then
			IT("- Pick up Flight Point from "..ClrGrn("Fyldren Moonfeather")..".\n\n- Accept "..ClrAcc("The Mark of Quality").." from\n"..ClrGrn("Pratt McGrubben").." "..ClrGrn2("(Human near the Inn)")..".")
		elseif allyRoute_Conf.currPage == 3 then
			IT("- Accept "..ClrAcc("The Ruins of Solarsal").." from\n"..ClrGrn("Shandris Feathermoon").." "..ClrGrn2("(Female Night Elf inside\na big building)")..".\n\n- Accept "..ClrAcc("The Missing Courier").." from\n"..ClrGrn("Latronicus Moonspear").." "..ClrGrn2("(Night Elf)")..".")
		elseif allyRoute_Conf.currPage == 4 then
			IT("- Accept "..ClrAcc("In Search of Knowledge").." from\n"..ClrGrn("Troyas Moonbreeze").." "..ClrGrn2("(Night Elf in a House)")..".\n\n- Accept "..ClrAcc("The High Wilderness").." from\n"..ClrGrn("Angelas Moonbreeze").." "..ClrGrn2("(Female Night Elf)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 5 then
			IT("- Turn-in "..ClrTurn("The Missing Courier").." to\n"..ClrGrn("Ginro Hearthkindle").." "..ClrGrn2("(Night Elf upstairs)")..".\n- Accept "..ClrAcc("The Missing Courier")..".")
		elseif allyRoute_Conf.currPage == 6 then
			IT("- Go to "..ClrYlw("[26,52]").." to find a Naga area.\n\n- Click on *Solarsal Gazebo*.\n- Complete "..ClrTurn("The Ruins of Solarsal")..".\n- Accept "..ClrAcc("Return to Feathermoon Stronghold")..".")
		elseif allyRoute_Conf.currPage == 7 then
			IT("- Turn-in "..ClrTurn("Return to Feathermoon Stronghold").." to "..ClrGrn("Shandris Feathermoon").." "..ClrGrn2("(Female Night Elf inside the big building)")..".\n- Accept "..ClrAcc("Against the Hatecrest")..".")
		elseif allyRoute_Conf.currPage == 8 then
			IT("- Turn-in "..ClrTurn("Against the Hatecrest").." to\n"..ClrGrn("Latronicus Moonspear").." "..ClrGrn2("(Night Elf)")..".\n- Accept "..ClrAcc("Against the Hatecrest")..".\n\n- Do "..ClrDo("Against the Hatecrest")..".")
		elseif allyRoute_Conf.currPage == 9 then
			IT("- Turn-in "..ClrTurn("Against the Hatecrest").." to\n"..ClrGrn("Latronicus Moonspear").." "..ClrGrn2("(same Night Elf)")..".\n- Accept "..ClrAcc("Against Lord Shalzaru")..".\n\n- Swim South to reach Isle of Dread.\n- Do "..ClrDo("Against Lord Shalzaru")..".")
		elseif allyRoute_Conf.currPage == 10 then
			IT("- Turn-in "..ClrTurn("Against Lord Shalzaru").." to\n"..ClrGrn("Latronicus Moonspear").." "..ClrGrn2("(same Night Elf)")..".\n- Accept "..ClrAcc("Delivering the Relic")..".\n\n- Turn-in "..ClrTurn("Delivering the Relic").." to\n"..ClrGrn("Vestia Moonspear").." "..ClrGrn2("(Female Night Elf)")..".")
		elseif allyRoute_Conf.currPage == 11 then
			IT("- Swim East to reach the main land.\n\n- Do "..ClrDo("Screecher Spirits")..".")
		elseif allyRoute_Conf.currPage == 12 then
			IT("- Go to "..ClrYlw("[45,65]").." on the beach.\n\n- Click on *Wrecked Row Boat* in water.\n- Complete "..ClrTurn("The Missing Courier")..".\n- Accept "..ClrAcc("Boat Wreckage")..".")
		elseif allyRoute_Conf.currPage == 13 then
			IT("- Hearthstone to Feathermoon Stronghold.\n\n- Turn-in "..ClrTurn("Boat Wreckage").." to\n"..ClrGrn("Ginro Hearthkindle").." "..ClrGrn2("(Night Elf in a House)")..".\n- Accept "..ClrAcc("The Knife Revealed")..".")
		elseif allyRoute_Conf.currPage == 14 then
			IT("- Turn-in "..ClrTurn("The Knife Revealed").." to\n"..ClrGrn("Quintis Jonespyre").." "..ClrGrn2("(Night Elf in the Tree House)")..".\n- Accept "..ClrAcc("Psychometric Reading")..".")
		elseif allyRoute_Conf.currPage == 15 then
			IT("- Turn-in "..ClrTurn("Psychometric Reading").." to\n"..ClrGrn("Ginro Hearthkindle").." "..ClrGrn2("(Night Elf in a House)")..".\n- Accept "..ClrAcc("The Woodpaw Gnolls")..".\n\n- Swim East to reach the main land.")
		elseif allyRoute_Conf.currPage == 16 then
			IT("- Do "..ClrDo("The Mark of Quality")..".\n\n- Mobs can drop "..ClrYlw("[OOX-22/FE Distress Beacon]")..".\n- Accept "..ClrAcc("Find OOX-22/FE!")..".\n- Turn it in to a Chicken in the Yeti Cave.\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 17 then
			IT("- Do "..ClrDo("The High Wilderness")..".")
		elseif allyRoute_Conf.currPage == 18 then
			IT("- Go to "..ClrYlw("[66,45]").." to find two Female Night Elves\nhiding near a Tauren Camp.\n\n- Accept "..ClrAcc("Freedom for All Creatures").." from\n"..ClrGrn("Kindal Moonweaver").." "..ClrGrn2("(Female Night Elf)")..".")
		elseif allyRoute_Conf.currPage == 19 then
			IT("- Do "..ClrDo("Freedom for All Creatures")..".\n"..ClrGry("(Open the big Cage in the middle of the Camp. Protect the Sprites while they fly away)"))
		elseif allyRoute_Conf.currPage == 20 then
			IT("- Turn-in "..ClrTurn("Freedom for All Creatures").." to\n"..ClrGrn("Kindal Moonweaver").." "..ClrGrn2("(same Female Night Elf)")..".\n\n- Accept "..ClrAcc("Doling Justice").." from\n"..ClrGrn("Jer'kai Moonweaver").." "..ClrGrn2("(Female Night Elf)")..".")
		elseif allyRoute_Conf.currPage == 21 then
			IT("- Do "..ClrDo("Doling Justice")..".\n\n- Turn-in "..ClrTurn("Doling Justice").." to\n"..ClrGrn("Jer'kai Moonweaver").." "..ClrGrn2("(same Female Night Elf)")..".\n- Accept "..ClrAcc("Doling Justice")..".")
		elseif allyRoute_Conf.currPage == 22 then
			IT("- Go to "..ClrYlw("[73,56]").." near a Gnolls area.\n\n- Click on *Large Leather Backpacks* on a tree.\n- Complete "..ClrTurn("The Woodpaw Gnolls")..".\n- Accept "..ClrAcc("The Writhing Deep")..".")
		elseif allyRoute_Conf.currPage == 23 then
			IT("- Go to "..ClrYlw("[73,63]").." inside the insects Cave.\n- Click on *Zukk'ash Pod*.\n- Complete "..ClrTurn("The Writhing Deep")..".\n- Accept "..ClrAcc("Freed from the Hive")..".\n- Wait for a Night Elf to spawn to complete\n"..ClrTurn("Freed from the Hive").." objective.")
		elseif allyRoute_Conf.currPage == 24 then
			IT("- Kill mobs until you reach level 45 / 90% Exp.")
		elseif allyRoute_Conf.currPage == 25 then
			IT("- Hearthstone to Feathermoon Stronghold.\n\n- Turn-in "..ClrTurn("The Mark of Quality").." to\n"..ClrGrn("Pratt McGrubben").." "..ClrGrn2("(Human near the Inn)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 26 then
			IT("- Turn-in "..ClrTurn("The High Wilderness").." to\n"..ClrGrn("Angelas Moonbreeze").." "..ClrGrn2("(Female Night Elf\ninside a House)")..".\n- Accept "..ClrAcc("Sunken Temple")..".")
		elseif allyRoute_Conf.currPage == 27 then
			IT("- Turn-in "..ClrTurn("Freed from the Hive").." to\n"..ClrGrn("Ginro Hearthkindle").." "..ClrGrn2("(Night Elf upstairs)")..".\n- Accept "..ClrAcc("A Hero's Welcome")..".")
		elseif allyRoute_Conf.currPage == 28 then
			IT("- Turn-in "..ClrTurn("A Hero's Welcome").." to\n"..ClrGrn("Shandris Feathermoon").." "..ClrGrn2("(Female Night Elf inside\nthe big building)")..".\n- Accept "..ClrAcc("Rise of the Silithid")..".\n"..ClrGry("(Lvl 46)"))
		elseif allyRoute_Conf.currPage == 29 then
			IT("- Fly to Auberdine, Darkshore.\n- Take the Boat on the right side to Darnassus.\n"..ClrGry("(DON'T go through the purple portal yet)").."\n\n- Accept "..ClrAcc("Favored of Elune?").." from\n"..ClrGrn("Erelas Ambersky").." "..ClrGrn2("(Night Elf)")..".")
		elseif allyRoute_Conf.currPage == 30 then
			IT("- Turn-in "..ClrTurn("In Search of Knowledge").." to\n"..ClrGrn("Daryn Lightwind").." "..ClrGrn2("(Female Night Elf upstairs)")..".\n\n- Click on the *Feralas: A History* book in\nthe same room.\n- Accept "..ClrAcc("Feralas: A History")..".")
		elseif allyRoute_Conf.currPage == 31 then
			IT("- Turn-in "..ClrTurn("Feralas: A History").." to \n"..ClrGrn("Daryn Lightwind").." "..ClrGrn2("(same Female Night Elf)")..".\n- Accept "..ClrAcc("The Borrower")..".\n\n- Go through the portal to reach Darnassus.")
		elseif allyRoute_Conf.currPage == 32 then
			IT("- Go to the Temple of the Moon.\n- Turn-in "..ClrTurn("Rise of the Silithid").." to\n"..ClrGrn("Gracina Spiritmight").." "..ClrGrn2("(Female Night Elf)")..".\n\n- Turn-in "..ClrTurn("Doling Justice").." to\n"..ClrGrn("Tyrande Whisperwind")..".")
		elseif allyRoute_Conf.currPage == 33 then
			IT("- Buy "..ClrYlw("x15 [Silk Cloth]").." from the Auction House\nfor a later quest.\n\n- Fly to Auberdine, Darkshore.\n- Take the Boat on the left side to reach\nMenethil Harbor, Wetlands.")
		elseif allyRoute_Conf.currPage == 34 then
			IT("- Fly to Southshore, Hillsbrad.\n\n- Go behind Durnholde Keep "..ClrYlw("[84,33]")..".\n- Find a passage that leads to The Hinterlands.\n- Follow the road to reach Aerie Peak.")
		elseif allyRoute_Conf.currPage == 35 then
			IT("- Turn-in "..ClrTurn("To The Hinterlands").." to\n"..ClrGrn("Falstad Wildhammer").." "..ClrGrn2("(Dwarf)")..".\n- Accept "..ClrAcc("Gryphon Master Talonaxe")..".\n\n- Pick up Flight Point from "..ClrGrn("Guthrum Thunderfist")..".")
		elseif allyRoute_Conf.currPage == 36 then
			IT("- Turn-in "..ClrTurn("Gryphon Master Talonaxe").." to\n"..ClrGrn("Gryphon Master Talonaxe").." "..ClrGrn2("(Dwarf)")..".\n- Accept "..ClrAcc("Rhapsody Shindigger").."\nand "..ClrAcc("Witherbark Cages")..".")
		elseif allyRoute_Conf.currPage == 37 then
			IT("- Go inside Wildhammer Keep.\n\n- Accept "..ClrAcc("Skulk Rock Clean-up").."\nand "..ClrAcc("Troll Necklace Bounty").."\nfrom "..ClrGrn("Fraggar Thundermantle").." "..ClrGrn2("(Dwarf)")..".")
		elseif allyRoute_Conf.currPage == 38 then
			IT("- Make Wildhammer Keep's Inn your Home.\n"..ClrGry("(There's a room with two big vehicles.\nIt leads to two more rooms with stairs.\nThe stairs lead to the top floor.\nThe Innkeeper is there)"))
		elseif allyRoute_Conf.currPage == 39 then
			IT("- Go to Shindigger's Camp "..ClrYlw("[27,48]")..".\n\n- Turn-in "..ClrTurn("Rhapsody Shindigger").." to\n"..ClrGrn("Rhapsody Shindigger").." "..ClrGrn2("(Dwarf)")..".\n- Accept "..ClrAcc("Rhapsody's Kalimdor Kocktail")..".")
		elseif allyRoute_Conf.currPage == 40 then
			IT("- Do "..ClrDo("Favored of Elune?").."\nand "..ClrDo("Troll Necklace Bounty").."\nand "..ClrDo("Witherbark Cages")..".\n\n- Go back to Aerie Peak.")
		elseif allyRoute_Conf.currPage == 41 then
			IT("- Turn-in "..ClrTurn("Troll Necklace Bounty").." to\n"..ClrGrn("Fraggar Thundermantle").." "..ClrGrn2("(Dwarf in the Keep)")..".\n\n- Turn-in "..ClrTurn("Witherbark Cages").." to "..ClrGrn("Gryphon\nMaster Talonaxe").." "..ClrGrn2("(Dwarf near the Flight Master)")..".\n- Accept "..ClrAcc("The Altar of Zul")..".")
		elseif allyRoute_Conf.currPage == 42 then
			IT("- Go on top of the Temple "..ClrYlw("[49,68]").." to complete\n"..ClrTurn("The Altar of Zul").." objective.")
		elseif allyRoute_Conf.currPage == 43 then
			IT("- Do "..ClrDo("Skulk Rock Clean-up")..".\n\n- Mobs can drop "..ClrYlw("[OOX-09/HL Distress Beacon]")..".\n- Accept "..ClrAcc("Find OOX-09/HL!")..".\n- Turn it in to a Chicken on a Hill in water.\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 44 then
			IT("- Go to the Overlook Cliffs. "..ClrGry("(East near the beach)").."\n\n- Do "..ClrDo("Whiskey Slim's Lost Grog")..".")
		elseif allyRoute_Conf.currPage == 45 then
			IT("- Walk North and dive under the Waterfall.\n- Click on *Cortello's Treasure*.\n- Complete "..ClrTurn("Cortello's Riddle")..".\n\n- Destroy "..ClrYlw("[Cortello's Riddle]").." from your bag.\n- Hearthstone to Wildhammer Keep.")
		elseif allyRoute_Conf.currPage == 46 then
			IT("- Turn-in "..ClrTurn("Skulk Rock Clean-up").." to\n"..ClrGrn("Fraggar Thundermantle").." "..ClrGrn2("(Dwarf in the Keep)")..".\n\n- Turn-in "..ClrTurn("The Altar of Zul").." to "..ClrGrn("Gryphon\nMaster Talonaxe").." "..ClrGrn2("(Dwarf near the Flight Master)")..".\n- Accept "..ClrAcc("Thadius Grimshade")..".")
		elseif allyRoute_Conf.currPage == 47 then
			IT("- Fly to Thelsamar, Loch Modan.\n- Make Thelsamar's Inn your Home.\n\n- Go South to reach Badlands.\n- Go West to reach Searing Gorge.\n"..ClrGry("(Lvl 46 / 60% Exp)"))
		end --End 24
	
	--46-48 Searing Gorge
	elseif allyRoute_Conf.currChapter == 25 then
		if allyRoute_Conf.currPage == 1 then
			IT("- Go to Grimesilt Dig Site. "..ClrGry("(First Camp left)").."\n\n- Click on *Wooden Outhouse* near the Camp.\n- Accept "..ClrAcc("Caught!")..".")
		elseif allyRoute_Conf.currPage == 2 then
			IT("- Go to "..ClrYlw("[39,39]").." to find two Humans.\n- Accept "..ClrAcc("Divine Retribution").." from\n"..ClrGrn("Kalaran Windblade").." "..ClrGrn2("(Human)")..".\n- Talk to him again and listen to his story.\n- Turn-in "..ClrTurn("Divine Retribution")..".\n- Accept "..ClrAcc("The Flawless Flame")..".")
		elseif allyRoute_Conf.currPage == 3 then
			IT("- Go North to reach Thorium Point.\n\n- Pick up the Flight Point from "..ClrGrn("Lanie Reed")..".")
		elseif allyRoute_Conf.currPage == 4 then
			IT("- Accept from the Wanted Poster:\n- "..ClrAcc("WANTED: Overseer Maltorius").."\n- "..ClrAcc("JOB OPPORTUNITY: Culling the Competition").."\n- "..ClrAcc("STOLEN: Smithing Tuyere and Lookout's Spyglass")..".")
		elseif allyRoute_Conf.currPage == 5 then
			IT("- Accept "..ClrAcc("Curse These Fat Fingers").."\nand "..ClrAcc("Fiery Menace!").."\nfrom "..ClrGrn("Hansel Heavyhands").." "..ClrGrn2("(Dwarf)")..".\n"..ClrRed("DON'T accept any other quest."))
		elseif allyRoute_Conf.currPage == 6 then
			IT("- Go back to Grimesilt Dig Site.\n- Accept "..ClrAcc("Suntara Stones").." from\n"..ClrGrn("Dorius Stonetender").." "..ClrGrn2("(Injured Dwarf)")..".\n"..ClrRed("(Escort Quest)").."\n\n- Escort the Dwarf.")
		elseif allyRoute_Conf.currPage == 7 then
			IT("- Click on *Singed Letter* on the ground at the\nend of the Escort.\n- Complete "..ClrTurn("Suntara Stones")..".\n- Accept "..ClrAcc("Suntara Stones")..".")
		elseif allyRoute_Conf.currPage == 8 then
			IT("- Do "..ClrDo("Caught!")..".\n\n- Go back to Grimesilt Dig Site.\n- Click on the *Wooden Outhouse*.\n- Turn-in "..ClrTurn("Caught!")..". "..ClrRed("(Requires x15 [Silk Cloth])").."\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 9 then
			IT("- Do "..ClrDo("Fiery Menace!").."\nand "..ClrDo("The Flawless Flame").."\nand "..ClrDo("Curse These Fat Fingers").."\nand "..ClrDo("STOLEN: Smithing Tuyere and Lookout's Spyglass")..".")
		elseif allyRoute_Conf.currPage == 10 then
			IT("- Go back to the two Humans.\n\n- Turn-in "..ClrTurn("The Flawless Flame").." to\n"..ClrGrn("Kalaran Windblade").." "..ClrGrn2("(Human)")..".\n- Accept "..ClrAcc("Forging the Shaft")..".")
		elseif allyRoute_Conf.currPage == 11 then
			IT("- Go back to Thorium Point.\n- Turn-in "..ClrTurn("Curse These Fat Fingers").."\nand "..ClrTurn("Fiery Menace!").."\nto "..ClrGrn("Hansel Heavyhands").." "..ClrGrn2("(Dwarf)")..".\n- Accept "..ClrAcc("Incendosaurs? Whateverosaur\nis More Like It")..".")
		elseif allyRoute_Conf.currPage == 12 then
			IT("- Turn-in "..ClrTurn("STOLEN: Smithing Tuyere and\nLookout's Spyglass").." to\n"..ClrGrn("Taskmaster Scrange").." "..ClrGrn2("(Dwarf)")..".\n\n- Accept "..ClrAcc("What the Flux?").." from\n"..ClrGrn("Master Smith Burninate").." "..ClrGrn2("(Dwarf)")..".")
		elseif allyRoute_Conf.currPage == 13 then
			IT("- Do "..ClrDo("Forging the Shaft").."\nand "..ClrDo("JOB OPPORTUNITY: Culling the\nCompetition").."\nand "..ClrDo("Incendosaurs? Whateverosaur\nis More Like It")..".")
		elseif allyRoute_Conf.currPage == 14 then
			IT("- Do "..ClrDo("What the Flux?").."\nand "..ClrDo("WANTED: Overseer Maltorius")..".\n\n"..ClrRed("(Overseer Maltorius is a Level 50 Elite Dwarf)").."\n"..ClrGry("(The scroll for").." "..ClrTurn("What the Flux?").." "..ClrGry("is behind him.\nFind a group. Otherwise abandon it)"))
		elseif allyRoute_Conf.currPage == 15 then
			IT("- Kill mobs until you reach Level 47 / 55% Exp.\n\n- Mobs can drop "..ClrYlw("[Grimesilt Outhouse Key]")..".\n- Click on it in your bag.\n- Accept "..ClrAcc("The Key to Freedom")..".")
		elseif allyRoute_Conf.currPage == 16 then
			IT("- Go back to Thorium Point.\n- Turn-in "..ClrTurn("Incendosaurs? Whateverosaur\nis More Like It").." to "..ClrGrn("Hansel Heavyhands").." "..ClrGrn2("(Dwarf)")..".\n\n- Turn-in "..ClrTurn("What the Flux?").." to\n"..ClrGrn("Master Smith Burninate").." "..ClrGrn2("(Dwarf)")..".")
		elseif allyRoute_Conf.currPage == 17 then
			IT("- Turn-in "..ClrTurn("JOB OPPORTUNITY: Culling the\nCompetition").." to "..ClrGrn("Taskmaster Scrange").." "..ClrGrn2("(Dwarf)")..".\n\n- Turn-in "..ClrTurn("WANTED: Overseer Maltorius").." to\n"..ClrGrn("Lookout Captain Lolo Longstriker").." "..ClrGrn2("(Dwarf)")..".\n"..ClrGry("(If you did it. Otherwise abandon it)"))
		elseif allyRoute_Conf.currPage == 18 then
			IT("- Go back to the two Humans.\n\n- Turn-in "..ClrTurn("Forging the Shaft").." to\n"..ClrGrn("Kalaran Windblade").." "..ClrGrn2("(Human)")..".\n- Accept "..ClrAcc("The Flame's Casing")..".")
		elseif allyRoute_Conf.currPage == 19 then
			IT("- Do "..ClrDo("The Flame's Casing")..". "..ClrRed("(Lvl 49 Elites)").."\n\n- Turn-in "..ClrTurn("The Flame's Casing").." to\n"..ClrGrn("Kalaran Windblade").." "..ClrGrn2("(same Human)")..".\n- Accept "..ClrAcc("The Torch of Retribution")..".")
		elseif allyRoute_Conf.currPage == 20 then
			IT("- Wait for the Human to make the Torch.\n- Turn-in "..ClrTurn("The Torch of Retribution")..".\n- Accept "..ClrAcc("The Torch of Retribution")..".\n\n- Click on *Torch of Retribution* in the air.\n- Complete "..ClrTurn("The Torch of Retribution")..".")
		elseif allyRoute_Conf.currPage == 21 then
			IT("- Accept "..ClrAcc("Squire Maltrake").." from\n"..ClrGrn("Kalaran Windblade").." "..ClrGrn2("(same Human)")..".\n\n- Turn-in "..ClrTurn("Squire Maltrake").." to\n"..ClrGrn("Squire Maltrake").." "..ClrGrn2("(Human)")..".\n- Accept "..ClrAcc("Set Them Ablaze!")..".")
		elseif allyRoute_Conf.currPage == 22 then
			IT("- Do "..ClrDo("Set Them Ablaze!")..". "..ClrRed("(Lvl 48 Elite Dwarves)").."\n\n"..ClrGry("(Equip").." "..ClrYlw("[Torch of Retribution]").." "..ClrGry("as your weapon.\nLight the Braziers on top of each Tower)"))
		elseif allyRoute_Conf.currPage == 23 then
			IT("- Go back to the two Humans.\n- Turn-in "..ClrTurn("Set Them Ablaze!").." to\n"..ClrGrn("Squire Maltrake").." "..ClrGrn2("(same Human)")..".\n\n- Destroy "..ClrYlw("[Torch of Retribution]").." from your bag.")
		elseif allyRoute_Conf.currPage == 24 then
			IT("- Click on the Box near the two Humans.\n- Accept "..ClrAcc("Trinkets...")..".\n- Click on the Box again.\n- Turn-in "..ClrTurn("Trinkets...")..".\n- The reward contains "..ClrYlw("[Black Dragonflight Molt]")..".\n- Save the Molt for a later quest.")
		elseif allyRoute_Conf.currPage == 25 then
			IT("- Go back to Grimesilt Dig Site.\n\n- Click on the *Wooden Outhouse*.\n- Turn-in "..ClrTurn("The Key to Freedom")..". "..ClrGry("(Lvl 48)"))
		elseif allyRoute_Conf.currPage == 26 then
			IT("- Go to "..ClrYlw("[73,82]").." to find a Cave.\n\n- Kill "..ClrRed("Margol the Rager (Lvl 48 Elite Beast)")..".\n- Loot "..ClrYlw("[Margol's Horn]")..".\n- Click on it in your bag.\n- Accept "..ClrAcc("The Horn of the Beast")..".")
		elseif allyRoute_Conf.currPage == 27 then
			IT("- Hearthstone to Thelsamar, Loch Modan.\n- Follow the road South to reach a Gate.\n\n- Turn-in "..ClrTurn("The Horn of the Beast").." to\n"..ClrGrn("Mountaineer Pebblebitty").." "..ClrGrn2("(Female Dwarf)")..".\n- Accept "..ClrAcc("Proof of Deed")..".")
		elseif allyRoute_Conf.currPage == 28 then
			IT("- Go back to Thelsamar.\n- Fly to Ironforge.\n\n- Accept "..ClrAcc("Assisting Arch Druid Staghelm").." from\n"..ClrGrn("Innkeeper Firebrew").." "..ClrGrn2("(Dwarf inside the Inn)")..".")
		elseif allyRoute_Conf.currPage == 29 then
			IT("- Go to the Hall of Explorers.\n- Turn-in "..ClrTurn("Proof of Deed").."\nand "..ClrTurn("Suntara Stones").."\nto "..ClrGrn("Curator Thorius").." "..ClrGrn2("(Dwarf)")..".\n- Accept "..ClrAcc("At Last!").."\nand "..ClrAcc("Dwarven Justice")..".")
		elseif allyRoute_Conf.currPage == 30 then
			IT("- Accept "..ClrAcc("A Little Slime Goes a Long Way").." from "..ClrGrn("Laris Geardawdle").." "..ClrGrn2("(Gnome near the artifacts)")..".\n\n- Accept "..ClrAcc("Passing the Burden").." from\n"..ClrGrn("Historian Karnik").." "..ClrGrn2("(Dwarf in the Library)")..".")
		elseif allyRoute_Conf.currPage == 31 then
			IT("- Go to the Mystic Ward.\n\n- Turn-in "..ClrTurn("Passing the Burden").." to "..ClrGrn("Tymor").."\n"..ClrGrn2("(Dwarf in the House next to Hall of Mysteries)")..".\n- Accept "..ClrAcc("Arcane Runes").."\nand "..ClrAcc("An Easy Pickup")..".")
		elseif allyRoute_Conf.currPage == 32 then
			IT("- Go to the Military Ward.\n\n- Turn-in "..ClrTurn("An Easy Pickup").." to\n"..ClrGrn("Xiggs Fuselighter").." "..ClrGrn2("(Dwarf in the last room)")..".\n- Accept "..ClrAcc("Signal for Pickup")..".\n- Turn-in "..ClrTurn("Signal for Pickup")..".")
		elseif allyRoute_Conf.currPage == 33 then
			IT("- Fly to Thelsamar, Loch Modan.\n- Follow the road South to reach the Gate.\n\n- Turn-in "..ClrTurn("At Last!").." to\n"..ClrGrn("Mountaineer Pebblebitty").." "..ClrGrn2("(Female Dwarf)")..".")
		elseif allyRoute_Conf.currPage == 34 then
			IT("- Go back to Thelsamar.\n- Fly to Thorium Point, Searing Gorge.\n\n- Go to "..ClrYlw("[35,42]").." to find an opening in the floor.\n- Jump down through it to enter The Slag Pit.")
		elseif allyRoute_Conf.currPage == 35 then
			IT("- Go North to find a big room.\n\n- Turn-in "..ClrTurn("Dwarven Justice").." to\n"..ClrGrn("Dying Archaeologist").." "..ClrGrn2("(Dying Dwarf)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 36 then
			IT("- Go back South. Go through an Iron Gate.\n- Hug the right wall and make your way out.\n\n- Go back to Thorium Point.")
		elseif allyRoute_Conf.currPage == 37 then
			IT("- Fly to Menethil Harbor, Wetlands.\n- Take the Boat on the left side to reach\nTheramore Isle, Dustwallow Marsh.\n\n- Fly to Gadgetzan. "..ClrGry("(Lvl 48 / 30% Exp)"))
		end --End 25
	
	--48-49 Tanaris, Feralas
	elseif allyRoute_Conf.currChapter == 26 then
		if allyRoute_Conf.currPage == 1 then
			IT("- Make Gadgetzan's Inn your Home.\n- Accept "..ClrAcc("The Thirsty Goblin").." from\n"..ClrGrn("Marin Noggenfogger").." "..ClrGrn2("(Goblin near the AH)")..".\n\n- Accept "..ClrAcc("The Dunemaul Compound").." from\n"..ClrGrn("Andi Lynn").." "..ClrGrn2("(Female Gnome near Inn)")..".")
		elseif allyRoute_Conf.currPage == 2 then
			IT("- Turn-in "..ClrTurn("The Borrower").." to "..ClrGrn("Curgle Cranklehop").."\n"..ClrGrn2("(Female Gnome near some machines)")..".\n- Accept "..ClrAcc("The Super Snapper FX").."\nand "..ClrAcc("Handle With Care")..".")
		elseif allyRoute_Conf.currPage == 3 then
			IT("- Accept "..ClrAcc("Thistleshrub Valley").." from "..ClrGrn("Tran'rek").."\n"..ClrGrn2("(Goblin)")..". "..ClrRed("DON'T accept any quest.").."\n\n- Accept "..ClrAcc("Noxious Lair Investigation").." from\n"..ClrGrn("Senior Surveyor Fizzledowser").." "..ClrGrn2("(Goblin on Hill)")..".")
		elseif allyRoute_Conf.currPage == 4 then
			IT("- Go North to reach Thousand Needles.\n\n- Turn-in "..ClrTurn("Razzeric's Tweaking").." to\n"..ClrGrn("Razzeric").." "..ClrGrn2("(Goblin)")..".\n- Accept "..ClrAcc("Safety First")..".")
		elseif allyRoute_Conf.currPage == 5 then
			IT("- Go back to Gadgetzan.\n- Turn-in "..ClrTurn("Safety First").." to "..ClrGrn("Shreev").." "..ClrGrn2("(Goblin)")..".\n"..ClrRed("DON'T accept any quest.").."\n\n- Do "..ClrDo("Rhapsody's Kalimdor Kocktail")..".\n"..ClrGry("(x3 [Roc Gizzard] part only)"))
		elseif allyRoute_Conf.currPage == 6 then
			IT("- Go to "..ClrYlw("[53,46]").." to find a Goblin in a Camp.\n\n- Turn-in "..ClrTurn("The Sunken Temple").." to\n"..ClrGrn("Marvon Rivetseeker").." "..ClrGrn2("(Goblin)")..".\n- Accept "..ClrAcc("The Stone Circle").."\nand "..ClrAcc("Gahz'ridian")..".")
		elseif allyRoute_Conf.currPage == 7 then
			IT("- Do "..ClrDo("Noxious Lair Investigation").."\nand "..ClrDo("The Dunemaul Compound").."\nand "..ClrDo("Gahz'ridian").."\nand "..ClrDo("Thistleshrub Valley").."\nand "..ClrDo("The Thirsty Goblin")..".")
		elseif allyRoute_Conf.currPage == 8 then
			IT("- Go to "..ClrYlw("[32,74]").." to find "..ClrGrn("Tooga").." "..ClrGrn2("(Turtle)")..".\n"..ClrGry("(If you can't find him then skip this quest)").."\n\n- Accept "..ClrAcc("Tooga's Quest").." from the Turtle.\n"..ClrRed("(Escort Quest. The Turtle is following you)"))
		elseif allyRoute_Conf.currPage == 9 then
			IT("- Go back to the Goblin in the Camp.\n\n- Turn-in "..ClrTurn("Gahz'ridian").." to\n"..ClrGrn("Marvon Rivetseeker").." "..ClrGrn2("(Goblin)")..".")
		elseif allyRoute_Conf.currPage == 10 then
			IT("- Escort the Turtle to Steamwheedle Port\nnear another Turtle called "..ClrGrn("Torta")..".\n- Turn-in "..ClrTurn("Tooga's Quest").." to the Turtle.\n\n- Turn-in "..ClrTurn("Screecher Spirits").." to "..ClrGrn("Yeh'kinya").." "..ClrGrn2("(Troll)")..". "..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 11 then
			IT("- Accept "..ClrAcc("Deliver to MacKinley").." from\n"..ClrGrn("Stoley").." "..ClrGrn2("(Human inside a House)")..".\n\n- Accept "..ClrAcc("Yuka Screwspigot").." from\n"..ClrGrn("Yorba Screwspigot").." "..ClrGrn2("(Female Goblin)")..".")
		elseif allyRoute_Conf.currPage == 12 then
			IT("- Go back to Gadgetzan.\n\n- Turn-in "..ClrTurn("The Thirsty Goblin").." to\n"..ClrGrn("Marin Noggenfogger").." "..ClrGrn2("(Goblin near the AH)")..".\n- Accept "..ClrAcc("In Good Taste")..".")
		elseif allyRoute_Conf.currPage == 13 then
			IT("- Turn-in "..ClrTurn("The Dunemaul Compound").." to\n"..ClrGrn("Andi Lynn").." "..ClrGrn2("(Female Gnome near the Inn)")..".\n\n- Turn-in "..ClrTurn("Thistleshrub Valley").." to "..ClrGrn("Tran'rek").."\n"..ClrGrn2("(Goblin)")..". "..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 14 then
			IT("- Turn-in "..ClrTurn("In Good Taste").." to "..ClrGrn("Sprinkle").."\n"..ClrGrn2("(Female Goblin outside a House)")..".\n- Accept "..ClrAcc("Sprinkle's Secret Ingredient")..".")
		elseif allyRoute_Conf.currPage == 15 then
			IT("- Turn-in "..ClrTurn("Noxious Lair Investigation").." to\n"..ClrGrn("Alchemist Pestlezugg").." "..ClrGrn2("(Goblin inside the House)")..".\n\n- Accept "..ClrAcc("The Scrimshank Redemption").." from\n"..ClrGrn("Senior Surveyor Fizzledowser").." "..ClrGrn2("(Goblin on Hill)")..".")
		elseif allyRoute_Conf.currPage == 16 then
			IT("- Do "..ClrDo("The Scrimshank Redemption")..".\n\n- Hearthstone back to Gadgetzan.\n- Turn-in "..ClrTurn("The Scrimshank Redemption").." to\n"..ClrGrn("Senior Surveyor Fizzledowser").." "..ClrGrn2("(same Goblin)")..".\n- Accept "..ClrAcc("Insect Part Analysis")..".")
		elseif allyRoute_Conf.currPage == 17 then
			IT("- Turn-in "..ClrTurn("Insect Part Analysis").." to\n"..ClrGrn("Alchemist Pestlezugg").." "..ClrGrn2("(Goblin inside the House)")..".\n- Accept "..ClrAcc("Insect Part Analysis")..".\n- Turn-in "..ClrTurn("Insect Part Analysis").." to\n"..ClrGrn("Senior Surveyor Fizzledowser").." "..ClrGrn2("(Goblin on Hill)")..".\n- Accept "..ClrAcc("Rise of the Silithid")..".")
		elseif allyRoute_Conf.currPage == 18 then
			IT("- Fly to Thalanaar, Feralas.\n\n- Click on "..ClrYlw("[Undelivered Parcel]").." in your bag.\n- Accept "..ClrAcc("Thalanaar Delivery")..".\n- Turn-in "..ClrTurn("Thalanaar Delivery").." to\n"..ClrGrn("Falfindel Waywarder").." "..ClrGrn2("(Night Elf)")..".")
		elseif allyRoute_Conf.currPage == 19 then
			IT("- Fly to Feathermoon, Feralas.\n\n- Accept "..ClrAcc("Improved Quality").." from\n"..ClrGrn("Pratt McGrubben").." "..ClrGrn2("(Human near the Inn)")..".\n\n- Make Feathermoon's Inn your home.")
		elseif allyRoute_Conf.currPage == 20 then
			IT("- Swim East to reach the main land.\n\n- Accept "..ClrAcc("Zapped Giants").."\nand "..ClrAcc("Fuel for the Zapping").."\nfrom "..ClrGrn("Zorbin Fandazzle").." "..ClrGrn2("(Goblin near the dock)")..".")
		elseif allyRoute_Conf.currPage == 21 then
			IT("- Do "..ClrDo("Rhapsody's Kalimdor Kocktail").."\nand "..ClrDo("Improved Quality")..".\n\n- Save "..ClrYlw("x10 [Gorilla Fang]").." for a later quest.")
		elseif allyRoute_Conf.currPage == 22 then
			IT("- Do "..ClrDo("Fuel for the Zapping").."\nand "..ClrDo("Zapped Giants")..".\n"..ClrGry("(Use").." "..ClrYlw("[Zorbin's Ultra-Shrinker]").." "..ClrGry("from your bag\non the Elite Giants)"))
		elseif allyRoute_Conf.currPage == 23 then
			IT("- Turn-in "..ClrTurn("Zapped Giants").."\nand "..ClrTurn("Fuel for the Zapping").."\nto "..ClrGrn("Zorbin Fandazzle").." "..ClrGrn2("(Goblin near the dock)")..".\n"..ClrRed("DON'T accept any quest.").." "..ClrGry("(Lvl 49 / 35% Exp)"))
		elseif allyRoute_Conf.currPage == 24 then
			IT("- Hearthstone to Feathermoon Stronghold.\n- Accept "..ClrAcc("Jonespyre's Request").." from\n"..ClrGrn("Innkeeper Shyria").." "..ClrGrn2("(Female Night Elf)")..".\n\n- Turn-in "..ClrTurn("Improved Quality").." to\n"..ClrGrn("Pratt McGrubben").." "..ClrGrn2("(Human near the Inn)")..".")
		elseif allyRoute_Conf.currPage == 25 then
			IT("- Turn-in "..ClrTurn("Jonespyre's Request").." to\n"..ClrGrn("Quintis Jonespyre").." "..ClrGrn2("(Night Elf in the Tree House)")..".\n- Accept "..ClrAcc("The Mystery of Morrowgrain")..".\n\n- Buy "..ClrYlw("x40 [Packet of Tharlendris Seeds]").." from\nthe same Night Elf.")
		elseif allyRoute_Conf.currPage == 26 then
			IT("- Fly to Auberdine, Darkshore.\n- Make Auberdine's Inn your Home.\n- Fly to Darnassus.\n- Turn-in "..ClrTurn("Handle With Care").."\nand "..ClrTurn("Favored of Elune?").."\nto "..ClrGrn("Erelas Ambersky").." "..ClrGrn2("(Night Elf)")..".")
		elseif allyRoute_Conf.currPage == 27 then
			IT("- Go through the portal to reach Darnassus.\n- Go to the Temple of the Moon.\n\n- Turn-in "..ClrTurn("Rise of the Silithid").." to\n"..ClrGrn("Gracina Spiritmight").." "..ClrGrn2("(Female Night Elf)")..".")
		elseif allyRoute_Conf.currPage == 28 then
			IT("- Fly to Astranaar, Ashenvale.\n\n- Follow the road East then North\nto reach Felwood. "..ClrGry("(Lvl 49 / 50% Exp)"))
		end --End 26
	
	--49-50 Felwood
	elseif allyRoute_Conf.currChapter == 27 then
		if allyRoute_Conf.currPage == 1 then
			IT("- Go North to reach Emerald Sanctuary.\n- Accept "..ClrAcc("Forces of Jaedenar").." from\n"..ClrGrn("Greta Mosshoof").." "..ClrGrn2("(Female Tauren)")..".\n\n- Accept "..ClrAcc("The Corruption of the Jadefire").." from\n"..ClrGrn("Eridan Bluewind").." "..ClrGrn2("(Female Night Elf)")..".")
		elseif allyRoute_Conf.currPage == 2 then
			IT("- Go to Deadwood Village "..ClrYlw("[48,92]")..".\n\n- Kill Deadwood mobs until your Reputation\nwith "..ClrYlw("Timbermaw Hold").." becomes Unfriendly.\n"..ClrGry("(Lvl 49 / 70% Exp)"))
		elseif allyRoute_Conf.currPage == 3 then
			IT("- Do "..ClrDo("A Little Slime Goes a Long Way")..".\n\n"..ClrGry("(Open").." "..ClrYlw("[Package of Empty Ooze Containers]").." "..ClrGry("\nin your bag to get bottles.\nUse the bottles on the dead Oozes)"))
		elseif allyRoute_Conf.currPage == 4 then
			IT("- Do "..ClrDo("The Corruption of the Jadefire").."\nand "..ClrDo("Forces of Jaedenar")..".")
		elseif allyRoute_Conf.currPage == 5 then
			IT("- Go back to Emerald Sanctuary.\n\n- Turn-in "..ClrTurn("Forces of Jaedenar").." to\n"..ClrGrn("Greta Mosshoof").." "..ClrGrn2("(Female Tauren)")..".\n- Accept "..ClrAcc("Collection of the Corrupt Water")..".")
		elseif allyRoute_Conf.currPage == 6 then
			IT("- Turn-in "..ClrTurn("The Corruption of the Jadefire").." to\n"..ClrGrn("Eridan Bluewind").." "..ClrGrn2("(Female Night Elf)")..".\n"..ClrRed("DON'T accept any quest.").." "..ClrGry("(Lvl 50)"))
		elseif allyRoute_Conf.currPage == 7 then
			IT("- Do "..ClrDo("Collection of the Corrupt Water")..".\n\n- Go back to Emerald Sanctuary.\n- Turn-in "..ClrTurn("Collection of the Corrupt Water").." to\n"..ClrGrn("Greta Mosshoof").." "..ClrGrn2("(same Female Tauren)")..".\n- Accept "..ClrAcc("Seeking Spiritual Aid")..".")
		elseif allyRoute_Conf.currPage == 8 then
			IT("- Hearthstone back to Auberdine, Darkshore.\n- Fly to Darnassus.\n- Go to the Cenarion Enclave.\n- Turn-in "..ClrTurn("Assisting Arch Druid Staghelm").." to\n"..ClrGrn("Arch Druid Fandral Staghelm").." "..ClrGrn2("(Night Elf)")..".\n- Accept "..ClrAcc("Un'Goro Soil")..".")
		elseif allyRoute_Conf.currPage == 9 then
			IT("- Accept "..ClrAcc("A Call to Arms: The Plaguelands!").."\nfrom "..ClrGrn("Herald Moonstalker").." "..ClrGrn2("(Female Night Elf\nwalking around Darnassus)")..".\n\n- Fly to Astranaar, Ashenvale. "..ClrGry("(Lvl 50 / 05% Exp)").."\n- Go East to reach Azshara.")
		end --End 27
	
	--50-51 Azshara, Western Plaguelands
	elseif allyRoute_Conf.currChapter == 28 then
		if allyRoute_Conf.currPage == 1 then
			IT("- Go to Talrendis Point "..ClrYlw("[12,78]")..".\n- Pick up the Flight Point from "..ClrGrn("Jarrodenus")..".\n\n- Accept "..ClrAcc("Spiritual Unrest").."\nand "..ClrAcc("A Land Filled with Hatred").."\nfrom "..ClrGrn("Loh'atu").." "..ClrGrn2("(Tauren)")..".")
		elseif allyRoute_Conf.currPage == 2 then
			IT("- Do "..ClrDo("Spiritual Unrest").."\nand "..ClrDo("A Land Filled with Hatred")..".\n\n- Turn-in "..ClrTurn("Spiritual Unrest").."\nand "..ClrTurn("A Land Filled with Hatred").."\nto "..ClrGrn("Loh'atu").." "..ClrGrn2("(same Tauren)")..".")
		elseif allyRoute_Conf.currPage == 3 then
			IT("- Go on top of the mountain at "..ClrYlw("[53,22]")..".\n\n- Accept "..ClrAcc("Kim'jael Indeed!").."\nfrom "..ClrGrn("Kim'jael").." "..ClrGrn2("(Goblin)")..".")
		elseif allyRoute_Conf.currPage == 4 then
			IT("- Do "..ClrDo("Kim'jael Indeed!")..". "..ClrGry("(Loot").." *Kim'jael's Equipment* "..ClrGry("boxes from a Blood Elf Camp)").."\n\n- Turn-in "..ClrTurn("Kim'jael Indeed!").." to the same Goblin.\n- Accept "..ClrAcc("Kim'jael's \"Missing\" Equipment")..".")
		elseif allyRoute_Conf.currPage == 5 then
			IT("- Do "..ClrDo("Kim'jael's \"Missing\" Equipment")..".\n\n- Turn-in "..ClrTurn("Kim'jael's \"Missing\" Equipment").." to\n"..ClrGrn("Kim'jael").." "..ClrGrn2("(same Goblin)")..".")
		elseif allyRoute_Conf.currPage == 6 then
			IT("- Kill mobs until you reach Level 50 / 65% Exp.")
		elseif allyRoute_Conf.currPage == 7 then
			IT("- Go to "..ClrYlw("[28,50]").." to find a Blood Elf.\n- Accept "..ClrAcc("A Meeting with the Master").." from\n"..ClrGrn("Sanath Lim-yo").." "..ClrGrn2("(Blood Elf)")..".\n\n- Do "..ClrDo("A Meeting with the Master")..".")
		elseif allyRoute_Conf.currPage == 8 then
			IT("- Turn-in "..ClrTurn("A Meeting with the Master").." to\n"..ClrGrn("Sanath Lim-yo").." "..ClrGrn2("(same Blood Elf)")..".\n\n- You will get teleported.\n- Turn-in "..ClrTurn("Return Trip").." to "..ClrGrn("Nyrill").." "..ClrGrn2("(Human)")..".")
		elseif allyRoute_Conf.currPage == 9 then
			IT("- Do "..ClrDo("Arcane Runes")..".")
		elseif allyRoute_Conf.currPage == 10 then
			IT("- Swim to the South/East edge of the map.\n- There's a small island with a platform.\n\n- Use "..ClrYlw("[Standard Issue Flare Gun]").." from your bag while standing on the platform.")
		elseif allyRoute_Conf.currPage == 11 then
			IT("- Turn-in "..ClrTurn("Arcane Runes").." to\n"..ClrGrn("Pilot Xiggs Fuselighter").." "..ClrGrn2("(Dwarf that spawned)")..".\n- Accept "..ClrAcc("Return to Tymor")..".")
		elseif allyRoute_Conf.currPage == 12 then
			IT("- Hearthstone back to Auberdine, Darkshore.\n- Take the boat on the left side to reach\nMenethil Harbor, Wetlands.\n\n- Fly to Aerie Peak, The Hinterlands.")
		elseif allyRoute_Conf.currPage == 13 then
			IT("- Go back to Shindigger's Camp.\n\n- Turn-in "..ClrTurn("Rhapsody's Kalimdor Kocktail").." to\n"..ClrGrn("Rhapsody Shindigger").." "..ClrGrn2("(Dwarf)")..".\n- Accept "..ClrAcc("Rhapsody's Tale")..". "..ClrGry("(Low Level Quest)"))
		elseif allyRoute_Conf.currPage == 14 then
			IT("- Do "..ClrDo("Sprinkle's Secret Ingredient")..".\n"..ClrGry("(Loot").." *Violet Tragan* "..ClrGry("in water in the middle\nof the map)"))
		elseif allyRoute_Conf.currPage == 15 then
			IT("- Go to the Overlook Cliffs. "..ClrGry("(East near the beach)").."\n\n- Do "..ClrDo("The Super Snapper FX")..".\n"..ClrGry("(Use").." "..ClrYlw("[Super Snapper FX]").." "..ClrGry("from your bag on").."\n"..ClrRed("Gammerita (Lvl 48 Elite Turtle).").."\n"..ClrGry("Just use it and run. No need to kill it)"))
		elseif allyRoute_Conf.currPage == 16 then
			IT("- Go back to Aerie Peak.\n- Go North to reach Western Plaguelands.\n\n- Go West to reach Chillwind Camp.")
		elseif allyRoute_Conf.currPage == 17 then
			IT("- Turn-in "..ClrTurn("A Call to Arms: The Plaguelands!").." to\n"..ClrGrn("Commander Ashlam Valorfist").." "..ClrGrn2("(Human)")..".\n- Accept "..ClrAcc("Clear the Way")..".\n\n- Pick up the Flight Point from\n"..ClrGrn("Bibilfaz Featherwhistle")..".")
		elseif allyRoute_Conf.currPage == 18 then
			IT("- Turn-in "..ClrTurn("Argent Dawn Commission").." to\n"..ClrGrn("Argent Officer Pureheart").." "..ClrGrn2("(Female Human)")..".\n\n- Equip the "..ClrYlw("[Argent Dawn Commission]").." Trinket\nthat you recived.")
		elseif allyRoute_Conf.currPage == 19 then
			IT("- Go inside the House in Sorrow Hill "..ClrYlw("[49,78]")..".\n- Accept "..ClrAcc("Little Pamela").." from\n"..ClrGrn("Marlene Redpath").." "..ClrGrn2("(Female Ghost upstairs)")..".\n\n- Do "..ClrDo("Clear the Way")..".")
		elseif allyRoute_Conf.currPage == 20 then
			IT("- Go back to Chillwind Camp.\n\n- Turn-in "..ClrTurn("Clear the Way").." to\n"..ClrGrn("Commander Ashlam Valorfist").." "..ClrGrn2("(Human)")..".\n- Accept "..ClrAcc("The Scourge Cauldrons")..".\n"..ClrRed("DON'T accept any other quest."))
		elseif allyRoute_Conf.currPage == 21 then
			IT("- Turn-in "..ClrTurn("The Scourge Cauldrons").." to\n"..ClrGrn("High Priestess MacDonnell").." "..ClrGrn2("(Female Human)")..".\n- Accept "..ClrAcc("Target: Felstone Field")..".")
		elseif allyRoute_Conf.currPage == 22 then
			IT("- Go inside the House in Felstone Field "..ClrYlw("[38,54]")..".\n- Accept "..ClrAcc("Better Late Than Never").." from\n"..ClrGrn("Janice Felstone").." "..ClrGrn2("(Female Ghost upstairs)")..".")
		elseif allyRoute_Conf.currPage == 23 then
			IT("- Go inside the Warehouse next to the House.\n- Click on *Janice's Parcel* on the ground.\n- Complete "..ClrTurn("Better Late Than Never")..".\n- Click on it again.\n- Accept "..ClrAcc("Better Late Than Never")..". "..ClrGry("(Lvl 51)"))
		elseif allyRoute_Conf.currPage == 24 then
			IT("- Do "..ClrDo("Target: Felstone Field")..". "..ClrGry("(Loot a Key from\n").." "..ClrRed("Cauldron Lord Bilemaw (Ghoul)")..""..ClrGry(" in the field)").."\n\n- Click on *Scourge Cauldron*.\n- Complete "..ClrTurn("Target: Felstone Field")..".\n- Accept "..ClrAcc("Return to Chillwind Camp")..".")
		elseif allyRoute_Conf.currPage == 25 then
			IT("- Go back to Chillwind Camp.\n\n- Turn-in "..ClrTurn("Return to Chillwind Camp").." to\n"..ClrGrn("High Priestess MacDonnell").." "..ClrGrn2("(Female Human)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 26 then
			IT("- Turn-in "..ClrTurn("Minion's Scourgestone").." to\n"..ClrGrn("Argent Officer Pureheart").." "..ClrGrn2("(Female Human)")..".\n"..ClrGry("(This gives you Argent Dawn reputation tokens)").."\n\n- Fly to Ironforge.")
		elseif allyRoute_Conf.currPage == 27 then
			IT("- Go to the Hall of Explorers.\n\n- Turn-in "..ClrTurn("A Little Slime Goes a Long Way").." to\n"..ClrGrn("Laris Geardawdle").." "..ClrGrn2("(Gnome near the artifacts)")..".\n- Accept "..ClrAcc("A Little Slime Goes a Long Way")..".")
		elseif allyRoute_Conf.currPage == 28 then
			IT("- Go to the Mystic Ward.\n- Turn-in "..ClrTurn("Return to Tymor").." to "..ClrGrn("Tymor").."\n"..ClrGrn2("(Dwarf in the House next to Hall of Mysteries)")..".\n\n- Destroy "..ClrYlw("[Standard Issue Flare Gun]").." from\nyour bag.")
		elseif allyRoute_Conf.currPage == 29 then
			IT("- Buy "..ClrYlw("x1 [Imperfect Draenethyst Fragment]").." from the Auction House. "..ClrGry("(Skip if it's too expensive)").."\n\n- Buy "..ClrYlw("x1 [Mithril Casing]").." from the Auction House. "..ClrGry("(Skip if it's too expensive)"))
		elseif allyRoute_Conf.currPage == 30 then
			IT("- Fly to Stormwind.\n- Go to the Cathedral Square.\n\n- Turn-in "..ClrTurn("Better Late Than Never").." to\n"..ClrGrn("Royal Factor Bathrilor").." "..ClrGrn2("(Human inside a House)")..".\n- Accept "..ClrAcc("Good Natured Emma")..".")
		elseif allyRoute_Conf.currPage == 31 then
			IT("- Go to Dwarven District.\n\n- Turn-in "..ClrTurn("Rhapsody's Tale").." to\n"..ClrGrn("Brohann Caskbelly").." "..ClrGrn2("(Dwarf inside the Bar)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 32 then
			IT("- Turn-in "..ClrTurn("Good Natured Emma").." to "..ClrGrn("Ol' Emma").."\n"..ClrGrn2("(Female Human walking around Stormwind)")..".\n"..ClrRed("DON'T accept any quest.").."\n\n- Fly to Nethergarde Keep, Blasted Lands.\n"..ClrGry("(Lvl 51 / 30% Exp)"))
		end --End 28
	
	--51-52 Blasted Lands, Burning Steppes
	elseif allyRoute_Conf.currChapter == 29 then
		if allyRoute_Conf.currPage == 1 then
			IT("- Turn-in "..ClrTurn("Thadius Grimshade").." to\n"..ClrGrn("Thadius Grimshade").." "..ClrGrn2("(Dwarf inside the Tower)")..".\n"..ClrRed("DON'T accept any quest.").."\n\n- Accept "..ClrAcc("Petty Squabbles").." from\n"..ClrGrn("Ambassador Ardalan").." "..ClrGrn2("(Blood Elf)")..".")
		elseif allyRoute_Conf.currPage == 2 then
			IT("- Go North to reach Swamp of Sorrows.\n\n- Turn-in "..ClrTurn("Petty Squabbles").." to\n"..ClrGrn("Fallen Hero of the Horde").." "..ClrGrn2("(Orc Ghost)")..".\n- Accept "..ClrAcc("A Tale of Sorrow")..".")
		elseif allyRoute_Conf.currPage == 3 then
			IT("- Talk to the Orc again and listen to his story.\n- Turn-in "..ClrTurn("A Tale of Sorrow")..".\n"..ClrRed("DON'T accept any quest.").."\n\n- Go back to Blasted Lands.")
		elseif allyRoute_Conf.currPage == 4 then
			IT("- Follow the road to find two Blood Elves.\n\n- Accept "..ClrAcc("Snickerfang Jowls").."\nand "..ClrAcc("A Boar's Vitality").."\nand "..ClrAcc("The Decisive Striker").."\nfrom "..ClrGrn("Bloodmage Drazial").." "..ClrGrn2("(Blood Elf)")..".")
		elseif allyRoute_Conf.currPage == 5 then
			IT("- Accept "..ClrAcc("The Basilisk's Bite").."\nand "..ClrAcc("Vulture's Vigor").."\nfrom "..ClrGrn("Bloodmage Lynnore").." "..ClrGrn2("(Female Blood Elf)")..".")
		elseif allyRoute_Conf.currPage == 6 then
			IT("- Do "..ClrDo("The Decisive Striker")..".\n\n- Turn-in "..ClrTurn("The Decisive Striker").." to\n"..ClrGrn("Bloodmage Drazial").." "..ClrGrn2("(same Blood Elf)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 7 then
			IT("If you have "..ClrYlw("[Imperfect Draenethyst Fragment]")..":\n- Go to "..ClrGrn("Kum'isha the Collector").." at "..ClrYlw("[52,36]")..".\n\n- Accept and Turn in\n"..ClrAcc("Everything Counts In Large Amounts")..".\n"..ClrRed("DON'T accept any other quest."))
		elseif allyRoute_Conf.currPage == 8 then
			IT("- Do "..ClrDo("Vulture's Vigor").."\nand "..ClrDo("The Basilisk's Bite")..".")
		elseif allyRoute_Conf.currPage == 9 then
			IT("- Go back to the Blood Elves Camp.\n\n- Turn-in "..ClrTurn("The Basilisk's Bite").."\nand "..ClrTurn("Vulture's Vigor").."\nto "..ClrGrn("Bloodmage Lynnore").." "..ClrGrn2("(same Female Blood Elf)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 10 then
			IT("- Do "..ClrDo("Snickerfang Jowls").."\nand "..ClrDo("A Boar's Vitality")..".")
		elseif allyRoute_Conf.currPage == 11 then
			IT("- Go back to the Blood Elves Camp.\n\n- Turn-in "..ClrTurn("Snickerfang Jowls").."\nand "..ClrTurn("A Boar's Vitality").."\nto "..ClrGrn("Bloodmage Drazial").." "..ClrGrn2("(same Blood Elf)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 12 then
			IT("- Kill mobs until you reach Level 51 / 95% Exp.")
		elseif allyRoute_Conf.currPage == 13 then
			IT("- Go back to Nethergarde Keep.\n- Fly to Lakeshire, Redridge.\n\n- Go North to reach Burning Steppes.\n- Go to Morgan's Vigil "..ClrYlw("[85,69]")..".")
		elseif allyRoute_Conf.currPage == 14 then
			IT("- Pick up the Flight Point from "..ClrGrn("Borgus Stoutarm")..".\n\n- Accept "..ClrAcc("Extinguish the Firegut").."\nand "..ClrAcc("FIFTY! YEP!").." from "..ClrGrn("Oralius").." "..ClrGrn2("(Dwarf)")..".\n"..ClrRed("DON'T accept any other quest."))
		elseif allyRoute_Conf.currPage == 15 then
			IT("- Do "..ClrDo("Extinguish the Firegut").."\nand "..ClrDo("FIFTY! YEP!")..".")
		elseif allyRoute_Conf.currPage == 16 then
			IT("- Go to Flame Crest "..ClrYlw("[66,22]")..".\n\n- Turn-in "..ClrTurn("Yuka Screwspigot").." to\n"..ClrGrn("Yuka Screwspigot").." "..ClrGrn2("(Female Goblin in the Cave)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 17 then
			IT("- Accept "..ClrAcc("Broodling Essence").." from\n"..ClrGrn("Tinkee Steamboil").." "..ClrGrn2("(Female Goblin)")..".\n\n- Do "..ClrDo("Broodling Essence")..".\n"..ClrGry("(Use").." "..ClrYlw("[Draco-Incarcinatrix 900]").." "..ClrGry("in you bag\non Black Broodling whelps)"))
		elseif allyRoute_Conf.currPage == 18 then
			IT("- Go back to Flame Crest.\n\n- Turn-in "..ClrTurn("Broodling Essence").." to\n"..ClrGrn("Tinkee Steamboil").." "..ClrGrn2("(same Female Goblin)")..".\n- Accept "..ClrAcc("Felnok Steelspring")..". "..ClrGry("(Lvl 52)"))
		elseif allyRoute_Conf.currPage == 19 then
			IT("- Go to "..ClrYlw("[95,31]").." to find a Dragonkin in a Cave.\n- Accept "..ClrAcc("A Taste of Flame").." from\n"..ClrGrn("Cyrus Therepentous").." "..ClrGrn2("(Dragonkin)")..".\n- Turn-in "..ClrTurn("A Taste of Flame")..".\n"..ClrRed("(Requires [Black Dragonflight Molt])").."\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 20 then
			IT("- Go back to Morgan's Vigil.\n\n- Turn-in "..ClrTurn("Extinguish the Firegut").."\nand "..ClrTurn("FIFTY! YEP!").." to "..ClrGrn("Oralius").." "..ClrGrn2("(Dwarf)")..".\n- Accept "..ClrAcc("Gor'tesh the Brute Lord")..".\n"..ClrRed("DON'T accept any other quest."))
		elseif allyRoute_Conf.currPage == 21 then
			IT("- Do "..ClrDo("Gor'tesh the Brute Lord")..".\n\n- Turn-in "..ClrTurn("Gor'tesh the Brute Lord").." to\n"..ClrGrn("Oralius").." "..ClrGrn2("(same Dwarf)")..".\n- Accept "..ClrAcc("Ogre Head On A Stick = Party")..".\n"..ClrRed("DON'T accept any other quest."))
		elseif allyRoute_Conf.currPage == 22 then
			IT("- Do "..ClrDo("Ogre Head On A Stick = Party")..". "..ClrGry("(Click on\n").."*Soft Dirt Mound*"..ClrGry(" on top of Ogres mountain)").."\n\n- Turn-in "..ClrTurn("Ogre Head On A Stick = Party").." to\n"..ClrGrn("Oralius").." "..ClrGrn2("(same Dwarf)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 23 then
			IT("- Fly to Booty Bay.\n\n- Turn-in "..ClrTurn("Whiskey Slim's Lost Grog").." to\n"..ClrGrn("Whiskey Slim").." "..ClrGrn2("(Gnome inside the Inn)")..".\n\n- Make Booty Bay's Inn your Home.")
		elseif allyRoute_Conf.currPage == 24 then
			IT("- Turn-in "..ClrTurn("Deliver to MacKinley").." to\n"..ClrGrn("\"Sea Wolf\" MacKinley").." "..ClrGrn2("(Human in a House\nnear the Inn)")..".")
		elseif allyRoute_Conf.currPage == 25 then
			IT("- Accept "..ClrAcc("Stranglethorn Fever").." from\n"..ClrGrn("Fin Fizracket").." "..ClrGrn2("(Goblin sleeping outside)")..".\n"..ClrGry("(Low Level Quest)").."\n- Accept "..ClrAcc("The Captain's Chest").." from\n"..ClrGrn("Captain Hecklebury Smotts").." "..ClrGrn2("(Human on dock)")..".\n"..ClrGry("(Low Level Quest)"))
		elseif allyRoute_Conf.currPage == 26 then
			IT("- Leave Booty Bay.\n- Go to a Cave at "..ClrYlw("[35,60]").." to find a Troll.\n\n"..ClrGry("(If you don't have").." "..ClrYlw("x10 [Gorilla Fang]").." "..ClrGry("then\nfarm some Gorillas in the area first)"))
		elseif allyRoute_Conf.currPage == 27 then
			IT("- Turn-in "..ClrTurn("Stranglethorn Fever").." (Blue Quest)\nto "..ClrGrn("Witch Doctor Unbagwa").." "..ClrGrn2("(Troll)")..".\n"..ClrRed("(Requires x10 [Gorilla Fang])").."\n\n- Waves of Gorillas will spawn.\n- Kill "..ClrRed("Mokk the Savage (White Gorilla)")..".")
		elseif allyRoute_Conf.currPage == 28 then
			IT("- Go East to reach the beach.\n- Find some *Half-Buried Bottles* on the beach.\n\n- Try to get "..ClrYlw("[Carefully Folded Note]")..".\n- Click on it in your bag.\n- Accept "..ClrAcc("Message in a Bottle")..".")
		elseif allyRoute_Conf.currPage == 29 then
			IT("- Do "..ClrDo("The Captain's Chest")..". "..ClrRed("(Lvl 47 Elite Giant)"))
		elseif allyRoute_Conf.currPage == 30 then
			IT("- Swim East to reach Jaguero Isle.\n\n- Turn-in "..ClrTurn("Message in a Bottle").." to\n"..ClrGrn("Princess Poobah").." "..ClrGrn2("(Female Tauren)")..".\n- Accept "..ClrAcc("Message in a Bottle")..".")
		elseif allyRoute_Conf.currPage == 31 then
			IT("- Do "..ClrDo("Message in a Bottle")..". "..ClrRed("(Lvl 51 Elite Gorilla)").."\n\n- Turn-in "..ClrTurn("Message in a Bottle").." to\n"..ClrGrn("Princess Poobah").." "..ClrGrn2("(same Female Tauren)")..".\n- Destroy "..ClrYlw("[Carefully Folded Note]").." from your bag.")
		elseif allyRoute_Conf.currPage == 32 then
			IT("- Hearthstone back to Booty Bay.\n- Turn-in "..ClrTurn("Stranglethorn Fever").." to "..ClrGrn("Fin Fizracket").." "..ClrGrn2("(Goblin sleeping outside)")..".\n- Turn-in "..ClrTurn("The Captain's Chest").." to\n"..ClrGrn("Captain Hecklebury Smotts").." "..ClrGrn2("(Human on dock)")..".\n"..ClrGry("(Lvl 52 / 60% Exp)"))
		elseif allyRoute_Conf.currPage == 33 then
			IT("- Take the Boat to reach Ratchet.\n\n- Jump off the Boat early and swim West\nto find a House and two Female Taurens.")
		elseif allyRoute_Conf.currPage == 34 then
			IT("- Turn-in "..ClrTurn("Seeking Spiritual Aid").." to\n"..ClrGrn("Islen Waterseer").." "..ClrGrn2("(Female Tauren)")..".\n\n- Wait for her to talk with a Water Elemental.\n- Accept "..ClrAcc("Cleansed Water Returns to Felwood")..".")
		elseif allyRoute_Conf.currPage == 35 then
			IT("- Go to Ratchet.\n- Accept "..ClrAcc("Volcanic Activity").." from\n"..ClrGrn("Liv Rizzlefix").." "..ClrGrn2("(Female Goblin inside a House)")..".\n\n- Loot *Marvon's Chest* outside that House.")
		elseif allyRoute_Conf.currPage == 36 then
			IT("- Fly to Gadgetzan.\n- Make Gadgetzan's Inn your Home.\n\n- Accept "..ClrAcc("Super Sticky").." from "..ClrGrn("Tran'rek").." "..ClrGrn2("(Goblin)")..". "..ClrRed("DON'T accept any other quest."))
		elseif allyRoute_Conf.currPage == 37 then
			IT("- Turn-in "..ClrTurn("Sprinkle's Secret Ingredient").." to\n"..ClrGrn("Sprinkle").." "..ClrGrn2("(Female Goblin outside a House)")..".\n- Accept "..ClrAcc("Delivery for Marin")..".\n\n- Accept "..ClrAcc("Bungle in the Jungle").." from\n"..ClrGrn("Alchemist Pestlezugg").." "..ClrGrn2("(Goblin inside)")..".")
		elseif allyRoute_Conf.currPage == 38 then
			IT("- Turn-in "..ClrTurn("Delivery for Marin").." to\n"..ClrGrn("Marin Noggenfogger").." "..ClrGrn2("(Goblin near the AH)")..".\n- Accept "..ClrAcc("Noggenfogger Elixir")..".\n- Turn-in "..ClrTurn("Noggenfogger Elixir")..".")
		elseif allyRoute_Conf.currPage == 39 then
			IT("- Go back to the Goblin in the Camp "..ClrYlw("[53,46]")..".\n\n- Turn-in "..ClrTurn("The Stone Circle").." to\n"..ClrGrn("Marvon Rivetseeker").." "..ClrGrn2("(Goblin)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 40 then
			IT("- Go South/West to reach Un'Goro Crater.\n"..ClrGry("(Lvl 52 / 70% Exp)"))
		end --End 29
	
	--52-54 Un'goro
	elseif allyRoute_Conf.currChapter == 30 then
		if allyRoute_Conf.currPage == 1 then
			IT("- From now your Quest Log will always be full.\n- Clean up any quests you picked on your own.\n- You should only have 10/20 quests.\n\n- Visit "..ClrYlw("Allyroute.com").." then "..ClrGrn("52-54 Un'goro").." to see what quests you should have.")
		elseif allyRoute_Conf.currPage == 2 then
			IT("- In Un'goro there are *Power Crystals* that\nyou can loot without having a quest.\n- Loot them when you can for a later quest.\n- You need:\n"..ClrRed("\"x7 Red\"")..", "..ClrYlw("\"x7 Yellow\"")..", "..ClrGrn("\"x7 Green\"")..", "..ClrAcc("x7 Blue")..".")
		elseif allyRoute_Conf.currPage == 3 then
			IT("- Also in Un'goro you can get "..ClrYlw("[Un'goro Soil]")..".\n- Use "..ClrYlw("[Evergreen Pouch]").." in your bag to consume\ntwo soils and get "..ClrYlw("[Evergreen Herb Casing]")..".\n- It can contain "..ClrYlw("[Morrowgrain]").." herbs.\n- You need "..ClrYlw("x20 [Morrowgrain]").." for two quests.\n"..ClrGry("(10 min CD. Use it when ready)"))
		elseif allyRoute_Conf.currPage == 4 then
			IT("- Go near the Waterfall to find a Tauren.\n- Accept "..ClrAcc("The Apes of Un'Goro").."\nand "..ClrAcc("The Fare of Lar'korwi").."\nfrom "..ClrGrn("Torwa Pathfinder").." "..ClrGrn2("(Tauren)")..".\n\n- Do "..ClrDo("The Fare of Lar'korwi")..".")
		elseif allyRoute_Conf.currPage == 5 then
			IT("- Go to "..ClrYlw("[63,68]").." to find a broken Boat.\n- Click on *A Wrecked Raft*.\n- Accept "..ClrAcc("It's a Secret to Everybody")..".\n- Click on *A Small Pack* in water.\n- Complete "..ClrTurn("It's a Secret to Everybody")..".\n- Accept "..ClrAcc("It's a Secret to Everybody")..".")
		elseif allyRoute_Conf.currPage == 6 then
			IT("- Go back to the Tauren near the Waterfall.\n\n- Turn-in "..ClrTurn("The Fare of Lar'korwi").." to\n"..ClrGrn("Torwa Pathfinder").." "..ClrGrn2("(Tauren)")..".\n- Accept "..ClrAcc("The Scent of Lar'korwi")..".")
		elseif allyRoute_Conf.currPage == 7 then
			IT("- Do "..ClrDo("The Scent of Lar'korwi")..".\n"..ClrGry("(Stand on the eggs near the Ravasaurs to\nspawn").." "..ClrRed("Lar'korwi Mate (Raptor)")..""..ClrGry(")"))
		elseif allyRoute_Conf.currPage == 8 then
			IT("- Go back to the Tauren near the Waterfall.\n\n- Turn-in "..ClrTurn("The Scent of Lar'korwi").." to\n"..ClrGrn("Torwa Pathfinder").." "..ClrGrn2("(same Tauren)")..".\n- Accept "..ClrAcc("The Bait for Lar'korwi")..".")
		elseif allyRoute_Conf.currPage == 9 then
			IT("- Do "..ClrDo("The Bait for Lar'korwi")..".\n"..ClrGry("(Open").." "..ClrYlw("[Torwa's Pouch]").." "..ClrGry("in your bag.\nUse").." "..ClrYlw("[Preserved Threshadon Meat]").." "..ClrGry("on the rock.\nThen use").." "..ClrYlw("[Preserved Pheromone Mixture]")..""..ClrGry(")"))
		elseif allyRoute_Conf.currPage == 10 then
			IT("- Go back to the Tauren near the Waterfall.\n\n- Turn-in "..ClrTurn("The Bait for Lar'korwi").." to\n"..ClrGrn("Torwa Pathfinder").." "..ClrGrn2("(same Tauren)")..".")
		elseif allyRoute_Conf.currPage == 11 then
			IT("- Do "..ClrDo("A Little Slime Goes a Long Way")..".\n"..ClrGry("(Open").." "..ClrYlw("[Bag of Empty Ooze Containers]").." "..ClrGry("\nin your bag to get bottles.\nUse the bottles on the dead Oozes)"))
		elseif allyRoute_Conf.currPage == 12 then
			IT("- Go to "..ClrYlw("[46,13]").." to find a Female Dwarf.\n- Accept "..ClrAcc("Chasing A-Me 01").." from\n"..ClrGrn("Karna Remtravel").." "..ClrGrn2("(Female Dwarf)")..".\n\n- Climb the mountain to reach\nMarshal's Refuge.")
		elseif allyRoute_Conf.currPage == 13 then
			IT("- Accept "..ClrAcc("Beware of Pterrordax").." from\nthe Wanted Poster.\n\n- Accept "..ClrAcc("Muigin and Larion").." from\n"..ClrGrn("Muigin").." "..ClrGrn2("(Human behind the Wanted Poster)")..".")
		elseif allyRoute_Conf.currPage == 14 then
			IT("- Open "..ClrYlw("[A Small Pack]").." in your bag.\n- Destroy "..ClrYlw("[Faded Photograph]").." from your bag.\n\n- Turn-in "..ClrTurn("It's a Secret to Everybody").." to\n"..ClrGrn("Linken").." "..ClrGrn2("(Gnome near a Tree)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 15 then
			IT("- Accept "..ClrAcc("Roll the Bones").." from "..ClrGrn("Spark Nilminer").." "..ClrGrn2("(Goblin outside the Cave)")..".\n\n- Accept "..ClrAcc("Alien Ecology").." from\n"..ClrGrn("Hol'anyee Marshal").." "..ClrGrn2("(Female Human)")..".")
		elseif allyRoute_Conf.currPage == 16 then
			IT("- Accept "..ClrAcc("Expedition Salvation").." from\n"..ClrGrn("Williden Marshal").." "..ClrGrn2("(Human)")..".\n\n- Pick up the Flight Point from "..ClrGrn("Gryfe")..".")
		elseif allyRoute_Conf.currPage == 17 then
			IT("- Accept "..ClrAcc("Crystals of Power").." from\n"..ClrGrn("J.D. Collie").." "..ClrGrn2("(Female Gnome inside the Cave)")..".\n- Turn-in "..ClrTurn("Crystals of Power")..".\n- Accept "..ClrAcc("The Northern Pylon").."\nand "..ClrAcc("The Eastern Pylon")..".\n"..ClrRed("DON'T accept any other quest."))
		elseif allyRoute_Conf.currPage == 18 then
			IT("- Do "..ClrDo("The Northern Pylon")..".\n\n- Mobs can drop "..ClrYlw("[A Mangled Journal]")..".\n- Click on it in your bag when you find it.\n- Accept "..ClrAcc("Williden's Journal")..".")
		elseif allyRoute_Conf.currPage == 19 then
			IT("- Do "..ClrDo("The Apes of Un'Goro")..".\n\n- Find "..ClrGrn("A-Me 01").." "..ClrGrn2("(Gorilla)").." inside the Cave.\n"..ClrGry("(If he's not there, it's because someone is\nEscorting him outside)"))
		elseif allyRoute_Conf.currPage == 20 then
			IT("- Turn-in "..ClrTurn("Chasing A-Me 01").." to the Gorilla.\n- Accept "..ClrAcc("Chasing A-Me 01")..".\n- Turn-in "..ClrTurn("Chasing A-Me 01")..".\n"..ClrRed("(Requires [Mithril Casing])").."\n- Accept "..ClrAcc("Chasing A-Me 01")..".\n"..ClrRed("(Escort Quest)"))
		elseif allyRoute_Conf.currPage == 21 then
			IT("- Escort the Gorilla.\n\n- Turn-in "..ClrTurn("Chasing A-Me 01").." to "..ClrGrn("Karna Remtravel").." "..ClrGrn2("(Female Dwarf outside the Camp)")..".\n"..ClrGry("(Lvl 53 / 20% Exp)"))
		elseif allyRoute_Conf.currPage == 22 then
			IT("- Go back to Marshal's Refuge.\n- Turn-in "..ClrTurn("Williden's Journal").." to\n"..ClrGrn("Williden Marshal").." "..ClrGrn2("(Human outside the Cave)")..".\n\n- Accept "..ClrAcc("Shizzle's Flyer").." from\n"..ClrGrn("Shizzle").." "..ClrGrn2("(Goblin on a Hill)")..".")
		elseif allyRoute_Conf.currPage == 23 then
			IT("- Do "..ClrDo("Super Sticky").."\nand "..ClrDo("Muigin and Larion").."\nand "..ClrDo("Roll the Bones").."\nand "..ClrDo("The Eastern Pylon").."\nand "..ClrDo("Expedition Salvation")..".\n"..ClrGry("(Crate of Foodstuffs part only)"))
		elseif allyRoute_Conf.currPage == 24 then
			IT("- Go back to the Tauren near the Waterfall.\n\n- Turn-in "..ClrTurn("The Apes of Un'Goro").." to\n"..ClrGrn("Torwa Pathfinder").." "..ClrGrn2("(Tauren)")..".\n- Accept "..ClrAcc("The Mighty U'cha")..".")
		elseif allyRoute_Conf.currPage == 25 then
			IT("- Do "..ClrDo("Bungle in the Jungle").."\nand "..ClrDo("Shizzle's Flyer").."\nand "..ClrDo("Beware of Pterrordax")..".\n"..ClrGry("(x10 Pterrordax part only)"))
		elseif allyRoute_Conf.currPage == 26 then
			IT("- Do "..ClrDo("Alien Ecology")..".\n"..ClrGry("(Go inside The Slithering Scar Cave.\nHug the left wall and walk forward.\nGo to the center of the room.\nUse").." "..ClrYlw("[Unused Scraping Vial]").." "..ClrGry("in your bag)"))
		elseif allyRoute_Conf.currPage == 27 then
			IT("- Hearthstone back to Gadgetzan.\n- Turn-in "..ClrTurn("Super Sticky").." to "..ClrGrn("Tran'rek").." "..ClrGrn2("(Goblin)")..".\n\n- Turn-in "..ClrTurn("Bungle in the Jungle").." to\n"..ClrGrn("Alchemist Pestlezugg").." "..ClrGrn2("(Goblin inside a House)")..".\n- Accept "..ClrAcc("Pawn Captures Queen")..".")
		elseif allyRoute_Conf.currPage == 28 then
			IT("- Fly to Marshal's Refuge, Un'Goro Crater.\n- Turn-in "..ClrTurn("Alien Ecology").." to\n"..ClrGrn("Hol'anyee Marshal").." "..ClrGrn2("(Female Human)")..".\n\n- Turn-in "..ClrTurn("Roll the Bones").." to\n"..ClrGrn("Spark Nilminer").." "..ClrGrn2("(Goblin)")..".")
		elseif allyRoute_Conf.currPage == 29 then
			IT("- Turn-in "..ClrTurn("The Northern Pylon").."\nand "..ClrTurn("The Eastern Pylon").."\nto "..ClrGrn("J.D. Collie").." "..ClrGrn2("(Female Gnome inside the Cave)")..".\n- Accept "..ClrAcc("The Western Pylon")..".")
		elseif allyRoute_Conf.currPage == 30 then
			IT("- Accept "..ClrAcc("Lost!").." from "..ClrGrn("Spraggle Frock").."\n"..ClrGrn2("(Female Goblin near the Wanted Poster)")..".\n\n- Turn-in "..ClrTurn("Muigin and Larion").." to "..ClrGrn("Muigin").."\n"..ClrGrn2("(Human behind the Wanted Poster)")..".\n- Accept "..ClrAcc("A Visit to Gregan")..".")
		elseif allyRoute_Conf.currPage == 31 then
			IT("- Turn-in "..ClrTurn("Shizzle's Flyer").." to\n"..ClrGrn("Shizzle").." "..ClrGrn2("(Goblin on the Hill)")..".\n\n- Do "..ClrDo("The Mighty U'cha")..".")
		elseif allyRoute_Conf.currPage == 32 then
			IT("- Go to "..ClrYlw("[31,50]").." to find a Goblin near water.\n- Accept "..ClrAcc("Finding the Source").." from\n"..ClrGrn("Krakle").." "..ClrGrn2("(Goblin)")..".")
		elseif allyRoute_Conf.currPage == 33 then
			IT("- Do "..ClrDo("Beware of Pterrordax").."\nand "..ClrDo("The Western Pylon").."\nand "..ClrDo("Expedition Salvation")..".")
		elseif allyRoute_Conf.currPage == 34 then
			IT("- Go back to the Tauren near the Waterfall.\n\n- Turn-in "..ClrTurn("The Mighty U'cha").." to\n"..ClrGrn("Torwa Pathfinder").." "..ClrGrn2("(Tauren)")..".")
		elseif allyRoute_Conf.currPage == 35 then
			IT("- Do "..ClrDo("Pawn Captures Queen")..".\n"..ClrGry("(Go inside The Slithering Scar Cave.\nHug the right wall and walk to the last room.\nUse").." "..ClrYlw("[Gorishi Queen Lure]").." "..ClrGry("in your bag.\nWaves of mobs will spawn so be ready)"))
		elseif allyRoute_Conf.currPage == 36 then
			IT("- Hearthstone back to Gadgetzan.\n\n- Turn-in "..ClrTurn("Pawn Captures Queen").." to\n"..ClrGrn("Alchemist Pestlezugg").." "..ClrGrn2("(Goblin inside a House)")..".\n- Accept "..ClrAcc("Calm Before the Storm")..".")
		elseif allyRoute_Conf.currPage == 37 then
			IT("- Fly to Marshal's Refuge, Un'Goro Crater.\n- Turn-in "..ClrTurn("Expedition Salvation").." to\n"..ClrGrn("Williden Marshal").." "..ClrGrn2("(Human outside the Cave)")..".\n\n- Turn-in "..ClrTurn("Beware of Pterrordax").." to\n"..ClrGrn("Spraggle Frock").." "..ClrGrn2("(Female Goblin)")..".")
		elseif allyRoute_Conf.currPage == 38 then
			IT("- Turn-in "..ClrTurn("The Western Pylon").." to\n"..ClrGrn("J.D. Collie").." "..ClrGrn2("(Female Gnome inside the Cave)")..".\n- Accept "..ClrAcc("Making Sense of It")..".\n- Turn-in "..ClrTurn("Making Sense of It")..". "..ClrGry("(Lvl 54)").."\n- Destroy "..ClrYlw("[Crystal Pylon User's Manual]").."\nfrom your bag.")
		elseif allyRoute_Conf.currPage == 39 then
			IT("- Go to the mountain at the center of Un'goro.\n- Find *Fire Plume Ridge Hot Spot*. "..ClrGry("(Lava Pillar)").."\n- Use "..ClrYlw("[Krakle's Thermometer]").." in your bag.\n\n- Do "..ClrDo("Volcanic Activity")..".")
		elseif allyRoute_Conf.currPage == 40 then
			IT("- Find a Goblin in a Cave in the mountain.\n\n- Turn-in "..ClrTurn("Lost!").." to "..ClrGrn("Ringo").." "..ClrGrn2("(Goblin)")..".\n- Accept "..ClrAcc("A Little Help From My Friends")..".\n"..ClrRed("(Escort Quest. The Goblin is following you)"))
		elseif allyRoute_Conf.currPage == 41 then
			IT("- Escort the Goblin back to Marshal's Refuge\nnear the Wanted Poster.\n"..ClrGry("(Use").." "..ClrYlw("[Spraggle's Canteen]").." "..ClrGry("on the Goblin when\nhe passes out to wake him up)"))
		elseif allyRoute_Conf.currPage == 42 then
			IT("- Turn-in "..ClrTurn("A Little Help From My Friends").." to\n"..ClrGrn("Spraggle Frock").." "..ClrGrn2("(Female Goblin)")..".\n- Destroy "..ClrYlw("[Spraggle's Canteen]").." from your bag.\n\n- Accept "..ClrAcc("It's a Secret to Everybody").." from\n"..ClrGrn("Linken").." "..ClrGrn2("(Gnome near a Tree)")..".")
		elseif allyRoute_Conf.currPage == 43 then
			IT("- Go back to the Goblin near water "..ClrYlw("[31,50]")..".\n\n- Turn-in "..ClrTurn("Finding the Source").." to\n"..ClrGrn("Krakle").." "..ClrGrn2("(Goblin)")..".\n- Accept "..ClrAcc("The New Springs")..".")
		elseif allyRoute_Conf.currPage == 44 then
			IT("- Make sure you have "..ClrYlw("x20 [Un'Goro Soil]")..".\n- Go North/West to reach Silithus.\n\n- Follow the road to reach Cenarion Hold.\n- Pick up the Flight Point from "..ClrGrn("Cloud Skydancer")..".")
		elseif allyRoute_Conf.currPage == 45 then
			IT("- Fly to Feathermoon, Feralas.\n- Make Feathermoon's Inn your Home.\n\n- Fly to Darnassus. "..ClrGry("(Lvl 54 / 15% Exp)"))
		end --End 30
	
	--54-55 Feralas, Felwood
	elseif allyRoute_Conf.currChapter == 31 then
		if allyRoute_Conf.currPage == 1 then
			IT("- Accept "..ClrAcc("Moontouched Wildkin").." from\n"..ClrGrn("Erelas Ambersky").." "..ClrGrn2("(Night Elf)")..".\n- Turn-in "..ClrTurn("The Super Snapper FX").." to\n"..ClrGrn("Daryn Lightwind").." "..ClrGrn2("(Female Night Elf)")..".\n- Accept "..ClrAcc("Return to Troyas").."\nand "..ClrAcc("Starfall")..".")
		elseif allyRoute_Conf.currPage == 2 then
			IT("- Go through the portal to reach Darnassus.\n- Go to the Temple of the Moon.\n\n- Turn-in "..ClrTurn("Calm Before the Storm").." to\n"..ClrGrn("Gracina Spiritmight").." "..ClrGrn2("(Female Night Elf)")..".\n- Accept "..ClrAcc("Calm Before the Storm")..".")
		elseif allyRoute_Conf.currPage == 3 then
			IT("- Turn-in "..ClrTurn("Calm Before the Storm").." to "..ClrGrn("Idriana").."\n"..ClrGrn2("(Female Night Elf Banker)")..".\n\n- Go to Cenarion Enclave.\n- Turn-in "..ClrTurn("Un'Goro Soil").." to "..ClrGrn("Jenal").."\n"..ClrGrn2("(Night Elf behind the Tower)")..".")
		elseif allyRoute_Conf.currPage == 4 then
			IT("- Accept "..ClrAcc("Morrowgrain Research").." from\n"..ClrGrn("Arch Druid Fandral Staghelm").."\n"..ClrGrn2("(Night Elf inside the Tower)")..".")
		elseif allyRoute_Conf.currPage == 5 then
			IT("- Turn-in "..ClrTurn("Morrowgrain Research").." to\n"..ClrGrn("Mathrengyl Bearwalker").." "..ClrGrn2("(Night Elf Druid Trainer)")..".\n- Accept "..ClrAcc("Morrowgrain Research")..".\n- Turn-in "..ClrTurn("Morrowgrain Research")..".\n"..ClrRed("(Requires x10 [Morrowgrain])").." "..ClrGry("(You still need\nanother x10 for another quest)"))
		elseif allyRoute_Conf.currPage == 6 then
			IT("- Fly to Astranaar, Ashenvale.\n- Go East then North to reach Felwood.\n\n- Follow the road to find a Female Night Elf.\n- Accept "..ClrAcc("Cleansing Felwood").." from\n"..ClrGrn("Arathandris Silversky").." "..ClrGrn2("(Female Night Elf)")..".")
		elseif allyRoute_Conf.currPage == 7 then
			IT("- Go to Emerald Sanctuary.\n\n- Turn-in "..ClrTurn("Cleansed Water Returns to Felwood").."\nto "..ClrGrn("Greta Mosshoof").." "..ClrGrn2("(Female Tauren)")..".\n- Accept "..ClrAcc("Dousing the Flames of Protection")..".")
		elseif allyRoute_Conf.currPage == 8 then
			IT("- Accept "..ClrAcc("Further Corruption").." from\n"..ClrGrn("Eridan Bluewind").." "..ClrGrn2("(Female Night Elf)")..".\n\n- Accept "..ClrAcc("Verifying the Corruption").." from\n"..ClrGrn("Taronn Redfeather").." "..ClrGrn2("(Tauren)")..".")
		elseif allyRoute_Conf.currPage == 9 then
			IT("- Do "..ClrDo("Dousing the Flames of Protection")..".\n"..ClrGry("(Enter the Shadow Hold at").." "..ClrYlw("[35,58]")..""..ClrGry(".\nClick on the ").."*Brazier*"..ClrGry(" (Purple fire things))").."\n- Kill mobs there until you find "..ClrYlw("[Blood Red Key]")..".\n- Click on it in your KEYCHAIN.\n- Accept "..ClrAcc("A Strange Red Key")..".")
		elseif allyRoute_Conf.currPage == 10 then
			IT("- Find a Female Night Elf locked in a Cage.\n- Turn-in "..ClrTurn("A Strange Red Key").." to\n"..ClrGrn("Captured Arko'narin").." "..ClrGrn2("(Female Night Elf)")..".\n- Accept "..ClrAcc("Rescue From Jaedenar")..".\n"..ClrRed("(Escort Quest. Lvl 53 Elite Human at the end)").."\n- Escort the Female Night Elf outside.")
		elseif allyRoute_Conf.currPage == 11 then
			IT("- Do "..ClrDo("Verifying the Corruption")..".")
		elseif allyRoute_Conf.currPage == 12 then
			IT("- Do "..ClrDo("Further Corruption")..".\n\n- "..ClrRed("Xavaric (Demon)").." drops "..ClrYlw("[Flute of Xavaric]")..".\n- Click on it in your bag.\n- Accept "..ClrAcc("Flute of Xavaric")..".\n- Do "..ClrDo("Flute of Xavaric")..".")
		elseif allyRoute_Conf.currPage == 13 then
			IT("- Do "..ClrDo("Cleansing Felwood")..".")
		elseif allyRoute_Conf.currPage == 14 then
			IT("- Go to Talonbranch Glade "..ClrYlw("[62,24]")..".\n- Pick up the Flight Point from "..ClrGrn("Mishellena")..".\n\n- Go North to reach a Tunnel.\n- Go East in the Tunnel to reach Winterspring.\n"..ClrGry("(Lvl 54 / 65% Exp)"))
		elseif allyRoute_Conf.currPage == 15 then
			IT("- Go to "..ClrYlw("[31,45]").." to find a Female Dwarf.\n\n- Turn-in "..ClrTurn("The New Springs").." to\n"..ClrGrn("Donova Snowden").." "..ClrGrn2("(Female Dwarf)")..".\n- Accept "..ClrAcc("Strange Sources")..".")
		elseif allyRoute_Conf.currPage == 16 then
			IT("- Turn-in "..ClrTurn("It's a Secret to Everybody")..".\n- Wait for the Female Dwarf.\n- Accept "..ClrAcc("The Videre Elixir")..".")
		elseif allyRoute_Conf.currPage == 17 then
			IT("- Go to "..ClrYlw("[52,30]").." to find a Night Elf building.\n\n- Turn-in "..ClrTurn("Starfall").." to "..ClrGrn("Wynd Nightchaser").."\n"..ClrGrn2("(Night Elf)")..".\n- Accept "..ClrAcc("The Ruins of Kel'Theril")..".")
		elseif allyRoute_Conf.currPage == 18 then
			IT("- Turn-in "..ClrTurn("The Ruins of Kel'Theril").." to\n"..ClrGrn("Jaron Stoneshaper").." "..ClrGrn2("(Dwarf)")..".\n- Accept "..ClrAcc("Troubled Spirits of Kel'Theril").."\nand "..ClrAcc("Enraged Wildkin")..".")
		elseif allyRoute_Conf.currPage == 19 then
			IT("- Follow the road East to reach Everlook.\n- Pick up the Flight Point from "..ClrGrn("Maethrya")..".\n\n- Turn-in "..ClrTurn("Felnok Steelspring").." to\n"..ClrGrn("Felnok Steelspring").." "..ClrGrn2("(Goblin near the Inn)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 20 then
			IT("- Hearthstone back to Feathermoon, Feralas.\n- Turn-in "..ClrTurn("The Mystery of Morrowgrain").." to\n"..ClrGrn("Quintis Jonespyre").." "..ClrGrn2("(Night Elf in the Tree House)")..".\n"..ClrRed("(Requires x10 [Morrowgrain])").."\n- Destroy "..ClrYlw("[Evergreen Pouch]").."\nand "..ClrYlw("[Packet of Tharlendris Seeds]")..".")
		elseif allyRoute_Conf.currPage == 21 then
			IT("- Turn-in "..ClrTurn("Return to Troyas").." to\n"..ClrGrn("Troyas Moonbreeze").." "..ClrGrn2("(Night Elf in a House)")..".\n- Wait for the Night Elf to talk.\n- Accept "..ClrAcc("The Stave of Equinex")..".")
		elseif allyRoute_Conf.currPage == 22 then
			IT("- Swim East to reach the main land.\n- Go to "..ClrYlw("[45,26]").." to find a Dwarf in a Camp.\n\n- Turn-in "..ClrTurn("A Visit to Gregan").." to\n"..ClrGrn("Gregan Brewspewer").." "..ClrGrn2("(Dwarf)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 23 then
			IT("- Buy "..ClrYlw("x1 [Bait]").." from the same Dwarf.\n\n- Go to "..ClrYlw("[42,22]").." to find a Giant.\n- Accept "..ClrAcc("The Giant Guardian").." from\n"..ClrGrn("Rockbiter").." "..ClrGrn2("(Giant)")..". "..ClrGry("(Low Level Quest)"))
		elseif allyRoute_Conf.currPage == 24 then
			IT("- Do "..ClrDo("The Videre Elixir")..".\n"..ClrGry("(Go to").." "..ClrYlw("[44,10]").." "..ClrGry("to find").." "..ClrGrn("Miblon Snarltooth (Gnoll)")..""..ClrGry(".\nUse").." "..ClrYlw("[Bait]").." "..ClrGry("in your bag near him.\nGo through the wall. Loot ").."*Evoroot*"..ClrGry(")"))
		elseif allyRoute_Conf.currPage == 25 then
			IT("- Loot the Flames around Ruins of Ravenwind\nto get "..ClrYlw("[Imbel Essence]")..", "..ClrYlw("[Lahassa Essence]")..",\n"..ClrYlw("[Byltan Essence]")..", "..ClrYlw("[Samha Essence]")..".\n\n"..ClrGry("(").."*Flame of Samha*"..ClrGry(" is on top of a building.\nZoom out to spot it from the ground)"))
		elseif allyRoute_Conf.currPage == 26 then
			IT("- Find *Equinex Monolith* in the same area.\n- Use "..ClrYlw("[Troyas' Stave]").." from your bag near it.\n\n- Click on *Equinex Monolith*.\n- Complete "..ClrTurn("The Stave of Equinex")..".\n- Accept "..ClrAcc("The Morrow Stone")..".")
		elseif allyRoute_Conf.currPage == 27 then
			IT("- Go to "..ClrYlw("[38,10]").." to find a Female Night Elf.\n\n- Turn-in "..ClrTurn("The Giant Guardian").." to\n"..ClrGrn("Shay Leafrunner").." "..ClrGrn2("(Female Night Elf)")..".\n- Accept "..ClrAcc("Wandering Shay")..". "..ClrRed("(Escort Quest)").."\n"..ClrGry("(Read next page)"))
		elseif allyRoute_Conf.currPage == 28 then
			IT("- Loot *Shay's Chest* next to her.\n- Use "..ClrYlw("[Shay's Bell]").." when she wanders away.\n- Escort her back to the Giant.\n\n- Turn-in "..ClrTurn("Wandering Shay").." to\n"..ClrGrn("Rockbiter").." "..ClrGrn2("(Giant)")..".")
		elseif allyRoute_Conf.currPage == 29 then
			IT("- Go back to the Dwarf in the Camp.\n\n- Turn-in "..ClrTurn("The Videre Elixir").." to\n"..ClrGrn("Gregan Brewspewer").." "..ClrGrn2("(Dwarf)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 30 then
			IT("- Hearthstone back to Feathermoon, Feralas.\n\n- Turn-in "..ClrTurn("The Morrow Stone").." to\n"..ClrGrn("Troyas Moonbreeze").." "..ClrGrn2("(Night Elf in a House)")..".\n"..ClrGry("(Lvl 55)"))
		elseif allyRoute_Conf.currPage == 31 then
			IT("- Fly to Astranaar, Ashenvale.\n- Go East then North to reach Felwood.\n- Follow the road to find a Female Night Elf.")
		elseif allyRoute_Conf.currPage == 32 then
			IT("- Turn-in "..ClrTurn("Cleansing Felwood").." to\n"..ClrGrn("Arathandris Silversky").." "..ClrGrn2("(Female Night Elf)")..".\n\n- Talk to her again and get "..ClrYlw("[Cenarion Beacon]")..".\n"..ClrGry("(This will let you loot").." "..ClrYlw("x6 [Corrupted Soul Shard]").." "..ClrGry("\nfrom demons for a later quest)"))
		elseif allyRoute_Conf.currPage == 33 then
			IT("- Go to Emerald Sanctuary.\n\n- Turn-in "..ClrTurn("Dousing the Flames of Protection").." to\n"..ClrGrn("Greta Mosshoof").." "..ClrGrn2("(Female Tauren)")..".\n- Accept "..ClrAcc("A Final Blow")..".")
		elseif allyRoute_Conf.currPage == 34 then
			IT("- Turn-in "..ClrTurn("Rescue From Jaedenar").." to\n"..ClrGrn("Jessir Moonbow").." "..ClrGrn2("(Female Night Elf outside)")..".\n- Accept "..ClrAcc("Retribution of the Light")..".\n\n- Turn-in "..ClrTurn("Verifying the Corruption").." to\n"..ClrGrn("Taronn Redfeather").." "..ClrGrn2("(Tauren)")..".")
		elseif allyRoute_Conf.currPage == 35 then
			IT("- Turn-in "..ClrTurn("Flute of Xavaric").."\nand "..ClrTurn("Further Corruption").."\nto "..ClrGrn("Eridan Bluewind").." "..ClrGrn2("(Female Night Elf inside)")..".\n- Accept "..ClrAcc("Felbound Ancients")..".")
		elseif allyRoute_Conf.currPage == 36 then
			IT("- Do "..ClrDo("Retribution of the Light")..".\n"..ClrGry("(Enter the Shadow Hold again.\nKeep going forward to reach a ritual room with\nOrcs and a Succubus and a dead Human)"))
		elseif allyRoute_Conf.currPage == 37 then
			IT("- Turn-in "..ClrTurn("Retribution of the Light").." to\n"..ClrGrn("Remains of Trey Lightforge").." "..ClrGrn2("(Dead Human)")..".\n- Accept "..ClrAcc("The Remains of Trey Lightforge")..".\n\n- Do "..ClrDo("A Final Blow")..". "..ClrGry("(Keep going forward to\nfind an Orc and two Succubus)"))
		elseif allyRoute_Conf.currPage == 38 then
			IT("- Fight your way out of the Cave.\n- Destroy "..ClrYlw("[Cenarion Beacon]").." from your bag.\n\n- Go to Talonbranch Glade.\n- Fly to Everlook, Winterspring.\n"..ClrGry("(Lvl 55 / 45% Exp)"))
		end --End 31
	
	--55-56 Winterspring, Burning Steppes
	elseif allyRoute_Conf.currChapter == 32 then
		if allyRoute_Conf.currPage == 1 then
			IT("- Accept "..ClrAcc("Trouble in Winterspring!").." from\n"..ClrGrn("Meggi Peppinrocker").." "..ClrGrn2("(Female Goblin walking\naround Everlook)")..".")
		elseif allyRoute_Conf.currPage == 2 then
			IT("- Make Everlook's Inn your Home.\n\n- Accept "..ClrAcc("The Everlook Report").."\nand "..ClrAcc("Duke Nicholas Zverenhoff").."\nfrom "..ClrGrn("Gregor Greystone").." "..ClrGrn2("(Human in the Inn)")..".")
		elseif allyRoute_Conf.currPage == 3 then
			IT("- Accept "..ClrAcc("Chillwind Horns").." from\n"..ClrGrn("Felnok Steelspring").." "..ClrGrn2("(Goblin near the Inn)").."\n\n- Accept "..ClrAcc("Are We There, Yeti?").." from\n"..ClrGrn("Umi Rumplesnicker").." "..ClrGrn2("(Female Goblin)")..".")
		elseif allyRoute_Conf.currPage == 4 then
			IT("- Do "..ClrDo("Moontouched Wildkin").."\nand "..ClrDo("Are We There, Yeti?").."\nand "..ClrDo("Chillwind Horns")..".")
		elseif allyRoute_Conf.currPage == 5 then
			IT("- Go to "..ClrYlw("[59,60]").." to find the remains of a Camp.\n\n- Click on *Damaged Crate* in the Camp.\n- Complete "..ClrTurn("Enraged Wildkin")..".\n- Accept "..ClrAcc("Enraged Wildkin")..".")
		elseif allyRoute_Conf.currPage == 6 then
			IT("- Click on *Jaron's Wagon* near the road.\n- Complete "..ClrTurn("Enraged Wildkin")..".\n- Accept "..ClrAcc("Enraged Wildkin")..".\n\n- Do "..ClrDo("Enraged Wildkin")..". "..ClrGry("(Jaron's Supplies are\nin a Box next to the Wagon)"))
		elseif allyRoute_Conf.currPage == 7 then
			IT("- Follow the road South until you complete\n"..ClrTurn("Strange Sources").." objective.\n\n- Hearthstone back to Everlook.")
		elseif allyRoute_Conf.currPage == 8 then
			IT("- Turn-in "..ClrTurn("Are We There, Yeti?").." to\n"..ClrGrn("Umi Rumplesnicker").." "..ClrGrn2("(Female Goblin)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 9 then
			IT("- Turn-in "..ClrTurn("Chillwind Horns").." to\n"..ClrGrn("Felnok Steelspring").." "..ClrGrn2("(Goblin near the Inn)")..".\n- Accept "..ClrAcc("Return to Tinkee")..".")
		elseif allyRoute_Conf.currPage == 10 then
			IT("- Do "..ClrDo("Troubled Spirits of Kel'Theril")..".")
		elseif allyRoute_Conf.currPage == 11 then
			IT("- Go back to the Night Elf building.\n- Turn-in "..ClrTurn("Enraged Wildkin").." to\n"..ClrGrn("Jaron Stoneshaper").." "..ClrGrn2("(Dwarf)")..".\n\n- Go back to the Female Dwarf near\nWinterspring's entrance.")
		elseif allyRoute_Conf.currPage == 12 then
			IT("- Turn-in "..ClrTurn("The Videre Elixir").."\nand "..ClrTurn("Strange Sources").."\nand "..ClrTurn("Trouble in Winterspring!").."\nto "..ClrGrn("Donova Snowden").." "..ClrGrn2("(Female Dwarf)")..".\n- Accept "..ClrAcc("Meet at the Grave").."\nand "..ClrAcc("Threat of the Winterfall")..". "..ClrGry("(Lvl 56)"))
		elseif allyRoute_Conf.currPage == 13 then
			IT("- Do "..ClrDo("Threat of the Winterfall")..".\n\n- Mobs can drop "..ClrYlw("[Empty Firewater Flask]")..".\n- Click on it in your bag.\n- Accept "..ClrAcc("Winterfall Firewater")..".")
		elseif allyRoute_Conf.currPage == 14 then
			IT("- Turn-in "..ClrTurn("Threat of the Winterfall").."\nand "..ClrTurn("Winterfall Firewater").."\nto "..ClrGrn("Donova Snowden").." "..ClrGrn2("(same Female Dwarf)")..".\n- Accept "..ClrAcc("Falling to Corruption")..".")
		elseif allyRoute_Conf.currPage == 15 then
			IT("- Go to the Northern side of Felwood.\n\n- Go to "..ClrYlw("[60,06]").." in Felpaw Village.\n- Click on *Deadwood Cauldron*.\n- Complete "..ClrTurn("Falling to Corruption")..".\n- Accept "..ClrAcc("Mystery Goo")..".")
		elseif allyRoute_Conf.currPage == 16 then
			IT("- Go back to Winterspring.\n- Go back to the Female Dwarf.\n\n- Turn-in "..ClrTurn("Mystery Goo").." to\n"..ClrGrn("Donova Snowden").." "..ClrGrn2("(Female Dwarf)")..".\n- Accept "..ClrAcc("Toxic Horrors")..".")
		elseif allyRoute_Conf.currPage == 17 then
			IT("- Go to Felwood again.\n- Fly to Auberdine, Darkshore.\n\n- Take the Boat on the left side to reach\nMenethil Harbor, Wetlands.\n- Fly to Ironforge. "..ClrGry("(Lvl 56 / 20% Exp)"))
		elseif allyRoute_Conf.currPage == 18 then
			IT("- Go to the Hall of Explorers.\n\n- Turn-in "..ClrTurn("A Little Slime Goes a Long Way").." to\n"..ClrGrn("Laris Geardawdle").." "..ClrGrn2("(Gnome near the artifacts)")..".")
		elseif allyRoute_Conf.currPage == 19 then
			IT("- Make Ironforge's Inn your Home.\n\n- Accept "..ClrAcc("The New Frontier").." from\n"..ClrGrn("Courier Hammerfall").." "..ClrGrn2("(Dwarf walking in Ironforge)")..". "..ClrRed("DON'T accept any other quest."))
		elseif allyRoute_Conf.currPage == 20 then
			IT("- Go to the High Seat near the King.\n\n- Accept "..ClrAcc("The Smoldering Ruins of Thaurissan").." from "..ClrGrn("Royal Historian Archesonus").." "..ClrGrn2("(Female Dwarf)")..".")
		elseif allyRoute_Conf.currPage == 21 then
			IT("- Talk to her again and listen to the story.\n- Turn-in "..ClrTurn("The Smoldering Ruins of Thaurissan")..".\n- Accept "..ClrAcc("The Smoldering Ruins of Thaurissan")..".")
		elseif allyRoute_Conf.currPage == 22 then
			IT("- Fly to Stormwind.\n\n- Accept "..ClrAcc("Good Luck Charm").." from "..ClrGrn("Ol' Emma").."\n"..ClrGrn2("(Female Human walking around Stormwind)")..".")
		elseif allyRoute_Conf.currPage == 23 then
			IT("- Go to Stormwind Keep.\n\n- Accept "..ClrAcc("The First and the Last").." from\n"..ClrGrn("Highlord Bolvar Fordragon")..".")
		elseif allyRoute_Conf.currPage == 24 then
			IT("- Go to Old Town.\n- Turn-in "..ClrTurn("The First and the Last").." to\n"..ClrGrn("Master Mathias Shaw").." "..ClrGrn2("(Human in SI:7 building)")..".\n- Accept "..ClrAcc("Honor the Dead")..".\n- Turn-in "..ClrTurn("Honor the Dead")..".\n- Accept "..ClrAcc("Flint Shadowmore")..".")
		elseif allyRoute_Conf.currPage == 25 then
			IT("- Fly to Morgan's Vigil, Burning Steppes.\n- Go to Flame Crest "..ClrYlw("[66,22]")..".\n\n- Turn-in "..ClrTurn("Return to Tinkee").." to\n"..ClrGrn("Tinkee Steamboil").." "..ClrGrn2("(Female Goblin)")..".")
		elseif allyRoute_Conf.currPage == 26 then
			IT("- Accept "..ClrAcc("Tablet of the Seven").." from\n"..ClrGrn("Maxwort Uberglint").." "..ClrGrn2("(Goblin)")..".\n"..ClrRed("DON'T accept any other quest."))
		elseif allyRoute_Conf.currPage == 27 then
			IT("- Do "..ClrDo("The Smoldering Ruins of Thaurissan").."\nand "..ClrDo("Tablet of the Seven")..".")
		elseif allyRoute_Conf.currPage == 28 then
			IT("- Go back to Flame Crest.\n- Turn-in "..ClrTurn("Tablet of the Seven").." to\n"..ClrGrn("Maxwort Uberglint").." "..ClrGrn2("(same Goblin)")..".\n"..ClrRed("DON'T accept any quest.").."\n\n- Hearthstone back to Ironforge.")
		elseif allyRoute_Conf.currPage == 29 then
			IT("- Go to the High Seat near the King.\n- Turn-in "..ClrTurn("The Smoldering Ruins of Thaurissan").."\nto "..ClrGrn("Royal Historian Archesonus").." "..ClrGrn2("(Female Dwarf)")..".\n\n- Fly to Chillwind Camp, Western Plaguelands.\n"..ClrGry("(Lvl 56 / 35% Exp)"))
		end --End 32
	
	--56-57 Plaguelands
	elseif allyRoute_Conf.currChapter == 33 then
		if allyRoute_Conf.currPage == 1 then
			IT("- Accept "..ClrAcc("All Along the Watchtowers").." from\n"..ClrGrn("Commander Ashlam Valorfist").." "..ClrGrn2("(Human)")..".\n\n- Turn-in "..ClrTurn("The Everlook Report").." to\n"..ClrGrn("Argent Officer Pureheart").." "..ClrGrn2("(Female Human)")..".")
		elseif allyRoute_Conf.currPage == 2 then
			IT("- Accept "..ClrAcc("Target: Dalson's Tears").." from\n"..ClrGrn("High Priestess MacDonnell").." "..ClrGrn2("(Female Human)")..".\n\n- Turn-in "..ClrTurn("Flint Shadowmore").." to\n"..ClrGrn("Flint Shadowmore").." "..ClrGrn2("(Human)")..".\n- Accept "..ClrAcc("The Eastern Plagues")..".")
		elseif allyRoute_Conf.currPage == 3 then
			IT("- Go to The Writhing Haunt "..ClrYlw("[54,68]")..".\n\n- Accept "..ClrAcc("The Wildlife Suffers Too").." from\n"..ClrGrn("Mulgris Deepriver").." "..ClrGrn2("(Dying Tauren in a House)")..".")
		elseif allyRoute_Conf.currPage == 4 then
			IT("- Do "..ClrDo("The Wildlife Suffers Too")..".")
		elseif allyRoute_Conf.currPage == 5 then
			IT("- Go to Dalson's Tears "..ClrYlw("[48,50]")..".\n- Go inside the Warehouse.\n\n- Click on *Mrs. Dalson's Diary* on the ground.\n- Complete "..ClrTurn("Mrs. Dalson's Diary")..".")
		elseif allyRoute_Conf.currPage == 6 then
			IT("- Kill "..ClrRed("Wandering Skeleton").." behind the House.\n- Loot "..ClrYlw("[Dalson Outhouse Key]")..".\n\n- Click on the *Outhouse*.\n- Accept "..ClrAcc("Locked Away")..".")
		elseif allyRoute_Conf.currPage == 7 then
			IT("- Kill "..ClrRed("Farmer Dalson (Ghoul)").." that spawned.\n- Loot "..ClrYlw("[Dalson Cabinet Key]")..".\n\n- Go inside the House. Go upstairs.\n- Click on *Locked Cabinet*.\n- Complete "..ClrTurn("Locked Away")..".")
		elseif allyRoute_Conf.currPage == 8 then
			IT("- Do "..ClrDo("Target: Dalson's Tears")..". "..ClrGry("(Loot a Key from\n").." "..ClrRed("Cauldron Lord Malvinious (Skeleton Warrior)")..""..ClrGry(")").."\n\n- Click on *Scourge Cauldron*.\n- Complete "..ClrTurn("Target: Dalson's Tears")..".\n- Accept "..ClrAcc("Return to Chillwind Camp")..".")
		elseif allyRoute_Conf.currPage == 9 then
			IT("- Go to the House in Felstone Field at "..ClrYlw("[38,54]")..".\n\n- Turn-in "..ClrTurn("Good Luck Charm").." to\n"..ClrGrn("Janice Felstone").." "..ClrGrn2("(Female Ghost upstairs)")..".\n- Accept "..ClrAcc("Two Halves Become One")..".")
		elseif allyRoute_Conf.currPage == 10 then
			IT("- Kill "..ClrRed("Jabbering Ghoul (Ghoul)").." in the field.\n- Loot "..ClrYlw("[Good Luck Other-Half-Charm]")..".\n- Use it in your bag.\n\n- Turn-in "..ClrTurn("Two Halves Become One").." to\n"..ClrGrn("Janice Felstone").." "..ClrGrn2("(same Female Ghost)")..".")
		elseif allyRoute_Conf.currPage == 11 then
			IT("- Do "..ClrDo("All Along the Watchtowers")..".\n"..ClrGry("(Stand near the door of each Tower.\nUse").." "..ClrYlw("[Beacon Torch]").." "..ClrGry("in your bag.\nIt will fail if you're not in doorway)"))
		elseif allyRoute_Conf.currPage == 12 then
			IT("- Go back to Chillwind Camp.\n\n- Turn-in "..ClrTurn("All Along the Watchtowers").." to\n"..ClrGrn("Commander Ashlam Valorfist").." "..ClrGrn2("(Human)")..".\n- Accept "..ClrAcc("Scholomance")..".\n"..ClrRed("DON'T accept any other quest."))
		elseif allyRoute_Conf.currPage == 13 then
			IT("- Destroy "..ClrYlw("[Beacon Torch]").." from your bag.\n\n- Turn-in "..ClrTurn("Scholomance").." to\n"..ClrGrn("Alchemist Arbington").." "..ClrGrn2("(Human)")..".\n- Accept "..ClrAcc("Skeletal Fragments")..".")
		elseif allyRoute_Conf.currPage == 14 then
			IT("- Turn-in "..ClrTurn("Return to Chillwind Camp").." to\n"..ClrGrn("High Priestess MacDonnell").." "..ClrGrn2("(Female Human)")..".\n- Accept "..ClrAcc("Target: Writhing Haunt")..".\n"..ClrGry("(Lvl 56 / 75% Exp)"))
		elseif allyRoute_Conf.currPage == 15 then
			IT("- Do "..ClrDo("Target: Writhing Haunt")..". "..ClrGry("(Loot a Key from\n").." "..ClrRed("Cauldron Lord Razarch (Skeleton Mage)")..""..ClrGry(")").."\n\n- Click on *Scourge Cauldron*.\n- Complete "..ClrTurn("Target: Writhing Haunt")..".\n- Accept "..ClrAcc("Return to Chillwind Camp")..".")
		elseif allyRoute_Conf.currPage == 16 then
			IT("- Turn-in "..ClrTurn("The Wildlife Suffers Too").." to\n"..ClrGrn("Mulgris Deepriver").." "..ClrGrn2("(Dying Tauren in the House)")..".\n- Accept "..ClrAcc("The Wildlife Suffers Too")..".")
		elseif allyRoute_Conf.currPage == 17 then
			IT("- Do "..ClrDo("The Wildlife Suffers Too")..".\n\n- Turn-in "..ClrTurn("The Wildlife Suffers Too").." to\n"..ClrGrn("Mulgris Deepriver").." "..ClrGrn2("(same Dying Tauren)")..".\n- Accept "..ClrAcc("Glyphed Oaken Branch")..".")
		elseif allyRoute_Conf.currPage == 18 then
			IT("- Go East to reach Eastern Plaguelands.\n- Follow the river North to find "..ClrGrn("Tirion Fordring")..".\n\n- Accept "..ClrAcc("Demon Dogs").."\nand "..ClrAcc("Blood Tinged Skies").."\nand "..ClrAcc("Carrion Grubbage")..".")
		elseif allyRoute_Conf.currPage == 19 then
			IT("- Do "..ClrDo("The Eastern Plagues")..".\n"..ClrGry("(Find x3 ").."*Mangled Human Remains*"..ClrGry(" around\nThe Marris Stead").." "..ClrYlw("[27,75]")..""..ClrGry(". They look like the skeletons players leave when they die)"))
		elseif allyRoute_Conf.currPage == 20 then
			IT("- Follow the road East then South to reach\nDarrowshire.\n\n- Turn-in "..ClrTurn("Little Pamela").." to\n"..ClrGrn("Pamela Redpath").." "..ClrGrn2("(Little Girl Ghost)")..".\n- Accept "..ClrAcc("Pamela's Doll")..".")
		elseif allyRoute_Conf.currPage == 21 then
			IT("- Do "..ClrDo("Pamela's Doll")..".\n"..ClrGry("(Loot x3 pieces of the doll from the Houses.\nUse them in your bag to make the doll)"))
		elseif allyRoute_Conf.currPage == 22 then
			IT("- Turn-in "..ClrTurn("Pamela's Doll").." to\n"..ClrGrn("Pamela Redpath").." "..ClrGrn2("(same Little Girl Ghost)")..".\n- Accept "..ClrAcc("Auntie Marlene").."\nand "..ClrAcc("Uncle Carlin")..".")
		elseif allyRoute_Conf.currPage == 23 then
			IT("- Do "..ClrDo("Blood Tinged Skies").."\nand "..ClrDo("Carrion Grubbage").."\nand "..ClrDo("Demon Dogs")..".\n"..ClrGry("(x20 Plaguehound Runt and\nx5 Plaguehound parts only)"))
		elseif allyRoute_Conf.currPage == 24 then
			IT("- Go East to reach Light's Hope Chapel "..ClrYlw("[81,58]")..".\n\n- Turn-in "..ClrTurn("Duke Nicholas Zverenhoff").."\nand "..ClrTurn("Minion's Scourgestone").."\nto "..ClrGrn("Duke Nicholas Zverenhoff").." "..ClrGrn2("(Human)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 25 then
			IT("- Turn-in "..ClrTurn("Uncle Carlin").." to "..ClrGrn("Carlin Redpath").."\n"..ClrGrn2("(Human)")..". "..ClrRed("DON'T accept any quest.").."\n\n- Pick up Flight Point from "..ClrGrn("Khaelyn Steelwing")..".\n- Make Light's Hope Chapel's Inn your Home.\n"..ClrGry("(Lvl 57 / 10% Exp)"))
		elseif allyRoute_Conf.currPage == 26 then
			IT("- Fly to Chillwind Camp, Western Plaguelands.\n\n- Turn-in "..ClrTurn("Return to Chillwind Camp").." to\n"..ClrGrn("High Priestess MacDonnell").." "..ClrGrn2("(Female Human)")..".\n- Accept "..ClrAcc("Target: Gahrron's Withering")..".")
		elseif allyRoute_Conf.currPage == 27 then
			IT("- Turn-in "..ClrTurn("The Eastern Plagues").." to\n"..ClrGrn("Flint Shadowmore").." "..ClrGrn2("(Human)")..".\n- Accept "..ClrAcc("The Blightcaller Cometh")..".")
		elseif allyRoute_Conf.currPage == 28 then
			IT("- Go inside the House in Sorrow Hill at "..ClrYlw("[49,78]")..".\n\n- Turn-in "..ClrTurn("Auntie Marlene").." to\n"..ClrGrn("Marlene Redpath").." "..ClrGrn2("(Female Ghost upstairs)")..".\n- Accept "..ClrAcc("A Strange Historian")..".")
		elseif allyRoute_Conf.currPage == 29 then
			IT("- Do "..ClrDo("A Strange Historian")..".\n"..ClrGry("(Click on ").."*Joseph Redpath's Monument*"..ClrGry("\nin the graveyard outside the House)"))
		elseif allyRoute_Conf.currPage == 30 then
			IT("- Follow the road to reach Ruins of Andorhal.\n\n- Turn-in "..ClrTurn("A Strange Historian").." to\n"..ClrGrn("Chromie").." "..ClrGrn2("(Female Gnome inside the Inn)")..".\n- Accept "..ClrAcc("The Annals of Darrowshire").."\nand "..ClrAcc("A Matter of Time")..".")
		elseif allyRoute_Conf.currPage == 31 then
			IT("- Do "..ClrDo("A Matter of Time")..".\n"..ClrGry("(Go to").." "..ClrYlw("[45,62]").." "..ClrGry("near the Silos.\nUse").." "..ClrYlw("[Temporal Displacer]").." "..ClrGry("in your bag.\nMobs will spawn in groups.\nUse it again to spawn more mobs)"))
		elseif allyRoute_Conf.currPage == 32 then
			IT("- Do "..ClrDo("The Annals of Darrowshire")..". "..ClrRed("(Read first)").."\n- Go inside the Town Hall.\n- There are books called "..ClrYlw("[Musty Tome]")..".\n- One of those books is the quest item.\n- The others are traps that spawns Elites.\n"..ClrGry("(Read next page)"))
		elseif allyRoute_Conf.currPage == 33 then
			IT("- Look at the books from the side.\n- Notice that the lower half of the book's pages\nis white and the other half is grey.\nThose are traps that spawn Elites.\n- Find the book that have full white pages.")
		elseif allyRoute_Conf.currPage == 34 then
			IT("- Do "..ClrDo("Skeletal Fragments")..".")
		elseif allyRoute_Conf.currPage == 35 then
			IT("- Go back to Ruins of Andorhal's Inn.\n- Turn-in "..ClrTurn("A Matter of Time").."\nand "..ClrTurn("The Annals of Darrowshire").."\nto "..ClrGrn("Chromie").." "..ClrGrn2("(Female Gnome)")..".\n- Accept "..ClrAcc("Counting Out Time").."\nand "..ClrAcc("Brother Carlin")..".")
		elseif allyRoute_Conf.currPage == 36 then
			IT("- Do "..ClrDo("Counting Out Time")..".\n"..ClrGry("(Loot x5 ").."*Small Lockbox*"..ClrGry(" in Ruins of Andorhal)"))
		elseif allyRoute_Conf.currPage == 37 then
			IT("- Go back to Ruins of Andorhal's Inn.\n- Turn-in "..ClrTurn("Counting Out Time").." to\n"..ClrGrn("Chromie").." "..ClrGrn2("(same Female Gnome)")..".\n"..ClrRed("DON'T accept any quest.").."\n- Destroy "..ClrYlw("[Attuned Dampener]").." from your bag.")
		elseif allyRoute_Conf.currPage == 38 then
			IT("- Go back to Chillwind Camp.\n\n- Turn-in "..ClrTurn("Skeletal Fragments").." to\n"..ClrGrn("Alchemist Arbington").." "..ClrGrn2("(Human)")..".\n- Accept "..ClrAcc("Mold Rhymes With...")..".\n"..ClrGry("(Lvl 57 / 45% Exp)"))
		elseif allyRoute_Conf.currPage == 39 then
			IT("- Accept "..ClrAcc("A Plague Upon Thee").." from\n"..ClrGrn("Nathaniel Dumah").." "..ClrGrn2("(Human)")..".\n\n- Fly to Menethil Harbor, Wetlands.\n- Take the Boat on the right side to Darkshore.")
		elseif allyRoute_Conf.currPage == 40 then
			IT("- Fly to Darnassus.\n\n- Turn-in "..ClrTurn("Moontouched Wildkin").." to\n"..ClrGrn("Erelas Ambersky").." "..ClrGrn2("(Night Elf)")..".\n- Accept "..ClrAcc("Find Ranshalla")..".")
		elseif allyRoute_Conf.currPage == 41 then
			IT("- Go through the portal to reach Darnassus.\n- Go to the Temple of the Moon.\n\n- Stand inside the Fountain.\n- Use "..ClrYlw("[Eridan's Vial]").." in your bag.")
		elseif allyRoute_Conf.currPage == 42 then
			IT("- Go to Cenarion Enclave.\n\n- Turn-in "..ClrTurn("Glyphed Oaken Branch").." to\n"..ClrGrn("Mathrengyl Bearwalker").." "..ClrGrn2("(Night Elf Druid Trainer)")..".")
		elseif allyRoute_Conf.currPage == 43 then
			IT("- Turn-in "..ClrTurn("The New Frontier").." to\n"..ClrGrn("Arch Druid Fandral Staghelm").."\n"..ClrGrn2("(Night Elf inside the Tower)")..".\n- Accept "..ClrAcc("The New Frontier")..".")
		elseif allyRoute_Conf.currPage == 44 then
			IT("- Turn-in "..ClrTurn("The New Frontier").." to\n"..ClrGrn("Mathrengyl Bearwalker").." "..ClrGrn2("(Night Elf Druid Trainer)")..".\n- Accept "..ClrAcc("Rabine Saturna")..".\n\n- Fly to Astranaar, Ashenvale.")
		elseif allyRoute_Conf.currPage == 45 then
			IT("- Go East then North to reach Felwood.\n- Follow the road to find a Female Night Elf.\n- Turn-in "..ClrTurn("Salve via Hunting").." to\n"..ClrGrn("Arathandris Silversky").." "..ClrGrn2("(Female Night Elf)")..".\n- Destroy "..ClrYlw("[Cenarion Plant Salve]").." from your bag.")
		elseif allyRoute_Conf.currPage == 46 then
			IT("- Go to Emerald Sanctuary.\n- Turn-in "..ClrTurn("The Remains of Trey Lightforge").." to\n"..ClrGrn("Jessir Moonbow").." "..ClrGrn2("(Female Night Elf outside)")..".\n\n- Turn-in "..ClrTurn("A Final Blow").." to\n"..ClrGrn("Greta Mosshoof").." "..ClrGrn2("(Female Tauren)")..".")
		elseif allyRoute_Conf.currPage == 47 then
			IT("- Turn-in "..ClrTurn("Felbound Ancients").." to\n"..ClrGrn("Eridan Bluewind").." "..ClrGrn2("(Female Night Elf inside)")..".\n- Accept "..ClrAcc("Purified!")..".\n- Turn-in "..ClrTurn("Purified!")..".")
		elseif allyRoute_Conf.currPage == 48 then
			IT("- Do "..ClrDo("Toxic Horrors")..".")
		elseif allyRoute_Conf.currPage == 49 then
			IT("- Go to the ruins of Irontree Woods "..ClrYlw("[50,31]")..".\n- Use "..ClrYlw("[Flute of the Ancients]").." in your bag.\n\n- Accept "..ClrAcc("Ancient Spirit").." from\n"..ClrGrn("Arei").." "..ClrGrn2("(Ancient that spawned)")..". "..ClrRed("(Escort Quest)").."\n- Escort the Ancient.")
		elseif allyRoute_Conf.currPage == 50 then
			IT("- Go North to reach Moonglade.\n\n- Turn-in "..ClrTurn("Rabine Saturna").." to\n"..ClrGrn("Rabine Saturna").." "..ClrGrn2("(Night Elf)")..".\n- Accept "..ClrAcc("Wasteland")..".\n"..ClrRed("DON'T accept any other quest."))
		elseif allyRoute_Conf.currPage == 51 then
			IT("- Pick up the Flight Point from "..ClrGrn("Sindrayl")..".\n\n- Run to Winterspring. "..ClrGry("(Lvl 57 / 85% Exp)"))
		end --End 33
	
	--57-58 Winterspring
	elseif allyRoute_Conf.currChapter == 34 then
		if allyRoute_Conf.currPage == 1 then
			IT("- Go back to the Female Dwarf near\nWinterspring's entrance.\n\n- Turn-in "..ClrTurn("Toxic Horrors").." to\n"..ClrGrn("Donova Snowden").." "..ClrGrn2("(Female Dwarf)")..".\n- Accept "..ClrAcc("Winterfall Runners")..".")
		elseif allyRoute_Conf.currPage == 2 then
			IT("- Do "..ClrDo("Winterfall Runners")..".\n "..ClrGry("(Three").." "..ClrRed("Winterfall Runner (Furbolg)").."\n"..ClrGry("patrolling the roads in Winterspring)"))
		elseif allyRoute_Conf.currPage == 3 then
			IT("- Go back to Everlook.\n\n- Accept "..ClrAcc("Are We There, Yeti?").." from\n"..ClrGrn("Umi Rumplesnicker").." "..ClrGrn2("(Female Goblin)")..".")
		elseif allyRoute_Conf.currPage == 4 then
			IT("- Go South to reach Owl Wing Thicket.\n- Turn-in "..ClrTurn("Find Ranshalla").." to "..ClrGrn("Ranshalla").."\n"..ClrGrn2("(Female Night Elf)")..".\n- Accept "..ClrAcc("Guardians of the Altar")..".\n"..ClrRed("(Escort Quest)").."\n- Escort the Female Night Elf.")
		elseif allyRoute_Conf.currPage == 5 then
			IT("- Do "..ClrDo("Are We There, Yeti?")..".\n"..ClrGry("(")..""..ClrYlw("[Pristine Yeti Horn]").." "..ClrGry("have a very low drop rate.\nYou're basically grinding Exp. Good luck)"))
		elseif allyRoute_Conf.currPage == 6 then
			IT("- Kill mobs until you reach level 58 / 10% Exp.")
		elseif allyRoute_Conf.currPage == 7 then
			IT("- Go back to Everlook.\n\n- Turn-in "..ClrTurn("Are We There, Yeti?").." to\n"..ClrGrn("Umi Rumplesnicker").." "..ClrGrn2("(Female Goblin)")..".\n- Accept "..ClrAcc("Are We There, Yeti?")..".")
		elseif allyRoute_Conf.currPage == 8 then
			IT("- Target "..ClrGrn("Legacki").." "..ClrGrn2("(Female Goblin outside the Inn)")..".\n- Use "..ClrYlw("[Umi's Mechanical Yeti]").." in your bag.")
		elseif allyRoute_Conf.currPage == 9 then
			IT("- Go back to the Female Dwarf near\nWinterspring's entrance.\n\n- Turn-in "..ClrTurn("Winterfall Runners").." to\n"..ClrGrn("Donova Snowden").." "..ClrGrn2("(Female Dwarf)")..".\n- Accept "..ClrAcc("High Chief Winterfall")..".")
		elseif allyRoute_Conf.currPage == 10 then
			IT("- Go to Felwood.\n- Fly to Darnassus.\n\n- Turn-in "..ClrTurn("Guardians of the Altar").." to\n"..ClrGrn("Erelas Ambersky").." "..ClrGrn2("(Night Elf)")..".\n- Accept "..ClrAcc("Wildkin of Elune")..".")
		elseif allyRoute_Conf.currPage == 11 then
			IT("- Go through the portal to reach Darnassus.\n- Go to Cenarion Enclave.\n\n- Turn-in "..ClrTurn("Wildkin of Elune").." to\n"..ClrGrn("Arch Druid Fandral Staghelm").."\n"..ClrGrn2("(Night Elf inside the Tower)")..".")
		elseif allyRoute_Conf.currPage == 12 then
			IT("- Hearthstone back to Light's Hope Chapel,\nEastern Plaguelands. "..ClrGry("(Lvl 58 / 25% Exp)"))
		end --End 34
	
	--58-59 Plaguelands
	elseif allyRoute_Conf.currChapter == 35 then
		if allyRoute_Conf.currPage == 1 then
			IT("- Turn-in "..ClrTurn("Brother Carlin").." to\n"..ClrGrn("Carlin Redpath").." "..ClrGrn2("(Human)")..".\n- Accept "..ClrAcc("Villains of Darrowshire")..".\n"..ClrRed("DON'T accept any other quest."))
		elseif allyRoute_Conf.currPage == 2 then
			IT("- Accept "..ClrAcc("The Restless Souls").."\nand "..ClrAcc("Zaeldarr the Outcast").."\nfrom "..ClrGrn("Caretaker Alen").." "..ClrGrn2("(Human near a wagon\na little far from the Camp)")..".")
		elseif allyRoute_Conf.currPage == 3 then
			IT("- Go to "..ClrYlw("[53,22]").." to find a Female Blood Elf.\n- Turn-in "..ClrTurn("Troubled Spirits of Kel'Theril").." to\n"..ClrGrn("Aurora Skycaller").." "..ClrGrn2("(Female Blood Elf)")..".\n"..ClrRed("DON'T accept any quest.").."\n\n- Destroy "..ClrYlw("[Jaron's Pick]").." from your bag.")
		elseif allyRoute_Conf.currPage == 4 then
			IT("- Do "..ClrDo("Demon Dogs").."\nand "..ClrDo("A Plague Upon Thee")..".")
		elseif allyRoute_Conf.currPage == 5 then
			IT("- Go to "..ClrYlw("[14,34]").." to find a Dwarf in a House.\n- Turn-in "..ClrTurn("The Restless Souls").." to "..ClrGrn("Egan").." "..ClrGrn2("(Dwarf)")..".\n"..ClrRed("DON'T accept any quest.").."\n\n- Accept "..ClrAcc("Augustus' Receipt Book").." from\n"..ClrGrn("Augustus the Touched").." "..ClrGrn2("(Undead)")..".")
		elseif allyRoute_Conf.currPage == 6 then
			IT("- Do "..ClrDo("Augustus' Receipt Book")..".\n- Turn-in "..ClrTurn("Augustus' Receipt Book").." to\n"..ClrGrn("Augustus the Touched").." "..ClrGrn2("(same Undead)")..".\n\n- Do "..ClrDo("Villains of Darrowshire")..".")
		elseif allyRoute_Conf.currPage == 7 then
			IT("- Go back to "..ClrGrn("Tirion Fordring").." near the river.\n\n- Turn-in "..ClrTurn("Demon Dogs").."\nand "..ClrTurn("Blood Tinged Skies").."\nand "..ClrTurn("Carrion Grubbage")..".\n- Accept "..ClrAcc("Redemption")..".")
		elseif allyRoute_Conf.currPage == 8 then
			IT("- Talk to "..ClrGrn("Tirion").." again and listen to his story.\n"..ClrGry("(You need to actually /sit to listen)").."\n\n- Turn-in "..ClrTurn("Redemption")..".\n- Accept "..ClrAcc("Of Forgotten Memories")..".")
		elseif allyRoute_Conf.currPage == 9 then
			IT("- Go to the Crypt at "..ClrYlw("[28,87]")..".\n\n- Do "..ClrDo("Of Forgotten Memories")..".\n"..ClrGry("(Click on ").."*Loose Dirt Mound*"..ClrGry(" behind the Crypt.\nkill").." "..ClrRed("Mercutio Filthgorger (Dwarf)").." "..ClrGry("that spawned)"))
		elseif allyRoute_Conf.currPage == 10 then
			IT("- Do "..ClrDo("Zaeldarr the Outcast")..". "..ClrGry("(Inside the Crypt)").."\n\n- Click on *Torn Scroll* in the same room.\n- Accept "..ClrAcc("Hameya's Plea")..".")
		elseif allyRoute_Conf.currPage == 11 then
			IT("- Go back to "..ClrGrn("Tirion Fordring").." near the river.\n\n- Turn-in "..ClrTurn("Of Forgotten Memories")..".\n- Accept "..ClrAcc("Of Lost Honor")..". "..ClrGry("(Lvl 58 / 65% Exp)").."\n\n- Go West to reach Western Plaguelands.")
		elseif allyRoute_Conf.currPage == 12 then
			IT("- Do "..ClrDo("Target: Gahrron's Withering")..". "..ClrGry("(Loot a Key\nfrom ").." "..ClrRed("Cauldron Lord Soulwrath (Spirit)")..""..ClrGry(")").."\n\n- Click on *Scourge Cauldron*.\n- Complete "..ClrTurn("Target: Gahrron's Withering")..".\n- Accept "..ClrAcc("Return to Chillwind Camp")..".")
		elseif allyRoute_Conf.currPage == 13 then
			IT("- Go back to Chillwind Camp.\n\n- Turn-in "..ClrTurn("A Plague Upon Thee").." to\n"..ClrGrn("Nathaniel Dumah").." "..ClrGrn2("(Human)")..".\n- Accept "..ClrAcc("A Plague Upon Thee")..".")
		elseif allyRoute_Conf.currPage == 14 then
			IT("- Turn-in "..ClrTurn("Return to Chillwind Camp").." to\n"..ClrGrn("High Priestess MacDonnell").." "..ClrGrn2("(Female Human)")..".\n\n- Turn-in "..ClrTurn("Mission Accomplished!").." to\n"..ClrGrn("Commander Ashlam Valorfist").." "..ClrGrn2("(Human)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 15 then
			IT("- Turn-in "..ClrTurn("Minion's Scourgestones").." to\n"..ClrGrn("Argent Officer Pureheart").." "..ClrGrn2("(Female Human)")..".\n\n- Go to "..ClrYlw("[52,28]").." to find a Female Human.\n- Accept "..ClrAcc("Unfinished Business").." from\n"..ClrGrn("Kirsta Deepshadow").." "..ClrGrn2("(Female Human)")..".")
		elseif allyRoute_Conf.currPage == 16 then
			IT("- Go to the Scarlet Crusade Workshop at "..ClrYlw("[48,32]")..".\n\n- Click on *Termite Barrel*.\n- Complete "..ClrTurn("A Plague Upon Thee")..".\n- Accept "..ClrAcc("A Plague Upon Thee")..".")
		elseif allyRoute_Conf.currPage == 17 then
			IT("- Do "..ClrDo("Unfinished Business")..".\n\n- Turn-in "..ClrTurn("Unfinished Business").." to\n"..ClrGrn("Kirsta Deepshadow").." "..ClrGrn2("(same Female Human)")..".\n- Accept "..ClrAcc("Unfinished Business")..".")
		elseif allyRoute_Conf.currPage == 18 then
			IT("- Do "..ClrDo("Unfinished Business")..".\n"..ClrGry("(Huntsman Radley and Cavalier Durgen)").."\n\n- Turn-in "..ClrTurn("Unfinished Business").." to\n"..ClrGrn("Kirsta Deepshadow").." "..ClrGrn2("(same Female Human)")..".\n- Accept "..ClrAcc("Unfinished Business")..".")
		elseif allyRoute_Conf.currPage == 19 then
			IT("- Do "..ClrDo("Unfinished Business")..".\n"..ClrGry("(Climb the Tower in the middle of Hearthglen)").."\n\n- Turn-in "..ClrTurn("Unfinished Business").." to\n"..ClrGrn("Kirsta Deepshadow").." "..ClrGrn2("(same Female Human)")..".\n"..ClrGry("(Lvl 59)"))
		elseif allyRoute_Conf.currPage == 20 then
			IT("- Hearthstone back to Light's Hope Chapel,\nEastern Plaguelands.\n\n- Turn-in "..ClrTurn("Villains of Darrowshire").." to\n"..ClrGrn("Carlin Redpath").." "..ClrGrn2("(Human)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 21 then
			IT("- Turn-in "..ClrTurn("Zaeldarr the Outcast").." to\n"..ClrGrn("Caretaker Alen").." "..ClrGrn2("(Human near a wagon\na little far from the Camp)")..".")
		elseif allyRoute_Conf.currPage == 22 then
			IT("- Do "..ClrDo("Of Lost Honor")..".")
		elseif allyRoute_Conf.currPage == 23 then
			IT("- Do "..ClrDo("Hameya's Plea")..".\n\n- Go back to the Crypt at "..ClrYlw("[28,87]")..".\n- Click on *Mound of Dirt* behind the Crypt.\n- Complete "..ClrTurn("Hameya's Plea")..".")
		elseif allyRoute_Conf.currPage == 24 then
			IT("- Go back to "..ClrGrn("Tirion Fordring").." near the river.\n\n- Turn-in "..ClrTurn("Of Lost Honor")..".\n- Accept "..ClrAcc("Of Love and Family")..".")
		elseif allyRoute_Conf.currPage == 25 then
			IT("- Go West to reach Western Plaguelands.\n- Go to Caer Darrow. "..ClrGry("(Near Scholomance)").."\n\n- Turn-in "..ClrTurn("Of Love and Family").." to\n"..ClrGrn("Artist Renfray").." "..ClrGrn2("(Female Ghost in a House)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 26 then
			IT("- Go back to Chillwind Camp.\n\n- Turn-in "..ClrTurn("A Plague Upon Thee").." to\n"..ClrGrn("Nathaniel Dumah").." "..ClrGrn2("(Human)")..".")
		elseif allyRoute_Conf.currPage == 27 then
			IT("- Fly to Ironforge. "..ClrGry("(Lvl 59 / 40% Exp)").."\n\n- Accept "..ClrAcc("Taking Back Silithus").." from\n"..ClrGrn("Cenarion Emissary Jademoon").."\n"..ClrGrn2("(Female Night Elf near the Flight Master)")..".")
		elseif allyRoute_Conf.currPage == 28 then
			IT("- Fly to Stormwind.\n- Go to Stormwind Keep.\n\n- Turn-in "..ClrTurn("The Blightcaller Cometh").." to\n"..ClrGrn("Highlord Bolvar Fordragon")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 29 then
			IT("- Fly to Booty Bay.\n- Take the Boat to reach Ratchet.\n- Make Ratchet's Inn your Home.\n\n- Turn-in "..ClrTurn("Volcanic Activity").." to "..ClrGrn("Liv Rizzlefix").."\n"..ClrGrn2("(Female Goblin inside a House)")..".")
		elseif allyRoute_Conf.currPage == 30 then
			IT("- Fly to Gadgetzan.\n\n- Target "..ClrGrn("Sprinkle").." "..ClrGrn2("(Female Goblin outside House)")..".\n- Use "..ClrYlw("[Umi's Mechanical Yeti]").." in your bag.")
		elseif allyRoute_Conf.currPage == 31 then
			IT("- Turn-in "..ClrTurn("Mold Rhymes With...").." to\n"..ClrGrn("Krinkle Goodsteel").." "..ClrGrn2("(Goblin)")..".\n"..ClrRed("(Turn-in Costs 15g! You can skip if you want)").."\n\n"..ClrGry("(This quest chain rewards the").." "..ClrYlw("[Skeleton Key]").."\n"..ClrGry("which unlocks Scholomance's door)"))
		elseif allyRoute_Conf.currPage == 32 then
			IT("- Go to Gadgetzan's Graveyard.\n- Use "..ClrYlw("[Videre Elixir]").." in your bag to die.\n- Walk to the mountains North. "..ClrGry("(As a Ghost)").."\n- Turn-in "..ClrTurn("Meet at the Grave").." to\n"..ClrGrn("Gaeriyan").." "..ClrGrn2("(Human Ghost)")..".\n- Accept "..ClrAcc("A Grave Situation")..".")
		elseif allyRoute_Conf.currPage == 33 then
			IT("- Revive yourself.\n- Click on *A Conspicuous Gravestone*\nin the Graveyard.\n- Complete "..ClrTurn("A Grave Situation")..".\n- Accept "..ClrAcc("Linken's Sword")..".")
		elseif allyRoute_Conf.currPage == 34 then
			IT("- Fly to Marshal's Refuge, Un'Goro Crater.\n- Target "..ClrGrn("Quixxil").." "..ClrGrn2("(Goblin)")..".\n- Use "..ClrYlw("[Umi's Mechanical Yeti]").." in your bag.\n\n- Turn-in "..ClrTurn("Linken's Sword").." to "..ClrGrn("Linken").." "..ClrGrn2("(Gnome)")..".\n- Accept "..ClrAcc("A Gnome's Assistance")..".")
		elseif allyRoute_Conf.currPage == 35 then
			IT("- Turn-in "..ClrTurn("A Gnome's Assistance").." to\n"..ClrGrn("J.D. Collie").." "..ClrGrn2("(Female Gnome inside the Cave)")..".\n- Accept "..ClrAcc("Linken's Memory")..".\n\n- Destroy "..ClrYlw("[Videre Elixir]").." from your bag.")
		elseif allyRoute_Conf.currPage == 36 then
			IT("- Fly to Cenarion Hold, Silithus.\n"..ClrGry("(Lvl 59 / 50% Exp)"))
		end --End 35
	
	--59-60 Silithus, Winterspring
	elseif allyRoute_Conf.currChapter == 36 then
		if allyRoute_Conf.currPage == 1 then
			IT("- Turn-in "..ClrTurn("Taking Back Silithus").." to\n"..ClrGrn("Windcaller Proudhorn").." "..ClrGrn2("(Female Tauren)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 2 then
			IT("- Go East/North to reach Valor's Rest.\n\n- Turn-in "..ClrTurn("Wasteland").." to\n"..ClrGrn("Layo Starstrike").." "..ClrGrn2("(Night Elf)")..".\n- Accept "..ClrAcc("The Spirits of Southwind")..".")
		elseif allyRoute_Conf.currPage == 3 then
			IT("- Do "..ClrDo("The Spirits of Southwind")..".\n\n- Go back to Valor's Rest.\n- Turn-in "..ClrTurn("The Spirits of Southwind").." to\n"..ClrGrn("Layo Starstrike").." "..ClrGrn2("(same Night Elf)")..".\n- Accept "..ClrAcc("Hive in the Tower")..".")
		elseif allyRoute_Conf.currPage == 4 then
			IT("- Do "..ClrDo("Hive in the Tower")..".\n\n- Go back to Valor's Rest.\n- Turn-in "..ClrTurn("Hive in the Tower").." to\n"..ClrGrn("Layo Starstrike").." "..ClrGrn2("(same Night Elf)")..".\n- Accept "..ClrAcc("Umber, Archivist")..".")
		elseif allyRoute_Conf.currPage == 5 then
			IT("- Hearthstone back to Ratchet, The Barrens.\n- Fly to Talrendis Point, Azshara.\n\n- Go West to reach Ashenvale.")
		elseif allyRoute_Conf.currPage == 6 then
			IT("- Go to "..ClrYlw("[85,45]").." to find a Night Elf.\n- Turn-in "..ClrTurn("Ancient Spirit").." to\n"..ClrGrn("Kayneth Stillwind").." "..ClrGrn2("(Night Elf)")..".\n\n- Destroy "..ClrYlw("[Flute of the Ancients]").." from your bag.\n"..ClrGry("(Lvl 59 / 70% Exp)"))
		elseif allyRoute_Conf.currPage == 7 then
			IT("- Go back to Azshara.\n- Fly to Everlook, Winterspring.\n\n- Turn-in "..ClrTurn("Are We There, Yeti?").." to\n"..ClrGrn("Umi Rumplesnicker").." "..ClrGrn2("(Female Goblin)")..".")
		elseif allyRoute_Conf.currPage == 8 then
			IT("- Do "..ClrDo("High Chief Winterfall")..". "..ClrRed("(Lvl 59 Elite)").."\n\n- He drops "..ClrYlw("[Crudely-written Log]")..".\n- Click on it in your bag.\n- Accept "..ClrAcc("The Final Piece")..".")
		elseif allyRoute_Conf.currPage == 9 then
			IT("- Go back to "..ClrGrn("Donova Snowden").." "..ClrGrn2("(Female Dwarf)").."\nnear Winterspring's entrance.\n\n- Turn-in "..ClrTurn("High Chief Winterfall").."\nand "..ClrTurn("The Final Piece")..".\n- Accept "..ClrAcc("Words of the High Chief")..".")
		elseif allyRoute_Conf.currPage == 10 then
			IT("- Go to Moonglade.\n- Turn-in "..ClrTurn("Umber, Archivist").." to "..ClrGrn("Umber").." "..ClrGrn2("(Human)")..".\n- Accept "..ClrAcc("Uncovering Past Secrets")..".\n- Turn-in "..ClrTurn("Uncovering Past Secrets").." to\n"..ClrGrn("Rabine Saturna").." "..ClrGrn2("(Night Elf)")..".\n"..ClrRed("DON'T accept any quest."))
		elseif allyRoute_Conf.currPage == 11 then
			IT("- Turn-in "..ClrTurn("Under the Chitin Was...").." to\n"..ClrGrn("Umber").." "..ClrGrn2("(same Human)")..".\n\n- Fly to Talonbranch Glade, Felwood.")
		elseif allyRoute_Conf.currPage == 12 then
			IT("- Go to Emerald Sanctuary.\n- Turn-in "..ClrTurn("Words of the High Chief").." to\n"..ClrGrn("Kelek Skykeeper").." "..ClrGrn2("(Night Elf)")..".\n- Turn-in "..ClrTurn("Linken's Memory").." to\n"..ClrGrn("Eridan Bluewind").." "..ClrGrn2("(Female Night Elf)")..".\n"..ClrRed("(Lvl 60!)"))
		elseif allyRoute_Conf.currPage == 13 then
			IT("- If you're still missing some Exp that's fine.\n- You still have plenty of Quests left to do, Dungeons to grind and Gear to farm.\n\n- Shout-out to "..ClrGrn("Varrak").." for his amazing speedrun.\n- And thank you for using AllyRoute!")
		end --End 36
		
	end
end